<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
actionchain
</p>
<p>Provides the namespace for the Action Chain methods.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#addConfigurationDeployment"/>addConfigurationDeployment</a></li>
<li><a href="#addErrataUpdate"/>addErrataUpdate</a></li>
<li><a href="#addErrataUpdate"/>addErrataUpdate</a></li>
<li><a href="#addErrataUpdate"/>addErrataUpdate</a></li>
<li><a href="#addPackageInstall"/>addPackageInstall</a></li>
<li><a href="#addPackageRemoval"/>addPackageRemoval</a></li>
<li><a href="#addPackageUpgrade"/>addPackageUpgrade</a></li>
<li><a href="#addPackageVerify"/>addPackageVerify</a></li>
<li><a href="#addScriptRun"/>addScriptRun</a></li>
<li><a href="#addScriptRun"/>addScriptRun</a></li>
<li><a href="#addSystemReboot"/>addSystemReboot</a></li>
<li><a href="#createChain"/>createChain</a></li>
<li><a href="#deleteChain"/>deleteChain</a></li>
<li><a href="#listChainActions"/>listChainActions</a></li>
<li><a href="#listChains"/>listChains</a></li>
<li><a href="#removeAction"/>removeAction</a></li>
<li><a href="#renameChain"/>renameChain</a></li>
<li><a href="#scheduleChain"/>scheduleChain</a></li>
</ul>
</div>
<hr />

<h3> <a name="addConfigurationDeployment" href="#top">Method: addConfigurationDeployment</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Adds an action to deploy a configuration file to an Action Chain.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> chainLabel - Label of the chain
 </li>
<li>

    <em>int</em> sid - System ID
 </li>
<li>

<em>array</em> revisionSpecifiers
  <ul>
   <li>
	     <em>struct</em> config revision specifier
	<ul>
    <li><em>string</em> "channelLabel" - Channel label</li>
    <li><em>string</em> "filePath" - Path of the configuration file</li>
    <li><em>int</em> "revision" - Revision number</li>
	</ul>
</li></ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="addErrataUpdate" href="#top">Method: addErrataUpdate</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Adds Errata update to an Action Chain.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid - System ID
 </li>
<li>

<em>array(int)</em> errataIds - Errata ID
 </li>
<li>

    <em>string</em> chainLabel - Label of the chain
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> actionId - The action id of the scheduled action
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="addErrataUpdate" href="#top">Method: addErrataUpdate</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Adds Errata update to an Action Chain.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(int)</em> sids - System IDs
 </li>
<li>

<em>array(int)</em> errataIds - Errata ID
 </li>
<li>

    <em>string</em> chainLabel - Label of the chain
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> actionId - The action id of the scheduled action
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="addErrataUpdate" href="#top">Method: addErrataUpdate</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Adds Errata update to an Action Chain.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(int)</em> sids - System IDs
 </li>
<li>

<em>array(int)</em> errataIds - Errata ID
 </li>
<li>

    <em>string</em> chainLabel - Label of the chain
 </li>
<li>

    <em>boolean</em> onlyRelevant - If true, InvalidErrataException
 is thrown if an errata does not apply to a system.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> actionId - The action ID of the scheduled action
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="addPackageInstall" href="#top">Method: addPackageInstall</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Adds package installation action to an Action Chain.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid - System ID
 </li>
<li>

<em>array(int)</em> packageIds
 </li>
<li>

    <em>string</em> chainLabel
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="addPackageRemoval" href="#top">Method: addPackageRemoval</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Adds an action to remove installed packages on the system to an Action
 Chain.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid - System ID
 </li>
<li>

<em>array(int)</em> packageIds
 </li>
<li>

    <em>string</em> chainLabel - Label of the chain
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> actionId - The action id of the scheduled action or exception
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="addPackageUpgrade" href="#top">Method: addPackageUpgrade</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Adds an action to upgrade installed packages on the system to an Action
 Chain.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid - System ID
 </li>
<li>

<em>array(int)</em> packageIds
 </li>
<li>

    <em>string</em> chainLabel - Label of the chain
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> actionId - The id of the action or throw an exception
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="addPackageVerify" href="#top">Method: addPackageVerify</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Adds an action to verify installed packages on the system to an Action
 Chain.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid - System ID
 </li>
<li>

<em>array(int)</em> packageIds
 </li>
<li>

    <em>string</em> chainLabel - Label of the chain
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="addScriptRun" href="#top">Method: addScriptRun</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Add an action with label to run a script to an Action Chain.
 NOTE: The script body must be Base64 encoded!


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid - System ID
 </li>
<li>

    <em>string</em> chainLabel - Label of the chain
 </li>
<li>

    <em>string</em> scriptLabel - Label of the script
 </li>
<li>

    <em>string</em> uid - User ID on the particular system
 </li>
<li>

    <em>string</em> gid - Group ID on the particular system
 </li>
<li>

    <em>int</em> timeout - Timeout
 </li>
<li>

    <em>string</em> scriptBody - Base64 encoded script body
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> actionId - The id of the action or throw an exception
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="addScriptRun" href="#top">Method: addScriptRun</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Add an action to run a script to an Action Chain.
 NOTE: The script body must be Base64 encoded!


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid - System ID
 </li>
<li>

    <em>string</em> chainLabel - Label of the chain
 </li>
<li>

    <em>string</em> uid - User ID on the particular system
 </li>
<li>

    <em>string</em> gid - Group ID on the particular system
 </li>
<li>

    <em>int</em> timeout - Timeout
 </li>
<li>

    <em>string</em> scriptBody - Base64 encoded script body
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> actionId - The id of the action or throw an exception
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="addSystemReboot" href="#top">Method: addSystemReboot</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Add system reboot to an Action Chain.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid - System ID
 </li>
<li>

    <em>string</em> chainLabel - Label of the chain
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> actionId - The action id of the scheduled action
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="createChain" href="#top">Method: createChain</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create an Action Chain.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> chainLabel - Label of the chain
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> actionId - The ID of the created action chain
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="deleteChain" href="#top">Method: deleteChain</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Delete action chain by label.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> chainLabel - Label of the chain
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listChainActions" href="#top">Method: listChainActions</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List all actions in the particular Action Chain.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> chainLabel - Label of the chain
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> entry
	<ul>
    <li><em>int</em> "id" - Action ID</li>
    <li><em>string</em> "label" - Label of an Action</li>
    <li><em>string</em> "created" - Created date/time</li>
    <li><em>string</em> "earliest" - Earliest scheduled date/time</li>
    <li><em>string</em> "type" - Type of the action</li>
    <li><em>string</em> "modified" - Modified date/time</li>
    <li><em>string</em> "cuid" - Creator UID</li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listChains" href="#top">Method: listChains</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List currently available action chains.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> chain
	<ul>
    <li><em>string</em> "label" - Label of an Action Chain</li>
    <li><em>string</em> "entrycount" - Number of entries in the Action Chain</li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="removeAction" href="#top">Method: removeAction</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Remove an action from an Action Chain.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> chainLabel - Label of the chain
 </li>
<li>

    <em>int</em> actionId - Action ID
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="renameChain" href="#top">Method: renameChain</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Rename an Action Chain.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> previousLabel - Previous chain label
 </li>
<li>

    <em>string</em> newLabel - New chain label
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="scheduleChain" href="#top">Method: scheduleChain</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule the Action Chain so that its actions will actually occur.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> chainLabel - Label of the chain
 </li>
<li>

    <em>dateTime.iso8601</em> date - Earliest date
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
