<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
audit
</p>
<p>Methods to audit systems.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#listImagesByPatchStatus"/>listImagesByPatchStatus</a></li>
<li><a href="#listImagesByPatchStatus"/>listImagesByPatchStatus</a></li>
<li><a href="#listSystemsByPatchStatus"/>listSystemsByPatchStatus</a></li>
<li><a href="#listSystemsByPatchStatus"/>listSystemsByPatchStatus</a></li>
</ul>
</div>
<hr />

<h3> <a name="listImagesByPatchStatus" href="#top">Method: listImagesByPatchStatus</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List visible images with their patch status regarding a given CVE
 identifier. Please note that the query code relies on data that is pre-generated
 by the 'cve-server-channels' taskomatic job.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> cveIdentifier
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
 

	     <em>struct</em> CVE audit image
	<ul>
	<li><em>int</em> "image_id"</li>
	<li><em>string</em> "patch_status"</li>
	<ul>
	<li>AFFECTED_PATCH_INAPPLICABLE - affected, patch available in unassigned channel</li>
	<li>AFFECTED_PATCH_APPLICABLE - affected, patch available in assigned channel</li>
	<li>NOT_AFFECTED - not affected</li>
	<li>PATCHED - patched</li>
	</ul>
    <li><em>array(channel_labels)</em> "string" - labels of channels that contain an unapplied patch
    </li>
    <li><em>array(errata_advisories)</em> "string" - advisories of erratas that patch the specified vulnerability
    </li>
	</ul>
  </li></ul>
 
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listImagesByPatchStatus" href="#top">Method: listImagesByPatchStatus</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List visible images with their patch status regarding a given CVE
 identifier. Filter the results by passing in a list of patch status labels.
 Please note that the query code relies on data that is pre-generated by the
 'cve-server-channels' taskomatic job.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> cveIdentifier
 </li>
<li>

<em>array(string)</em> patchStatusLabels
	<ul>
	<li>AFFECTED_PATCH_INAPPLICABLE - Affected, patch available in unassigned channel</li>
	<li>AFFECTED_PATCH_APPLICABLE - Affected, patch available in assigned channel</li>
	<li>NOT_AFFECTED - Not affected</li>
	<li>PATCHED - Patched</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
 

	     <em>struct</em> CVE audit image
	<ul>
	<li><em>int</em> "image_id"</li>
	<li><em>string</em> "patch_status"</li>
	<ul>
	<li>AFFECTED_PATCH_INAPPLICABLE - affected, patch available in unassigned channel</li>
	<li>AFFECTED_PATCH_APPLICABLE - affected, patch available in assigned channel</li>
	<li>NOT_AFFECTED - not affected</li>
	<li>PATCHED - patched</li>
	</ul>
    <li><em>array(channel_labels)</em> "string" - labels of channels that contain an unapplied patch
    </li>
    <li><em>array(errata_advisories)</em> "string" - advisories of erratas that patch the specified vulnerability
    </li>
	</ul>
  </li></ul>
 
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listSystemsByPatchStatus" href="#top">Method: listSystemsByPatchStatus</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List visible systems with their patch status regarding a given CVE
 identifier. Please note that the query code relies on data that is pre-generated
 by the 'cve-server-channels' taskomatic job.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> cveIdentifier
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
 

	     <em>struct</em> CVE audit system
	<ul>
	<li><em>int</em> "system_id"</li>
	<li><em>string</em> "patch_status"</li>
	<ul>
	<li>AFFECTED_PATCH_INAPPLICABLE - affected, patch available in unassigned channel</li>
	<li>AFFECTED_PATCH_APPLICABLE - affected, patch available in assigned channel</li>
	<li>NOT_AFFECTED - not affected</li>
	<li>PATCHED - patched</li>
	</ul>
    <li><em>array(channel_labels)</em> "string" - labels of channels that contain an unapplied patch
    </li>
    <li><em>array(errata_advisories)</em> "string" - advisories of erratas that patch the specified vulnerability
    </li>
	</ul>
  </li></ul>
 
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listSystemsByPatchStatus" href="#top">Method: listSystemsByPatchStatus</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List visible systems with their patch status regarding a given CVE
 identifier. Filter the results by passing in a list of patch status labels.
 Please note that the query code relies on data that is pre-generated by the
 'cve-server-channels' taskomatic job.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> cveIdentifier
 </li>
<li>

<em>array(string)</em> patchStatusLabels
	<ul>
	<li>AFFECTED_PATCH_INAPPLICABLE - Affected, patch available in unassigned channel</li>
	<li>AFFECTED_PATCH_APPLICABLE - Affected, patch available in assigned channel</li>
	<li>NOT_AFFECTED - Not affected</li>
	<li>PATCHED - Patched</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
 

	     <em>struct</em> CVE audit system
	<ul>
	<li><em>int</em> "system_id"</li>
	<li><em>string</em> "patch_status"</li>
	<ul>
	<li>AFFECTED_PATCH_INAPPLICABLE - affected, patch available in unassigned channel</li>
	<li>AFFECTED_PATCH_APPLICABLE - affected, patch available in assigned channel</li>
	<li>NOT_AFFECTED - not affected</li>
	<li>PATCHED - patched</li>
	</ul>
    <li><em>array(channel_labels)</em> "string" - labels of channels that contain an unapplied patch
    </li>
    <li><em>array(errata_advisories)</em> "string" - advisories of erratas that patch the specified vulnerability
    </li>
	</ul>
  </li></ul>
 
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
