<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
channel.access
</p>
<p>Provides methods to retrieve and alter channel access restrictions.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#disableUserRestrictions"/>disableUserRestrictions</a></li>
<li><a href="#enableUserRestrictions"/>enableUserRestrictions</a></li>
<li><a href="#getOrgSharing"/>getOrgSharing</a></li>
<li><a href="#setOrgSharing"/>setOrgSharing</a></li>
</ul>
</div>
<hr />

<h3> <a name="disableUserRestrictions" href="#top">Method: disableUserRestrictions</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Disable user restrictions for the given channel.  If disabled,
 all users within the organization may subscribe to the channel.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - label of the channel
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="enableUserRestrictions" href="#top">Method: enableUserRestrictions</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Enable user restrictions for the given channel. If enabled, only
 selected users within the organization may subscribe to the channel.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - label of the channel
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getOrgSharing" href="#top">Method: getOrgSharing</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get organization sharing access control.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - label of the channel
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>string</em> access - The access value (one of the following: 'public', 'private', or 'protected'
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setOrgSharing" href="#top">Method: setOrgSharing</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Set organization sharing access control.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - label of the channel
 </li>
<li>

    <em>string</em> access - Access (one of the
                  following: 'public', 'private', or 'protected'
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
