<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
channel
</p>
<p>Provides method to get back a list of Software Channels.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#listAllChannels"/>listAllChannels</a></li>
<li><a href="#listManageableChannels"/>listManageableChannels</a></li>
<li><a href="#listMyChannels"/>listMyChannels</a></li>
<li><a href="#listPopularChannels"/>listPopularChannels</a></li>
<li><a href="#listRetiredChannels"/>listRetiredChannels</a></li>
<li><a href="#listSharedChannels"/>listSharedChannels</a></li>
<li><a href="#listSoftwareChannels"/>listSoftwareChannels</a></li>
<li><a href="#listVendorChannels"/>listVendorChannels</a></li>
</ul>
</div>
<hr />

<h3> <a name="listAllChannels" href="#top">Method: listAllChannels</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List all software channels that the user's organization is entitled to.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
         

	     <em>struct</em> channel info
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "provider_name"</li>
	<li><em>int</em> "packages"</li>
	<li><em>int</em> "systems"</li>
	<li><em>string</em> "arch_name"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listManageableChannels" href="#top">Method: listManageableChannels</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List all software channels that the user is entitled to manage.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
         

	     <em>struct</em> channel info
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "provider_name"</li>
	<li><em>int</em> "packages"</li>
	<li><em>int</em> "systems"</li>
	<li><em>string</em> "arch_name"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listMyChannels" href="#top">Method: listMyChannels</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List all software channels that belong to the user's organization.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
         

	     <em>struct</em> channel info
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "provider_name"</li>
	<li><em>int</em> "packages"</li>
	<li><em>int</em> "systems"</li>
	<li><em>string</em> "arch_name"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listPopularChannels" href="#top">Method: listPopularChannels</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List the most popular software channels.  Channels that have at least
 the number of systems subscribed as specified by the popularity count will be
 returned.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> popularityCount
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
         

	     <em>struct</em> channel info
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "provider_name"</li>
	<li><em>int</em> "packages"</li>
	<li><em>int</em> "systems"</li>
	<li><em>string</em> "arch_name"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listRetiredChannels" href="#top">Method: listRetiredChannels</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List all retired software channels.  These are channels that the user's
 organization is entitled to, but are no longer supported because they have reached
 their 'end-of-life' date.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
         

	     <em>struct</em> channel info
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "provider_name"</li>
	<li><em>int</em> "packages"</li>
	<li><em>int</em> "systems"</li>
	<li><em>string</em> "arch_name"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listSharedChannels" href="#top">Method: listSharedChannels</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List all software channels that may be shared by the user's
 organization.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
         

	     <em>struct</em> channel info
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "provider_name"</li>
	<li><em>int</em> "packages"</li>
	<li><em>int</em> "systems"</li>
	<li><em>string</em> "arch_name"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listSoftwareChannels" href="#top">Method: listSoftwareChannels</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List all visible software channels.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> channel
	<ul>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "parent_label"</li>
	<li><em>string</em> "end_of_life"</li>
	<li><em>string</em> "arch"</li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listVendorChannels" href="#top">Method: listVendorChannels</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Lists all the vendor software channels that the user's organization
 is entitled to.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
         

	     <em>struct</em> channel info
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "provider_name"</li>
	<li><em>int</em> "packages"</li>
	<li><em>int</em> "systems"</li>
	<li><em>string</em> "arch_name"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
