<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
channel.software
</p>
<p>Provides methods to access and modify many aspects of a channel.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#addPackages"/>addPackages</a></li>
<li><a href="#addRepoFilter"/>addRepoFilter</a></li>
<li><a href="#alignMetadata"/>alignMetadata</a></li>
<li><a href="#applyChannelState"/>applyChannelState</a></li>
<li><a href="#associateRepo"/>associateRepo</a></li>
<li><a href="#clearRepoFilters"/>clearRepoFilters</a></li>
<li><a href="#clone"/>clone</a></li>
<li><a href="#create"/>create</a></li>
<li><a href="#create"/>create</a></li>
<li><a href="#create"/>create</a></li>
<li><a href="#create"/>create</a></li>
<li><a href="#createRepo"/>createRepo</a></li>
<li><a href="#createRepo"/>createRepo</a></li>
<li><a href="#createRepo"/>createRepo</a></li>
<li><a href="#delete"/>delete</a></li>
<li><a href="#disassociateRepo"/>disassociateRepo</a></li>
<li><a href="#getChannelLastBuildById"/>getChannelLastBuildById</a></li>
<li><a href="#getDetails"/>getDetails</a></li>
<li><a href="#getDetails"/>getDetails</a></li>
<li><a href="#getRepoDetails"/>getRepoDetails</a></li>
<li><a href="#getRepoDetails"/>getRepoDetails</a></li>
<li><a href="#getRepoSyncCronExpression"/>getRepoSyncCronExpression</a></li>
<li><a href="#isExisting"/>isExisting</a></li>
<li><a href="#isGloballySubscribable"/>isGloballySubscribable</a></li>
<li><a href="#isUserManageable"/>isUserManageable</a></li>
<li><a href="#isUserSubscribable"/>isUserSubscribable</a></li>
<li><a href="#listAllPackages"/>listAllPackages</a></li>
<li><a href="#listAllPackages"/>listAllPackages</a></li>
<li><a href="#listAllPackages"/>listAllPackages</a></li>
<li><a href="#listArches"/>listArches</a></li>
<li><a href="#listChannelRepos"/>listChannelRepos</a></li>
<li><a href="#listChildren"/>listChildren</a></li>
<li><a href="#listErrata"/>listErrata</a></li>
<li><a href="#listErrata"/>listErrata</a></li>
<li><a href="#listErrata"/>listErrata</a></li>
<li><a href="#listErrata"/>listErrata</a></li>
<li><a href="#listErrataByType"/>listErrataByType</a></li>
<li><a href="#listErrataNeedingSync"/>listErrataNeedingSync</a></li>
<li><a href="#listLatestPackages"/>listLatestPackages</a></li>
<li><a href="#listPackagesWithoutChannel"/>listPackagesWithoutChannel</a></li>
<li><a href="#listRepoFilters"/>listRepoFilters</a></li>
<li><a href="#listSubscribedSystems"/>listSubscribedSystems</a></li>
<li><a href="#listSystemChannels"/>listSystemChannels</a></li>
<li><a href="#listUserRepos"/>listUserRepos</a></li>
<li><a href="#mergeErrata"/>mergeErrata</a></li>
<li><a href="#mergeErrata"/>mergeErrata</a></li>
<li><a href="#mergeErrata"/>mergeErrata</a></li>
<li><a href="#mergePackages"/>mergePackages</a></li>
<li><a href="#mergePackages"/>mergePackages</a></li>
<li><a href="#regenerateNeededCache"/>regenerateNeededCache</a></li>
<li><a href="#regenerateNeededCache"/>regenerateNeededCache</a></li>
<li><a href="#regenerateYumCache"/>regenerateYumCache</a></li>
<li><a href="#removeErrata"/>removeErrata</a></li>
<li><a href="#removePackages"/>removePackages</a></li>
<li><a href="#removeRepo"/>removeRepo</a></li>
<li><a href="#removeRepo"/>removeRepo</a></li>
<li><a href="#removeRepoFilter"/>removeRepoFilter</a></li>
<li><a href="#setContactDetails"/>setContactDetails</a></li>
<li><a href="#setDetails"/>setDetails</a></li>
<li><a href="#setDetails"/>setDetails</a></li>
<li><a href="#setGloballySubscribable"/>setGloballySubscribable</a></li>
<li><a href="#setRepoFilters"/>setRepoFilters</a></li>
<li><a href="#setUserManageable"/>setUserManageable</a></li>
<li><a href="#setUserSubscribable"/>setUserSubscribable</a></li>
<li><a href="#syncErrata"/>syncErrata</a></li>
<li><a href="#syncRepo"/>syncRepo</a></li>
<li><a href="#syncRepo"/>syncRepo</a></li>
<li><a href="#syncRepo"/>syncRepo</a></li>
<li><a href="#syncRepo"/>syncRepo</a></li>
<li><a href="#syncRepo"/>syncRepo</a></li>
<li><a href="#updateRepo"/>updateRepo</a></li>
<li><a href="#updateRepoLabel"/>updateRepoLabel</a></li>
<li><a href="#updateRepoLabel"/>updateRepoLabel</a></li>
<li><a href="#updateRepoSsl"/>updateRepoSsl</a></li>
<li><a href="#updateRepoSsl"/>updateRepoSsl</a></li>
<li><a href="#updateRepoUrl"/>updateRepoUrl</a></li>
<li><a href="#updateRepoUrl"/>updateRepoUrl</a></li>
</ul>
</div>
<hr />

<h3> <a name="addPackages" href="#top">Method: addPackages</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Adds a given list of packages to the given channel.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - target channel
 </li>
<li>

<em>array(int)</em> packageIds - ID of a package to
                                   add to the channel
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="addRepoFilter" href="#top">Method: addRepoFilter</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Adds a filter for a given repo.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - repository label
 </li>
<li>

	     <em>struct</em> filterProps
	<ul>
    <li><em>string</em> "filter" - string to filter on</li>
    <li><em>string</em> "flag" - + for include, - for exclude</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> order - sort order for new filter
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="alignMetadata" href="#top">Method: alignMetadata</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Align the metadata of a channel to another channel.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelFromLabel - the label of the source channel
 </li>
<li>

    <em>string</em> channelToLabel - the label of the target channel
 </li>
<li>

    <em>string</em> metadataType - the metadata type. Only 'modules' supported currently.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> result code - 1 when metadata has been aligned, 0 otherwise
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="applyChannelState" href="#top">Method: applyChannelState</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Refresh pillar data and then schedule channels state on the provided systems


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(int)</em> sids
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(int)</em> actionId
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="associateRepo" href="#top">Method: associateRepo</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Associates a repository with a channel


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - channel label
 </li>
<li>

    <em>string</em> repoLabel - repository label
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> channel
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "arch_name"</li>
	<li><em>string</em> "arch_label"</li>
	<li><em>string</em> "summary"</li>
	<li><em>string</em> "description"</li>
	<li><em>string</em> "checksum_label"</li>
	<li><em>dateTime.iso8601</em> "last_modified"</li>
	<li><em>string</em> "maintainer_name"</li>
	<li><em>string</em> "maintainer_email"</li>
	<li><em>string</em> "maintainer_phone"</li>
	<li><em>string</em> "support_policy"</li>
	<li><em>string</em> "gpg_key_url"</li>
	<li><em>string</em> "gpg_key_id"</li>
	<li><em>string</em> "gpg_key_fp"</li>
    <li><em>dateTime.iso8601</em> "yumrepo_last_sync" - (optional)</li>
	<li><em>string</em> "end_of_life"</li>
	<li><em>string</em> "parent_channel_label"</li>
	<li><em>string</em> "clone_original"</li>
    <li><em>array</em> "contentSources"
        <ul>
            <li>
	     <em>struct</em> content source
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "sourceUrl"</li>
	<li><em>string</em> "type"</li>
	</ul>
</li></ul>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="clearRepoFilters" href="#top">Method: clearRepoFilters</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Removes the filters for a repo


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - repository label
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="clone" href="#top">Method: clone</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Clone a channel.  If arch_label is omitted, the arch label of the
      original channel will be used. If parent_label is omitted, the clone will be
      a base channel.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> originalLabel
 </li>
<li>

	     <em>struct</em> channelDetails
	<ul>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "summary"</li>
    <li><em>string</em> "parent_label" - (optional)</li>
    <li><em>string</em> "arch_label" - (optional)</li>
    <li><em>string</em> "gpg_key_url" - (optional),
              gpg_url might be used as well</li>
    <li><em>string</em> "gpg_key_id" - (optional),
              gpg_id might be used as well</li>
    <li><em>string</em> "gpg_key_fp" - (optional),
              gpg_fingerprint might be used as well</li>
    <li><em>string</em> "gpg_check" - (optional)</li>
    <li><em>string</em> "description" - (optional)</li>
    <li><em>string</em> "checksum" - either sha1 or sha256</li>
	</ul>
 </li>
<li>

    <em>boolean</em> originalState
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> id - the cloned channel ID
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="create" href="#top">Method: create</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Creates a software channel


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - label of the new channel
 </li>
<li>

    <em>string</em> name - name of the new channel
 </li>
<li>

    <em>string</em> summary - summary of the channel
 </li>
<li>

    <em>string</em> archLabel - the label of the architecture the channel corresponds to,
              run channel.software.listArches API for complete listing
 </li>
<li>

    <em>string</em> parentLabel - label of the parent of this
              channel, an empty string if it does not have one
 </li>
<li>

    <em>string</em> checksumType - checksum type for this channel,
              used for yum repository metadata generation
	<ul>
	<li>sha1 - offers widest compatibility with clients</li>
	<li>sha256 - offers highest security, but is compatible
                        only with newer clients: Fedora 11 and newer,
                        or Enterprise Linux 6 and newer.</li>
	</ul>
 </li>
<li>

	     <em>struct</em> gpgKey
	<ul>
    <li><em>string</em> "url" - GPG key URL</li>
    <li><em>string</em> "id" - GPG key ID</li>
    <li><em>string</em> "fingerprint" - GPG key Fingerprint</li>
	</ul>
 </li>
<li>

    <em>boolean</em> gpgCheck - true if the GPG check should be
     enabled by default, false otherwise
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> status - 1 if the creation operation succeeded, 0 otherwise
 
</code>
</li></ul>
<p />
Available since API version: 10.9 <p />
<hr />

<h3> <a name="create" href="#top">Method: create</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Creates a software channel


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - label of the new channel
 </li>
<li>

    <em>string</em> name - name of the new channel
 </li>
<li>

    <em>string</em> summary - summary of the channel
 </li>
<li>

    <em>string</em> archLabel - the label of the architecture the channel corresponds to,
              run channel.software.listArches API for complete listing
 </li>
<li>

    <em>string</em> parentLabel - label of the parent of this
              channel, an empty string if it does not have one
 </li>
<li>

    <em>string</em> checksumType - checksum type for this channel,
              used for yum repository metadata generation
	<ul>
	<li>sha1 - offers widest compatibility with clients</li>
	<li>sha256 - offers highest security, but is compatible
                        only with newer clients: Fedora 11 and newer,
                        or Enterprise Linux 6 and newer.</li>
	</ul>
 </li>
<li>

	     <em>struct</em> gpgKey
	<ul>
    <li><em>string</em> "url" - GPG key URL</li>
    <li><em>string</em> "id" - GPG key ID</li>
    <li><em>string</em> "fingerprint" - GPG key Fingerprint</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> status - 1 if the creation operation succeeded, 0 otherwise
 
</code>
</li></ul>
<p />
Available since API version: 10.9 <p />
<hr />

<h3> <a name="create" href="#top">Method: create</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Creates a software channel


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - label of the new channel
 </li>
<li>

    <em>string</em> name - name of the new channel
 </li>
<li>

    <em>string</em> summary - summary of the channel
 </li>
<li>

    <em>string</em> archLabel - the label of the architecture the channel corresponds to,
              run channel.software.listArches API for complete listing
 </li>
<li>

    <em>string</em> parentLabel - label of the parent of this
              channel, an empty string if it does not have one
 </li>
<li>

    <em>string</em> checksumType - checksum type for this channel,
              used for yum repository metadata generation
	<ul>
	<li>sha1 - offers widest compatibility with clients</li>
	<li>sha256 - offers highest security, but is compatible
                        only with newer clients: Fedora 11 and newer,
                        or Enterprise Linux 6 and newer.</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> status - 1 if the creation operation succeeded, 0 otherwise
 
</code>
</li></ul>
<p />
Available since API version: 10.9 <p />
<hr />

<h3> <a name="create" href="#top">Method: create</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Creates a software channel


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - label of the new channel
 </li>
<li>

    <em>string</em> name - name of the new channel
 </li>
<li>

    <em>string</em> summary - summary of the channel
 </li>
<li>

    <em>string</em> archLabel - the label of the architecture the channel corresponds to,
              run channel.software.listArches API for complete listing
 </li>
<li>

    <em>string</em> parentLabel - label of the parent of this
              channel, an empty string if it does not have one
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> status - 1 if the creation operation succeeded, 0 otherwise
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="createRepo" href="#top">Method: createRepo</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Creates a repository


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - repository label
 </li>
<li>

    <em>string</em> type - repository type (yum, uln...)
 </li>
<li>

    <em>string</em> url - repository url
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> channel
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "sourceUrl"</li>
	<li><em>string</em> "type"</li>
	<li><em>boolean</em> "hasSignedMetadata"</li>
    <li><em>array</em> "sslContentSources"
        <ul>
            <li>
         

	     <em>struct</em> content source SSL
	<ul>
	<li><em>string</em> "sslCaDesc"</li>
	<li><em>string</em> "sslCertDesc"</li>
	<li><em>string</em> "sslKeyDesc"</li>
	</ul>
 
           </li>
        </ul>
    </li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="createRepo" href="#top">Method: createRepo</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Creates a repository


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - repository label
 </li>
<li>

    <em>string</em> type - repository type (yum, uln...)
 </li>
<li>

    <em>string</em> url - repository url
 </li>
<li>

    <em>string</em> sslCaCert - SSL CA cert description
 </li>
<li>

    <em>string</em> sslCliCert - SSL Client cert description
 </li>
<li>

    <em>string</em> sslCliKey - SSL Client key description
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> channel
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "sourceUrl"</li>
	<li><em>string</em> "type"</li>
	<li><em>boolean</em> "hasSignedMetadata"</li>
    <li><em>array</em> "sslContentSources"
        <ul>
            <li>
         

	     <em>struct</em> content source SSL
	<ul>
	<li><em>string</em> "sslCaDesc"</li>
	<li><em>string</em> "sslCertDesc"</li>
	<li><em>string</em> "sslKeyDesc"</li>
	</ul>
 
           </li>
        </ul>
    </li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="createRepo" href="#top">Method: createRepo</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Creates a repository


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - repository label
 </li>
<li>

    <em>string</em> type - repository type (only YUM is supported)
 </li>
<li>

    <em>string</em> url - repository url
 </li>
<li>

    <em>string</em> sslCaCert - SSL CA cert description, or an
     empty string
 </li>
<li>

    <em>string</em> sslCliCert - SSL Client cert description, or
     an empty string
 </li>
<li>

    <em>string</em> sslCliKey - SSL Client key description, or an
     empty string
 </li>
<li>

    <em>boolean</em> hasSignedMetadata - true if the repository
     has signed metadata, false otherwise
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> channel
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "sourceUrl"</li>
	<li><em>string</em> "type"</li>
	<li><em>boolean</em> "hasSignedMetadata"</li>
    <li><em>array</em> "sslContentSources"
        <ul>
            <li>
         

	     <em>struct</em> content source SSL
	<ul>
	<li><em>string</em> "sslCaDesc"</li>
	<li><em>string</em> "sslCertDesc"</li>
	<li><em>string</em> "sslKeyDesc"</li>
	</ul>
 
           </li>
        </ul>
    </li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="delete" href="#top">Method: delete</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Deletes a custom software channel


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - channel to delete
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="disassociateRepo" href="#top">Method: disassociateRepo</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Disassociates a repository from a channel


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - channel label
 </li>
<li>

    <em>string</em> repoLabel - repository label
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> channel
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "arch_name"</li>
	<li><em>string</em> "arch_label"</li>
	<li><em>string</em> "summary"</li>
	<li><em>string</em> "description"</li>
	<li><em>string</em> "checksum_label"</li>
	<li><em>dateTime.iso8601</em> "last_modified"</li>
	<li><em>string</em> "maintainer_name"</li>
	<li><em>string</em> "maintainer_email"</li>
	<li><em>string</em> "maintainer_phone"</li>
	<li><em>string</em> "support_policy"</li>
	<li><em>string</em> "gpg_key_url"</li>
	<li><em>string</em> "gpg_key_id"</li>
	<li><em>string</em> "gpg_key_fp"</li>
    <li><em>dateTime.iso8601</em> "yumrepo_last_sync" - (optional)</li>
	<li><em>string</em> "end_of_life"</li>
	<li><em>string</em> "parent_channel_label"</li>
	<li><em>string</em> "clone_original"</li>
    <li><em>array</em> "contentSources"
        <ul>
            <li>
	     <em>struct</em> content source
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "sourceUrl"</li>
	<li><em>string</em> "type"</li>
	</ul>
</li></ul>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getChannelLastBuildById" href="#top">Method: getChannelLastBuildById</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns the last build date of the repomd.xml file
 for the given channel as a localised string.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> id - id of channel wanted
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>date</em> date - the last build date of the repomd.xml file as a localised string
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getDetails" href="#top">Method: getDetails</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns details of the given channel as a map


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - channel to query
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> channel
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "arch_name"</li>
	<li><em>string</em> "arch_label"</li>
	<li><em>string</em> "summary"</li>
	<li><em>string</em> "description"</li>
	<li><em>string</em> "checksum_label"</li>
	<li><em>dateTime.iso8601</em> "last_modified"</li>
	<li><em>string</em> "maintainer_name"</li>
	<li><em>string</em> "maintainer_email"</li>
	<li><em>string</em> "maintainer_phone"</li>
	<li><em>string</em> "support_policy"</li>
	<li><em>string</em> "gpg_key_url"</li>
	<li><em>string</em> "gpg_key_id"</li>
	<li><em>string</em> "gpg_key_fp"</li>
    <li><em>dateTime.iso8601</em> "yumrepo_last_sync" - (optional)</li>
	<li><em>string</em> "end_of_life"</li>
	<li><em>string</em> "parent_channel_label"</li>
	<li><em>string</em> "clone_original"</li>
    <li><em>array</em> "contentSources"
        <ul>
            <li>
	     <em>struct</em> content source
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "sourceUrl"</li>
	<li><em>string</em> "type"</li>
	</ul>
</li></ul>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getDetails" href="#top">Method: getDetails</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns details of the given channel as a map


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> id - channel to query
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> channel
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "arch_name"</li>
	<li><em>string</em> "arch_label"</li>
	<li><em>string</em> "summary"</li>
	<li><em>string</em> "description"</li>
	<li><em>string</em> "checksum_label"</li>
	<li><em>dateTime.iso8601</em> "last_modified"</li>
	<li><em>string</em> "maintainer_name"</li>
	<li><em>string</em> "maintainer_email"</li>
	<li><em>string</em> "maintainer_phone"</li>
	<li><em>string</em> "support_policy"</li>
	<li><em>string</em> "gpg_key_url"</li>
	<li><em>string</em> "gpg_key_id"</li>
	<li><em>string</em> "gpg_key_fp"</li>
    <li><em>dateTime.iso8601</em> "yumrepo_last_sync" - (optional)</li>
	<li><em>string</em> "end_of_life"</li>
	<li><em>string</em> "parent_channel_label"</li>
	<li><em>string</em> "clone_original"</li>
    <li><em>array</em> "contentSources"
        <ul>
            <li>
	     <em>struct</em> content source
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "sourceUrl"</li>
	<li><em>string</em> "type"</li>
	</ul>
</li></ul>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getRepoDetails" href="#top">Method: getRepoDetails</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns details of the given repository


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> repoLabel - repo to query
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> channel
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "sourceUrl"</li>
	<li><em>string</em> "type"</li>
	<li><em>boolean</em> "hasSignedMetadata"</li>
    <li><em>array</em> "sslContentSources"
        <ul>
            <li>
         

	     <em>struct</em> content source SSL
	<ul>
	<li><em>string</em> "sslCaDesc"</li>
	<li><em>string</em> "sslCertDesc"</li>
	<li><em>string</em> "sslKeyDesc"</li>
	</ul>
 
           </li>
        </ul>
    </li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getRepoDetails" href="#top">Method: getRepoDetails</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns details of the given repository


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> id - repository ID
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> channel
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "sourceUrl"</li>
	<li><em>string</em> "type"</li>
	<li><em>boolean</em> "hasSignedMetadata"</li>
    <li><em>array</em> "sslContentSources"
        <ul>
            <li>
         

	     <em>struct</em> content source SSL
	<ul>
	<li><em>string</em> "sslCaDesc"</li>
	<li><em>string</em> "sslCertDesc"</li>
	<li><em>string</em> "sslKeyDesc"</li>
	</ul>
 
           </li>
        </ul>
    </li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getRepoSyncCronExpression" href="#top">Method: getRepoSyncCronExpression</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns repo synchronization cron expression


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - channel label
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>string</em> expression - quartz expression
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="isExisting" href="#top">Method: isExisting</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns whether is existing


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - label of the channel
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>boolean</em> result - true if the channel exists
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="isGloballySubscribable" href="#top">Method: isGloballySubscribable</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns whether the channel is subscribable by any user
 in the organization


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - channel to query
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> subscribable - 1 if true, 0 otherwise
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="isUserManageable" href="#top">Method: isUserManageable</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns whether the channel may be managed by the given user.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - label of the channel
 </li>
<li>

    <em>string</em> login - login of the target user
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> status - 1 if manageable, 0 if not
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="isUserSubscribable" href="#top">Method: isUserSubscribable</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns whether the channel may be subscribed to by the given user.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - label of the channel
 </li>
<li>

    <em>string</em> login - login of the target user
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> status - 1 if subscribable, 0 if not
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listAllPackages" href="#top">Method: listAllPackages</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Lists all packages in the channel, regardless of package version,
 between the given dates.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - channel to query
 </li>
<li>

    <em>dateTime.iso8601</em> startDate
 </li>
<li>

    <em>dateTime.iso8601</em> endDate
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
              

	     <em>struct</em> package
	<ul>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "version"</li>
	<li><em>string</em> "release"</li>
	<li><em>string</em> "epoch"</li>
	<li><em>string</em> "checksum"</li>
	<li><em>string</em> "checksum_type"</li>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "arch_label"</li>
	<li><em>string</em> "last_modified_date"</li>
    <li><em>string</em> "last_modified" - (deprecated)</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listAllPackages" href="#top">Method: listAllPackages</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Lists all packages in the channel, regardless of version whose last
 modified date is greater than given date.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - channel to query
 </li>
<li>

    <em>dateTime.iso8601</em> startDate
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
              

	     <em>struct</em> package
	<ul>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "version"</li>
	<li><em>string</em> "release"</li>
	<li><em>string</em> "epoch"</li>
	<li><em>string</em> "checksum"</li>
	<li><em>string</em> "checksum_type"</li>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "arch_label"</li>
	<li><em>string</em> "last_modified_date"</li>
    <li><em>string</em> "last_modified" - (deprecated)</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listAllPackages" href="#top">Method: listAllPackages</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Lists all packages in the channel, regardless of the package version


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - channel to query
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
              

	     <em>struct</em> package
	<ul>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "version"</li>
	<li><em>string</em> "release"</li>
	<li><em>string</em> "epoch"</li>
	<li><em>string</em> "checksum"</li>
	<li><em>string</em> "checksum_type"</li>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "arch_label"</li>
	<li><em>string</em> "last_modified_date"</li>
    <li><em>string</em> "last_modified" - (deprecated)</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listArches" href="#top">Method: listArches</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Lists the potential software channel architectures that can be created


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
              

	     <em>struct</em> channel arch
	<ul>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "label"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listChannelRepos" href="#top">Method: listChannelRepos</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Lists associated repos with the given channel


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - channel label
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
          

	     <em>struct</em> channel
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "sourceUrl"</li>
	<li><em>string</em> "type"</li>
	<li><em>boolean</em> "hasSignedMetadata"</li>
    <li><em>array</em> "sslContentSources"
        <ul>
            <li>
         

	     <em>struct</em> content source SSL
	<ul>
	<li><em>string</em> "sslCaDesc"</li>
	<li><em>string</em> "sslCertDesc"</li>
	<li><em>string</em> "sslKeyDesc"</li>
	</ul>
 
           </li>
        </ul>
    </li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listChildren" href="#top">Method: listChildren</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List the children of a channel


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - the label of the channel
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
              

	     <em>struct</em> channel
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "arch_name"</li>
	<li><em>string</em> "arch_label"</li>
	<li><em>string</em> "summary"</li>
	<li><em>string</em> "description"</li>
	<li><em>string</em> "checksum_label"</li>
	<li><em>dateTime.iso8601</em> "last_modified"</li>
	<li><em>string</em> "maintainer_name"</li>
	<li><em>string</em> "maintainer_email"</li>
	<li><em>string</em> "maintainer_phone"</li>
	<li><em>string</em> "support_policy"</li>
	<li><em>string</em> "gpg_key_url"</li>
	<li><em>string</em> "gpg_key_id"</li>
	<li><em>string</em> "gpg_key_fp"</li>
    <li><em>dateTime.iso8601</em> "yumrepo_last_sync" - (optional)</li>
	<li><em>string</em> "end_of_life"</li>
	<li><em>string</em> "parent_channel_label"</li>
	<li><em>string</em> "clone_original"</li>
    <li><em>array</em> "contentSources"
        <ul>
            <li>
	     <em>struct</em> content source
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "sourceUrl"</li>
	<li><em>string</em> "type"</li>
	</ul>
</li></ul>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listErrata" href="#top">Method: listErrata</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List the errata applicable to a channel after given startDate


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - channel to query
 </li>
<li>

    <em>dateTime.iso8601</em> startDate
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
          

	     <em>struct</em> errata
	<ul>
    <li><em>int</em> "id" - errata ID</li>
    <li><em>string</em> "issue_date" - the date erratum was updated (deprecated)</li>
    <li><em>string</em> "date" - the date erratum was created (deprecated)</li>
    <li><em>string</em> "update_date" - the date erratum was updated (deprecated)</li>
    <li><em>string</em> "advisory_synopsis" - summary of the erratum</li>
    <li><em>string</em> "advisory_type" - type label such as 'Security', 'Bug Fix'</li>
    <li><em>string</em> "advisory_status" - status label such as 'final', 'testing', 'retracted'</li>
    <li><em>string</em> "advisory_name" - name such as 'RHSA', etc.</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listErrata" href="#top">Method: listErrata</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List the errata applicable to a channel between startDate and endDate.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - channel to query
 </li>
<li>

    <em>dateTime.iso8601</em> startDate
 </li>
<li>

    <em>dateTime.iso8601</em> endDate
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
          

	     <em>struct</em> errata
	<ul>
    <li><em>int</em> "id" - errata ID</li>
    <li><em>string</em> "issue_date" - the date erratum was updated (deprecated)</li>
    <li><em>string</em> "date" - the date erratum was created (deprecated)</li>
    <li><em>string</em> "update_date" - the date erratum was updated (deprecated)</li>
    <li><em>string</em> "advisory_synopsis" - summary of the erratum</li>
    <li><em>string</em> "advisory_type" - type label such as 'Security', 'Bug Fix'</li>
    <li><em>string</em> "advisory_status" - status label such as 'final', 'testing', 'retracted'</li>
    <li><em>string</em> "advisory_name" - name such as 'RHSA', etc.</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listErrata" href="#top">Method: listErrata</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List the errata applicable to a channel between startDate and endDate.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - channel to query
 </li>
<li>

    <em>dateTime.iso8601</em> startDate
 </li>
<li>

    <em>dateTime.iso8601</em> endDate
 </li>
<li>

    <em>boolean</em> lastModified - select by last modified or not
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
          

	     <em>struct</em> errata
	<ul>
    <li><em>int</em> "id" - errata ID</li>
    <li><em>string</em> "issue_date" - the date erratum was updated (deprecated)</li>
    <li><em>string</em> "date" - the date erratum was created (deprecated)</li>
    <li><em>string</em> "update_date" - the date erratum was updated (deprecated)</li>
    <li><em>string</em> "advisory_synopsis" - summary of the erratum</li>
    <li><em>string</em> "advisory_type" - type label such as 'Security', 'Bug Fix'</li>
    <li><em>string</em> "advisory_status" - status label such as 'final', 'testing', 'retracted'</li>
    <li><em>string</em> "advisory_name" - name such as 'RHSA', etc.</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listErrata" href="#top">Method: listErrata</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List the errata applicable to a channel


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - channel to query
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
          

	     <em>struct</em> errata
	<ul>
    <li><em>int</em> "id" - errata ID</li>
    <li><em>string</em> "issue_date" - the date erratum was updated (deprecated)</li>
    <li><em>string</em> "date" - the date erratum was created (deprecated)</li>
    <li><em>string</em> "update_date" - the date erratum was updated (deprecated)</li>
    <li><em>string</em> "advisory_synopsis" - summary of the erratum</li>
    <li><em>string</em> "advisory_type" - type label such as 'Security', 'Bug Fix'</li>
    <li><em>string</em> "advisory_status" - status label such as 'final', 'testing', 'retracted'</li>
    <li><em>string</em> "advisory_name" - name such as 'RHSA', etc.</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listErrataByType" href="#top">Method: listErrataByType</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List the errata of a specific type that are applicable to a channel


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - channel to query
 </li>
<li>

    <em>string</em> advisoryType - type of advisory (one of
 of the following: 'Security Advisory', 'Product Enhancement Advisory',
 'Bug Fix Advisory'
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> errata
	<ul>
    <li><em>string</em> "advisory" - name of the advisory</li>
    <li><em>string</em> "issue_date" - date format follows YYYY-MM-DD HH24:MI:SS</li>
    <li><em>string</em> "update_date" - date format follows YYYY-MM-DD HH24:MI:SS</li>
	<li><em>string</em> "synopsis"</li>
	<li><em>string</em> "advisory_type"</li>
    <li><em>string</em> "last_modified_date" - date format follows YYYY-MM-DD HH24:MI:SS</li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listErrataNeedingSync" href="#top">Method: listErrataNeedingSync</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
If you have synced a new channel then patches
 will have been updated with the packages that are in the newly
 synced channel. A cloned erratum will not have been automatically updated
 however. If you cloned a channel that includes those cloned errata and
 should include the new packages, they will not be included when they
 should. This method lists the errata that will be updated if you run the
 syncErrata method.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - channel to update
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
          

	     <em>struct</em> errata
	<ul>
    <li><em>int</em> "id" - errata ID</li>
    <li><em>string</em> "issue_date" - the date erratum was updated (deprecated)</li>
    <li><em>string</em> "date" - the date erratum was created (deprecated)</li>
    <li><em>string</em> "update_date" - the date erratum was updated (deprecated)</li>
    <li><em>string</em> "advisory_synopsis" - summary of the erratum</li>
    <li><em>string</em> "advisory_type" - type label such as 'Security', 'Bug Fix'</li>
    <li><em>string</em> "advisory_status" - status label such as 'final', 'testing', 'retracted'</li>
    <li><em>string</em> "advisory_name" - name such as 'RHSA', etc.</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listLatestPackages" href="#top">Method: listLatestPackages</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Lists the packages with the latest version (including release and
 epoch) for the given channel


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - channel to query
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> package
	<ul>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "version"</li>
	<li><em>string</em> "release"</li>
	<li><em>string</em> "epoch"</li>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "arch_label"</li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listPackagesWithoutChannel" href="#top">Method: listPackagesWithoutChannel</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Lists all packages that are not associated with a channel.  Typically
          these are custom packages.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
      

	     <em>struct</em> package
	<ul>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "version"</li>
	<li><em>string</em> "release"</li>
	<li><em>string</em> "epoch"</li>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "arch_label"</li>
	<li><em>dateTime.iso8601</em> "last_modified"</li>
    <li><em>string</em> "path" - the path on that file system that the package
             resides</li>
    <li><em>boolean</em> "part_of_retracted_patch" - true if the package is a part of a retracted patch</li>
    <li><em>string</em> "provider" - the provider of the package, determined by
              the gpg key it was signed with.</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listRepoFilters" href="#top">Method: listRepoFilters</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Lists the filters for a repo


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - repository label
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
          

	     <em>struct</em> filter
	<ul>
	<li><em>int</em> "sortOrder"</li>
	<li><em>string</em> "filter"</li>
	<li><em>string</em> "flag"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listSubscribedSystems" href="#top">Method: listSubscribedSystems</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns list of subscribed systems for the given channel label


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - channel to query
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> system
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listSystemChannels" href="#top">Method: listSystemChannels</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns a list of channels that a system is subscribed to for the
 given system id


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid - system ID
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> channel
	<ul>
	<li><em>string</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listUserRepos" href="#top">Method: listUserRepos</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns a list of ContentSource (repos) that the user can see


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> map
	<ul>
    <li><em>long</em> "id" - ID of the repo</li>
    <li><em>string</em> "label" - label of the repo</li>
    <li><em>string</em> "sourceUrl" - URL of the repo</li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="mergeErrata" href="#top">Method: mergeErrata</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Merges all errata from one channel into another


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> mergeFromLabel - the label of the
 channel to pull errata from
 </li>
<li>

    <em>string</em> mergeToLabel - the label to push the
 errata into
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
          

	     <em>struct</em> errata
	<ul>
    <li><em>int</em> "id" - errata ID</li>
    <li><em>string</em> "date" - the date erratum was created</li>
    <li><em>string</em> "advisory_type" - type of the advisory</li>
    <li><em>string</em> "advisory_status" - status of the advisory</li>
    <li><em>string</em> "advisory_name" - name of the advisory</li>
    <li><em>string</em> "advisory_synopsis" - summary of the erratum</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="mergeErrata" href="#top">Method: mergeErrata</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Merges all errata from one channel into another based upon a
 given start/end date.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> mergeFromLabel - the label of the
 channel to pull errata from
 </li>
<li>

    <em>string</em> mergeToLabel - the label to push the
 errata into
 </li>
<li>

    <em>string</em> startDate
 </li>
<li>

    <em>string</em> endDate
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
          

	     <em>struct</em> errata
	<ul>
    <li><em>int</em> "id" - errata ID</li>
    <li><em>string</em> "date" - the date erratum was created</li>
    <li><em>string</em> "advisory_type" - type of the advisory</li>
    <li><em>string</em> "advisory_status" - status of the advisory</li>
    <li><em>string</em> "advisory_name" - name of the advisory</li>
    <li><em>string</em> "advisory_synopsis" - summary of the erratum</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="mergeErrata" href="#top">Method: mergeErrata</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Merges a list of errata from one channel into another


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> mergeFromLabel - the label of the
 channel to pull errata from
 </li>
<li>

    <em>string</em> mergeToLabel - the label to push the
 errata into
 </li>
<li>

<em>array(string)</em> errataNames - the advisory name of the errata to merge
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
          

	     <em>struct</em> errata
	<ul>
    <li><em>int</em> "id" - errata ID</li>
    <li><em>string</em> "date" - the date erratum was created</li>
    <li><em>string</em> "advisory_type" - type of the advisory</li>
    <li><em>string</em> "advisory_status" - status of the advisory</li>
    <li><em>string</em> "advisory_name" - name of the advisory</li>
    <li><em>string</em> "advisory_synopsis" - summary of the erratum</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="mergePackages" href="#top">Method: mergePackages</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Merges all packages from one channel into another


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> mergeFromLabel - the label of the
          channel to pull packages from
 </li>
<li>

    <em>string</em> mergeToLabel - the label to push the
              packages into
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
          

	     <em>struct</em> package
	<ul>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "version"</li>
	<li><em>string</em> "release"</li>
	<li><em>string</em> "epoch"</li>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "arch_label"</li>
	<li><em>dateTime.iso8601</em> "last_modified"</li>
    <li><em>string</em> "path" - the path on that file system that the package
             resides</li>
    <li><em>boolean</em> "part_of_retracted_patch" - true if the package is a part of a retracted patch</li>
    <li><em>string</em> "provider" - the provider of the package, determined by
              the gpg key it was signed with.</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="mergePackages" href="#top">Method: mergePackages</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Merges all packages from one channel into another


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> mergeFromLabel - the label of the
          channel to pull packages from
 </li>
<li>

    <em>string</em> mergeToLabel - the label to push the
              packages into
 </li>
<li>

    <em>boolean</em> alignModules - align modular data of the target channel
              to the source channel (RHEL8 and higher)
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
          

	     <em>struct</em> package
	<ul>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "version"</li>
	<li><em>string</em> "release"</li>
	<li><em>string</em> "epoch"</li>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "arch_label"</li>
	<li><em>dateTime.iso8601</em> "last_modified"</li>
    <li><em>string</em> "path" - the path on that file system that the package
             resides</li>
    <li><em>boolean</em> "part_of_retracted_patch" - true if the package is a part of a retracted patch</li>
    <li><em>string</em> "provider" - the provider of the package, determined by
              the gpg key it was signed with.</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="regenerateNeededCache" href="#top">Method: regenerateNeededCache</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Completely clear and regenerate the needed Errata and Package
      cache for all systems subscribed to the specified channel.  This should
      be used only if you believe your cache is incorrect for all the systems
      in a given channel. This will schedule an asynchronous action to actually
      do the processing.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - the label of the
          channel
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="regenerateNeededCache" href="#top">Method: regenerateNeededCache</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Completely clear and regenerate the needed Errata and Package
      cache for all systems subscribed. You must be a #product() Admin to
      perform this action. This will schedule an asynchronous action to
      actually do the processing.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="regenerateYumCache" href="#top">Method: regenerateYumCache</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Regenerate yum cache for the specified channel.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - the label of the
          channel
 </li>
<li>

    <em>boolean</em> force - force cache regeneration
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="removeErrata" href="#top">Method: removeErrata</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Removes a given list of errata from the given channel.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - target channel
 </li>
<li>

<em>array(string)</em> errataNames - name of an erratum to remove
 </li>
<li>

    <em>boolean</em> removePackages - true to remove packages from the channel
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="removePackages" href="#top">Method: removePackages</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Removes a given list of packages from the given channel.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - target channel
 </li>
<li>

<em>array(int)</em> packageIds - ID of a package to
                                   remove from the channel
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="removeRepo" href="#top">Method: removeRepo</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Removes a repository


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>long</em> id - ID of repo to be removed
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="removeRepo" href="#top">Method: removeRepo</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Removes a repository


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - label of repo to be removed
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="removeRepoFilter" href="#top">Method: removeRepoFilter</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Removes a filter for a given repo.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - repository label
 </li>
<li>

	     <em>struct</em> filterProps
	<ul>
    <li><em>string</em> "filter" - string to filter on</li>
    <li><em>string</em> "flag" - + for include, - for exclude</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setContactDetails" href="#top">Method: setContactDetails</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Set contact/support information for given channel.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - label of the channel
 </li>
<li>

    <em>string</em> maintainerName - name of the channel
 maintainer
 </li>
<li>

    <em>string</em> maintainerEmail - email of the channel
 maintainer
 </li>
<li>

    <em>string</em> maintainerPhone - phone number of the channel
 maintainer
 </li>
<li>

    <em>string</em> supportPolicy - channel support policy
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setDetails" href="#top">Method: setDetails</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Allows to modify channel attributes


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - channel label
 </li>
<li>

	     <em>struct</em> details
	<ul>
    <li><em>string</em> "checksum_label" - new channel repository checksum label
          (optional)</li>
    <li><em>string</em> "name" - new channel name (optional)</li>
    <li><em>string</em> "summary" - new channel summary (optional)</li>
    <li><em>string</em> "description" - new channel description (optional)</li>
    <li><em>string</em> "maintainer_name" - new channel maintainer name
          (optional)</li>
    <li><em>string</em> "maintainer_email" - new channel email address
          (optional)</li>
    <li><em>string</em> "maintainer_phone" - new channel phone number (optional)</li>
    <li><em>string</em> "gpg_key_url" - new channel gpg key url (optional)</li>
    <li><em>string</em> "gpg_key_id" - new channel gpg key id (optional)</li>
    <li><em>string</em> "gpg_key_fp" - new channel gpg key fingerprint
          (optional)</li>
    <li><em>string</em> "gpg_check" - enable/disable gpg check (optional)</li>

	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setDetails" href="#top">Method: setDetails</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Allows to modify channel attributes


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> channelId - channel id
 </li>
<li>

	     <em>struct</em> details
	<ul>
    <li><em>string</em> "checksum_label" - new channel repository checksum label
          (optional)</li>
    <li><em>string</em> "name" - new channel name (optional)</li>
    <li><em>string</em> "summary" - new channel summary (optional)</li>
    <li><em>string</em> "description" - new channel description (optional)</li>
    <li><em>string</em> "maintainer_name" - new channel maintainer name
          (optional)</li>
    <li><em>string</em> "maintainer_email" - new channel email address
          (optional)</li>
    <li><em>string</em> "maintainer_phone" - new channel phone number (optional)</li>
    <li><em>string</em> "gpg_key_url" - new channel gpg key url (optional)</li>
    <li><em>string</em> "gpg_key_id" - new channel gpg key id (optional)</li>
    <li><em>string</em> "gpg_key_fp" - new channel gpg key fingerprint
          (optional)</li>
    <li><em>string</em> "gpg_check" - enable/disable gpg check
          (optional)</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setGloballySubscribable" href="#top">Method: setGloballySubscribable</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Set globally subscribable attribute for given channel.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - label of the channel
 </li>
<li>

    <em>boolean</em> value - true if the channel is to be
          globally subscribable. False otherwise.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setRepoFilters" href="#top">Method: setRepoFilters</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Replaces the existing set of filters for a given repo.
 Filters are ranked by their order in the array.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - repository label
 </li>
<li>

<em>array</em> filterProps
  <ul>
   <li>
	     <em>struct</em> filter properties
	<ul>
    <li><em>string</em> "filter" - string to filter on</li>
    <li><em>string</em> "flag" - + for include, - for exclude</li>
	</ul>
</li></ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setUserManageable" href="#top">Method: setUserManageable</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Set the manageable flag for a given channel and user.
 If value is set to 'true', this method will give the user
 manage permissions to the channel. Otherwise, that privilege is revoked.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - label of the channel
 </li>
<li>

    <em>string</em> login - login of the target user
 </li>
<li>

    <em>boolean</em> value - value of the flag to set
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setUserSubscribable" href="#top">Method: setUserSubscribable</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Set the subscribable flag for a given channel and user.
 If value is set to 'true', this method will give the user
 subscribe permissions to the channel. Otherwise, that privilege is revoked.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - label of the channel
 </li>
<li>

    <em>string</em> login - login of the target user
 </li>
<li>

    <em>boolean</em> value - value of the flag to set
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="syncErrata" href="#top">Method: syncErrata</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
If you have synced a new channel then patches
 will have been updated with the packages that are in the newly
 synced channel. A cloned erratum will not have been automatically updated
 however. If you cloned a channel that includes those cloned errata and
 should include the new packages, they will not be included when they
 should. This method updates all the errata in the given cloned channel
 with packages that have recently been added, and ensures that all the
 packages you expect are in the channel. It also updates cloned errata
 attributes like advisoryStatus.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - channel to update
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="syncRepo" href="#top">Method: syncRepo</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Trigger immediate repo synchronization


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(string)</em> channelLabels
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="syncRepo" href="#top">Method: syncRepo</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Trigger immediate repo synchronization


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - channel label
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="syncRepo" href="#top">Method: syncRepo</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Trigger immediate repo synchronization


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - channel label
 </li>
<li>

	     <em>struct</em> params
	<ul>
    <li><em>boolean</em> "sync-kickstart" - create kickstartable tree - Optional</li>
    <li><em>boolean</em> "no-errata" - do not sync errata - Optional</li>
    <li><em>boolean</em> "fail" - terminate upon any error - Optional</li>
    <li><em>boolean</em> "latest" - only download latest packages - Optional</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="syncRepo" href="#top">Method: syncRepo</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule periodic repo synchronization


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - channel label
 </li>
<li>

    <em>string</em> cronExpr - cron expression, if empty all periodic schedules will be disabled
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="syncRepo" href="#top">Method: syncRepo</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule periodic repo synchronization


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - channel label
 </li>
<li>

    <em>string</em> cronExpr - cron expression, if empty all periodic schedules will be disabled
 </li>
<li>

	     <em>struct</em> params
	<ul>
    <li><em>boolean</em> "sync-kickstart" - create kickstartable tree - Optional</li>
    <li><em>boolean</em> "no-errata" - do not sync errata - Optional</li>
    <li><em>boolean</em> "fail" - terminate upon any error - Optional</li>
    <li><em>boolean</em> "latest" - only download latest packages - Optional</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="updateRepo" href="#top">Method: updateRepo</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Updates a ContentSource (repo)


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> id - repository ID
 </li>
<li>

    <em>string</em> label - new repository label
 </li>
<li>

    <em>string</em> url - new repository URL
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> channel
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "sourceUrl"</li>
	<li><em>string</em> "type"</li>
	<li><em>boolean</em> "hasSignedMetadata"</li>
    <li><em>array</em> "sslContentSources"
        <ul>
            <li>
         

	     <em>struct</em> content source SSL
	<ul>
	<li><em>string</em> "sslCaDesc"</li>
	<li><em>string</em> "sslCertDesc"</li>
	<li><em>string</em> "sslKeyDesc"</li>
	</ul>
 
           </li>
        </ul>
    </li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="updateRepoLabel" href="#top">Method: updateRepoLabel</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Updates repository label


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> id - repository ID
 </li>
<li>

    <em>string</em> label - new repository label
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> channel
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "sourceUrl"</li>
	<li><em>string</em> "type"</li>
	<li><em>boolean</em> "hasSignedMetadata"</li>
    <li><em>array</em> "sslContentSources"
        <ul>
            <li>
         

	     <em>struct</em> content source SSL
	<ul>
	<li><em>string</em> "sslCaDesc"</li>
	<li><em>string</em> "sslCertDesc"</li>
	<li><em>string</em> "sslKeyDesc"</li>
	</ul>
 
           </li>
        </ul>
    </li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="updateRepoLabel" href="#top">Method: updateRepoLabel</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Updates repository label


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - repository label
 </li>
<li>

    <em>string</em> newLabel - new repository label
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> channel
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "sourceUrl"</li>
	<li><em>string</em> "type"</li>
	<li><em>boolean</em> "hasSignedMetadata"</li>
    <li><em>array</em> "sslContentSources"
        <ul>
            <li>
         

	     <em>struct</em> content source SSL
	<ul>
	<li><em>string</em> "sslCaDesc"</li>
	<li><em>string</em> "sslCertDesc"</li>
	<li><em>string</em> "sslKeyDesc"</li>
	</ul>
 
           </li>
        </ul>
    </li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="updateRepoSsl" href="#top">Method: updateRepoSsl</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Updates repository SSL certificates


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> id - repository ID
 </li>
<li>

    <em>string</em> sslCaCert - SSL CA cert description
 </li>
<li>

    <em>string</em> sslCliCert - SSL Client cert description
 </li>
<li>

    <em>string</em> sslCliKey - SSL Client key description
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> channel
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "sourceUrl"</li>
	<li><em>string</em> "type"</li>
	<li><em>boolean</em> "hasSignedMetadata"</li>
    <li><em>array</em> "sslContentSources"
        <ul>
            <li>
         

	     <em>struct</em> content source SSL
	<ul>
	<li><em>string</em> "sslCaDesc"</li>
	<li><em>string</em> "sslCertDesc"</li>
	<li><em>string</em> "sslKeyDesc"</li>
	</ul>
 
           </li>
        </ul>
    </li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="updateRepoSsl" href="#top">Method: updateRepoSsl</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Updates repository SSL certificates


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - repository label
 </li>
<li>

    <em>string</em> sslCaCert - SSL CA cert description
 </li>
<li>

    <em>string</em> sslCliCert - SSL Client cert description
 </li>
<li>

    <em>string</em> sslCliKey - SSL Client key description
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> channel
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "sourceUrl"</li>
	<li><em>string</em> "type"</li>
	<li><em>boolean</em> "hasSignedMetadata"</li>
    <li><em>array</em> "sslContentSources"
        <ul>
            <li>
         

	     <em>struct</em> content source SSL
	<ul>
	<li><em>string</em> "sslCaDesc"</li>
	<li><em>string</em> "sslCertDesc"</li>
	<li><em>string</em> "sslKeyDesc"</li>
	</ul>
 
           </li>
        </ul>
    </li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="updateRepoUrl" href="#top">Method: updateRepoUrl</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Updates repository source URL


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> id - repository ID
 </li>
<li>

    <em>string</em> url - new repository URL
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> channel
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "sourceUrl"</li>
	<li><em>string</em> "type"</li>
	<li><em>boolean</em> "hasSignedMetadata"</li>
    <li><em>array</em> "sslContentSources"
        <ul>
            <li>
         

	     <em>struct</em> content source SSL
	<ul>
	<li><em>string</em> "sslCaDesc"</li>
	<li><em>string</em> "sslCertDesc"</li>
	<li><em>string</em> "sslKeyDesc"</li>
	</ul>
 
           </li>
        </ul>
    </li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="updateRepoUrl" href="#top">Method: updateRepoUrl</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Updates repository source URL


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - repository label
 </li>
<li>

    <em>string</em> url - new repository URL
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> channel
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "sourceUrl"</li>
	<li><em>string</em> "type"</li>
	<li><em>boolean</em> "hasSignedMetadata"</li>
    <li><em>array</em> "sslContentSources"
        <ul>
            <li>
         

	     <em>struct</em> content source SSL
	<ul>
	<li><em>string</em> "sslCaDesc"</li>
	<li><em>string</em> "sslCertDesc"</li>
	<li><em>string</em> "sslKeyDesc"</li>
	</ul>
 
           </li>
        </ul>
    </li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
