<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
configchannel
</p>
<p>Provides methods to access and modify many aspects of
 configuration channels.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#channelExists"/>channelExists</a></li>
<li><a href="#create"/>create</a></li>
<li><a href="#create"/>create</a></li>
<li><a href="#create"/>create</a></li>
<li><a href="#createOrUpdatePath"/>createOrUpdatePath</a></li>
<li><a href="#createOrUpdateSymlink"/>createOrUpdateSymlink</a></li>
<li><a href="#deleteChannels"/>deleteChannels</a></li>
<li><a href="#deleteFileRevisions"/>deleteFileRevisions</a></li>
<li><a href="#deleteFiles"/>deleteFiles</a></li>
<li><a href="#deployAllSystems"/>deployAllSystems</a></li>
<li><a href="#deployAllSystems"/>deployAllSystems</a></li>
<li><a href="#deployAllSystems"/>deployAllSystems</a></li>
<li><a href="#deployAllSystems"/>deployAllSystems</a></li>
<li><a href="#getDetails"/>getDetails</a></li>
<li><a href="#getDetails"/>getDetails</a></li>
<li><a href="#getEncodedFileRevision"/>getEncodedFileRevision</a></li>
<li><a href="#getFileRevision"/>getFileRevision</a></li>
<li><a href="#getFileRevisions"/>getFileRevisions</a></li>
<li><a href="#listAssignedSystemGroups"/>listAssignedSystemGroups</a></li>
<li><a href="#listFiles"/>listFiles</a></li>
<li><a href="#listGlobals"/>listGlobals</a></li>
<li><a href="#listSubscribedSystems"/>listSubscribedSystems</a></li>
<li><a href="#lookupChannelInfo"/>lookupChannelInfo</a></li>
<li><a href="#lookupFileInfo"/>lookupFileInfo</a></li>
<li><a href="#lookupFileInfo"/>lookupFileInfo</a></li>
<li><a href="#scheduleFileComparisons"/>scheduleFileComparisons</a></li>
<li><a href="#syncSaltFilesOnDisk"/>syncSaltFilesOnDisk</a></li>
<li><a href="#update"/>update</a></li>
<li><a href="#updateInitSls"/>updateInitSls</a></li>
</ul>
</div>
<hr />

<h3> <a name="channelExists" href="#top">Method: channelExists</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Check for the existence of the config channel provided.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - channel to check for
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> existence - 1 if exists, 0 otherwise
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="create" href="#top">Method: create</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create a new global config channel. Caller must be at least a
 config admin or an organization admin.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label
 </li>
<li>

    <em>string</em> name
 </li>
<li>

    <em>string</em> description
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> configuration channel information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>int</em> "orgId"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "description"</li>
	<li><em>struct</em> "configChannelType"</li>
   

	     <em>struct</em> configuration channel type information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	<li><em>int</em> "priority"</li>
	</ul>
 
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="create" href="#top">Method: create</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create a new global config channel. Caller must be at least a
 config admin or an organization admin.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label
 </li>
<li>

    <em>string</em> name
 </li>
<li>

    <em>string</em> description
 </li>
<li>

    <em>string</em> type - the channel type either 'normal' or 'state'
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> configuration channel information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>int</em> "orgId"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "description"</li>
	<li><em>struct</em> "configChannelType"</li>
   

	     <em>struct</em> configuration channel type information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	<li><em>int</em> "priority"</li>
	</ul>
 
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="create" href="#top">Method: create</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create a new global config channel. Caller must be at least a
 config admin or an organization admin.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label
 </li>
<li>

    <em>string</em> name
 </li>
<li>

    <em>string</em> description
 </li>
<li>

    <em>string</em> type - the channel type either 'normal' or 'state'
 </li>
<li>

	     <em>struct</em> pathInfo - the path info
	<ul>
    <li><em>string</em> "contents" - contents of the init.sls file</li>
    <li><em>boolean</em> "contents_enc64" - identifies base64 encoded content(default: disabled)</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> configuration channel information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>int</em> "orgId"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "description"</li>
	<li><em>struct</em> "configChannelType"</li>
   

	     <em>struct</em> configuration channel type information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	<li><em>int</em> "priority"</li>
	</ul>
 
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="createOrUpdatePath" href="#top">Method: createOrUpdatePath</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create a new file or directory with the given path, or
 update an existing path.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - the channel label
 </li>
<li>

    <em>string</em> path
 </li>
<li>

    <em>boolean</em> isDir - true if the path is a directory, False if it is a file
 </li>
<li>

	     <em>struct</em> pathInfo
	<ul>
    <li><em>string</em> "contents" - contents of the file (text or base64 encoded if binary or want to preserve
                         control characters like LF, CR etc.)(only for non-directories)</li>
    <li><em>boolean</em> "contents_enc64" - identifies base64 encoded content
                   (default: disabled, only for non-directories)</li>
    <li><em>string</em> "owner" - owner of the file/directory</li>
    <li><em>string</em> "group" - group name of the file/directory</li>
    <li><em>string</em> "permissions" - octal file/directory permissions (eg: 644)</li>
    <li><em>string</em> "selinux_ctx" - SELinux Security context (optional)</li>
    <li><em>string</em> "macro-start-delimiter" - config file macro start delimiter. Use null or empty
                  string to accept the default. (only for non-directories)</li>
    <li><em>string</em> "macro-end-delimiter" - config file macro end delimiter. Use null or
  empty string to accept the default. (only for non-directories)</li>
    <li><em>int</em> "revision" - next revision number, auto increment for null</li>
    <li><em>boolean</em> "binary" - mark the binary content, if True,
      base64 encoded content is expected (only for non-directories)</li>

	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> configuration revision information
	<ul>
	<li><em>string</em> "type"</li>
	<ul>
	<li>file</li>
	<li>directory</li>
	<li>symlink</li>
	</ul>
    <li><em>string</em> "path" - File Path</li>
    <li><em>string</em> "target_path" - Symbolic link Target File Path.
                              Present for Symbolic links only.</li>
    <li><em>string</em> "channel" - Channel Name</li>
    <li><em>string</em> "contents" - File contents (base64 encoded according
                to the contents_enc64 attribute)</li>
    <li><em>boolean</em> "contents_enc64" -  Identifies base64 encoded content</li>
    <li><em>int</em> "revision" - File Revision</li>
    <li><em>dateTime.iso8601</em> "creation" - Creation Date</li>
    <li><em>dateTime.iso8601</em> "modified" - Last Modified Date</li>
    <li><em>string</em> "owner" - File Owner. Present for files or directories only.</li>
    <li><em>string</em> "group" - File Group. Present for files or directories only.</li>
    <li><em>int</em> "permissions" - File Permissions (Deprecated).
                                  Present for files or directories only.</li>
    <li><em>string</em> "permissions_mode" - File Permissions.
                                      Present for files or directories only.</li>
    <li><em>string</em> "selinux_ctx" - SELinux Context (optional).</li>
    <li><em>boolean</em> "binary" - true/false , Present for files only.</li>
    <li><em>string</em> "sha256" - File's sha256 signature. Present for files only.</li>
    <li><em>string</em> "macro-start-delimiter" - Macro start delimiter for a config file. Present for text files only.</li>
    <li><em>string</em> "macro-end-delimiter" - Macro end delimiter for a config file. Present for text files only.</li>
	</ul>
  
 
</code>
</li></ul>
<p />
Available since API version: 10.2 <p />
<hr />

<h3> <a name="createOrUpdateSymlink" href="#top">Method: createOrUpdateSymlink</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create a new symbolic link with the given path, or
 update an existing path in config channel of 'normal' type.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label
 </li>
<li>

    <em>string</em> path
 </li>
<li>

	     <em>struct</em> pathInfo
	<ul>
    <li><em>string</em> "target_path" - the target path for the symbolic link</li>
    <li><em>string</em> "selinux_ctx" - SELinux Security context (optional)</li>
    <li><em>int</em> "revision" - next revision number,
       skip this field for automatic revision number assignment</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> configuration revision information
	<ul>
	<li><em>string</em> "type"</li>
	<ul>
	<li>file</li>
	<li>directory</li>
	<li>symlink</li>
	</ul>
    <li><em>string</em> "path" - File Path</li>
    <li><em>string</em> "target_path" - Symbolic link Target File Path.
                              Present for Symbolic links only.</li>
    <li><em>string</em> "channel" - Channel Name</li>
    <li><em>string</em> "contents" - File contents (base64 encoded according
                to the contents_enc64 attribute)</li>
    <li><em>boolean</em> "contents_enc64" -  Identifies base64 encoded content</li>
    <li><em>int</em> "revision" - File Revision</li>
    <li><em>dateTime.iso8601</em> "creation" - Creation Date</li>
    <li><em>dateTime.iso8601</em> "modified" - Last Modified Date</li>
    <li><em>string</em> "owner" - File Owner. Present for files or directories only.</li>
    <li><em>string</em> "group" - File Group. Present for files or directories only.</li>
    <li><em>int</em> "permissions" - File Permissions (Deprecated).
                                  Present for files or directories only.</li>
    <li><em>string</em> "permissions_mode" - File Permissions.
                                      Present for files or directories only.</li>
    <li><em>string</em> "selinux_ctx" - SELinux Context (optional).</li>
    <li><em>boolean</em> "binary" - true/false , Present for files only.</li>
    <li><em>string</em> "sha256" - File's sha256 signature. Present for files only.</li>
    <li><em>string</em> "macro-start-delimiter" - Macro start delimiter for a config file. Present for text files only.</li>
    <li><em>string</em> "macro-end-delimiter" - Macro end delimiter for a config file. Present for text files only.</li>
	</ul>
  
 
</code>
</li></ul>
<p />
Available since API version: 10.2 <p />
<hr />

<h3> <a name="deleteChannels" href="#top">Method: deleteChannels</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Delete a list of global config channels.
 Caller must be a config admin.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(string)</em> labels - configuration channel labels to delete
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="deleteFileRevisions" href="#top">Method: deleteFileRevisions</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Delete specified revisions of a given configuration file


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - label of config channel to lookup on
 </li>
<li>

    <em>string</em> filePath - configuration file path
 </li>
<li>

<em>array(int)</em> revisions - list of revisions to delete
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="deleteFiles" href="#top">Method: deleteFiles</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Remove file paths from a global channel.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - channel to remove the files from
 </li>
<li>

<em>array(string)</em> paths
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="deployAllSystems" href="#top">Method: deployAllSystems</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule an immediate configuration deployment for all systems
    subscribed to a particular configuration channel.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - the configuration channel's label
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="deployAllSystems" href="#top">Method: deployAllSystems</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule a configuration deployment for all systems
    subscribed to a particular configuration channel.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - the configuration channel's label
 </li>
<li>

    <em>dateTime.iso8601</em> date - the date to schedule the action
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="deployAllSystems" href="#top">Method: deployAllSystems</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule a configuration deployment of a certain file for all systems
    subscribed to a particular configuration channel.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - the configuration channel's label
 </li>
<li>

    <em>string</em> filePath - the configuration file path
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="deployAllSystems" href="#top">Method: deployAllSystems</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule a configuration deployment of a certain file for all systems
    subscribed to a particular configuration channel.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - the configuration channel's label
 </li>
<li>

    <em>string</em> filePath - the configuration file path
 </li>
<li>

    <em>dateTime.iso8601</em> date - the date to schedule the action
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getDetails" href="#top">Method: getDetails</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Lookup config channel details.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> configuration channel information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>int</em> "orgId"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "description"</li>
	<li><em>struct</em> "configChannelType"</li>
   

	     <em>struct</em> configuration channel type information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	<li><em>int</em> "priority"</li>
	</ul>
 
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getDetails" href="#top">Method: getDetails</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Lookup config channel details.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> id - the channel ID
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> configuration channel information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>int</em> "orgId"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "description"</li>
	<li><em>struct</em> "configChannelType"</li>
   

	     <em>struct</em> configuration channel type information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	<li><em>int</em> "priority"</li>
	</ul>
 
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getEncodedFileRevision" href="#top">Method: getEncodedFileRevision</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get revision of the specified configuration file and transmit the
             contents as base64 encoded.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - label of config channel to lookup on
 </li>
<li>

    <em>string</em> filePath - config file path to examine
 </li>
<li>

    <em>int</em> revision - config file revision to examine
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> configuration revision information
	<ul>
	<li><em>string</em> "type"</li>
	<ul>
	<li>file</li>
	<li>directory</li>
	<li>symlink</li>
	</ul>
    <li><em>string</em> "path" - File Path</li>
    <li><em>string</em> "target_path" - Symbolic link Target File Path.
                              Present for Symbolic links only.</li>
    <li><em>string</em> "channel" - Channel Name</li>
    <li><em>string</em> "contents" - File contents (base64 encoded according
                to the contents_enc64 attribute)</li>
    <li><em>boolean</em> "contents_enc64" -  Identifies base64 encoded content</li>
    <li><em>int</em> "revision" - File Revision</li>
    <li><em>dateTime.iso8601</em> "creation" - Creation Date</li>
    <li><em>dateTime.iso8601</em> "modified" - Last Modified Date</li>
    <li><em>string</em> "owner" - File Owner. Present for files or directories only.</li>
    <li><em>string</em> "group" - File Group. Present for files or directories only.</li>
    <li><em>int</em> "permissions" - File Permissions (Deprecated).
                                  Present for files or directories only.</li>
    <li><em>string</em> "permissions_mode" - File Permissions.
                                      Present for files or directories only.</li>
    <li><em>string</em> "selinux_ctx" - SELinux Context (optional).</li>
    <li><em>boolean</em> "binary" - true/false , Present for files only.</li>
    <li><em>string</em> "sha256" - File's sha256 signature. Present for files only.</li>
    <li><em>string</em> "macro-start-delimiter" - Macro start delimiter for a config file. Present for text files only.</li>
    <li><em>string</em> "macro-end-delimiter" - Macro end delimiter for a config file. Present for text files only.</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getFileRevision" href="#top">Method: getFileRevision</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get revision of the specified config file


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - label of config channel to lookup on
 </li>
<li>

    <em>string</em> filePath - config file path to examine
 </li>
<li>

    <em>int</em> revision - config file revision to examine
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> configuration revision information
	<ul>
	<li><em>string</em> "type"</li>
	<ul>
	<li>file</li>
	<li>directory</li>
	<li>symlink</li>
	</ul>
    <li><em>string</em> "path" - File Path</li>
    <li><em>string</em> "target_path" - Symbolic link Target File Path.
                              Present for Symbolic links only.</li>
    <li><em>string</em> "channel" - Channel Name</li>
    <li><em>string</em> "contents" - File contents (base64 encoded according
                to the contents_enc64 attribute)</li>
    <li><em>boolean</em> "contents_enc64" -  Identifies base64 encoded content</li>
    <li><em>int</em> "revision" - File Revision</li>
    <li><em>dateTime.iso8601</em> "creation" - Creation Date</li>
    <li><em>dateTime.iso8601</em> "modified" - Last Modified Date</li>
    <li><em>string</em> "owner" - File Owner. Present for files or directories only.</li>
    <li><em>string</em> "group" - File Group. Present for files or directories only.</li>
    <li><em>int</em> "permissions" - File Permissions (Deprecated).
                                  Present for files or directories only.</li>
    <li><em>string</em> "permissions_mode" - File Permissions.
                                      Present for files or directories only.</li>
    <li><em>string</em> "selinux_ctx" - SELinux Context (optional).</li>
    <li><em>boolean</em> "binary" - true/false , Present for files only.</li>
    <li><em>string</em> "sha256" - File's sha256 signature. Present for files only.</li>
    <li><em>string</em> "macro-start-delimiter" - Macro start delimiter for a config file. Present for text files only.</li>
    <li><em>string</em> "macro-end-delimiter" - Macro end delimiter for a config file. Present for text files only.</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getFileRevisions" href="#top">Method: getFileRevisions</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get list of revisions for specified config file


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - label of config channel to lookup on
 </li>
<li>

    <em>string</em> filePath - config file path to examine
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
 

	     <em>struct</em> configuration revision information
	<ul>
	<li><em>string</em> "type"</li>
	<ul>
	<li>file</li>
	<li>directory</li>
	<li>symlink</li>
	</ul>
    <li><em>string</em> "path" - File Path</li>
    <li><em>string</em> "target_path" - Symbolic link Target File Path.
                              Present for Symbolic links only.</li>
    <li><em>string</em> "channel" - Channel Name</li>
    <li><em>string</em> "contents" - File contents (base64 encoded according
                to the contents_enc64 attribute)</li>
    <li><em>boolean</em> "contents_enc64" -  Identifies base64 encoded content</li>
    <li><em>int</em> "revision" - File Revision</li>
    <li><em>dateTime.iso8601</em> "creation" - Creation Date</li>
    <li><em>dateTime.iso8601</em> "modified" - Last Modified Date</li>
    <li><em>string</em> "owner" - File Owner. Present for files or directories only.</li>
    <li><em>string</em> "group" - File Group. Present for files or directories only.</li>
    <li><em>int</em> "permissions" - File Permissions (Deprecated).
                                  Present for files or directories only.</li>
    <li><em>string</em> "permissions_mode" - File Permissions.
                                      Present for files or directories only.</li>
    <li><em>string</em> "selinux_ctx" - SELinux Context (optional).</li>
    <li><em>boolean</em> "binary" - true/false , Present for files only.</li>
    <li><em>string</em> "sha256" - File's sha256 signature. Present for files only.</li>
    <li><em>string</em> "macro-start-delimiter" - Macro start delimiter for a config file. Present for text files only.</li>
    <li><em>string</em> "macro-end-delimiter" - Macro end delimiter for a config file. Present for text files only.</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listAssignedSystemGroups" href="#top">Method: listAssignedSystemGroups</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Return a list of Groups where a given configuration channel is assigned to


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - label of the config channel to list assigned groups
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
 

	     <em>struct</em> server group
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "description"</li>
	<li><em>int</em> "org_id"</li>
	<li><em>int</em> "system_count"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listFiles" href="#top">Method: listFiles</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Return a list of files in a channel.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - label of config channel to list files on
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
 

	     <em>struct</em> configuration file information
	<ul>
	<li><em>string</em> "type"</li>
	<ul>
	<li>file</li>
	<li>directory</li>
	<li>symlink</li>
	</ul>
    <li><em>string</em> "path" - File Path</li>
    <li><em>dateTime.iso8601</em> "last_modified" - Last Modified Date</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listGlobals" href="#top">Method: listGlobals</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List all the global config channels accessible to the logged-in user.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
  

	     <em>struct</em> configuration channel information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>int</em> "orgId"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "description"</li>
	<li><em>string</em> "type"</li>
	<li><em>struct</em> "configChannelType"</li>
   

	     <em>struct</em> configuration channel type information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	<li><em>int</em> "priority"</li>
	</ul>
 
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listSubscribedSystems" href="#top">Method: listSubscribedSystems</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Return a list of systems subscribed to a configuration channel


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - label of the config channel to list subscribed systems
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
 

	     <em>struct</em> system
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="lookupChannelInfo" href="#top">Method: lookupChannelInfo</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Lists details on a list of channels given their channel labels.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(string)</em> labels - the channel labels
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
  

	     <em>struct</em> configuration channel information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>int</em> "orgId"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "description"</li>
	<li><em>struct</em> "configChannelType"</li>
   

	     <em>struct</em> configuration channel type information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	<li><em>int</em> "priority"</li>
	</ul>
 
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="lookupFileInfo" href="#top">Method: lookupFileInfo</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Given a list of paths and a channel, returns details about
 the latest revisions of the paths.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - label of config channel to lookup on
 </li>
<li>

<em>array(string)</em> paths - list of paths to examine
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
 

	     <em>struct</em> configuration revision information
	<ul>
	<li><em>string</em> "type"</li>
	<ul>
	<li>file</li>
	<li>directory</li>
	<li>symlink</li>
	</ul>
    <li><em>string</em> "path" - File Path</li>
    <li><em>string</em> "target_path" - Symbolic link Target File Path.
                              Present for Symbolic links only.</li>
    <li><em>string</em> "channel" - Channel Name</li>
    <li><em>string</em> "contents" - File contents (base64 encoded according
                to the contents_enc64 attribute)</li>
    <li><em>boolean</em> "contents_enc64" -  Identifies base64 encoded content</li>
    <li><em>int</em> "revision" - File Revision</li>
    <li><em>dateTime.iso8601</em> "creation" - Creation Date</li>
    <li><em>dateTime.iso8601</em> "modified" - Last Modified Date</li>
    <li><em>string</em> "owner" - File Owner. Present for files or directories only.</li>
    <li><em>string</em> "group" - File Group. Present for files or directories only.</li>
    <li><em>int</em> "permissions" - File Permissions (Deprecated).
                                  Present for files or directories only.</li>
    <li><em>string</em> "permissions_mode" - File Permissions.
                                      Present for files or directories only.</li>
    <li><em>string</em> "selinux_ctx" - SELinux Context (optional).</li>
    <li><em>boolean</em> "binary" - true/false , Present for files only.</li>
    <li><em>string</em> "sha256" - File's sha256 signature. Present for files only.</li>
    <li><em>string</em> "macro-start-delimiter" - Macro start delimiter for a config file. Present for text files only.</li>
    <li><em>string</em> "macro-end-delimiter" - Macro end delimiter for a config file. Present for text files only.</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
Available since API version: 10.2 <p />
<hr />

<h3> <a name="lookupFileInfo" href="#top">Method: lookupFileInfo</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Given a path, revision number, and a channel, returns details about
 the latest revisions of the paths.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - label of config channel to lookup on
 </li>
<li>

    <em>string</em> path - path of file/directory
 </li>
<li>

    <em>int</em> revision - the revision number
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> configuration revision information
	<ul>
	<li><em>string</em> "type"</li>
	<ul>
	<li>file</li>
	<li>directory</li>
	<li>symlink</li>
	</ul>
    <li><em>string</em> "path" - File Path</li>
    <li><em>string</em> "target_path" - Symbolic link Target File Path.
                              Present for Symbolic links only.</li>
    <li><em>string</em> "channel" - Channel Name</li>
    <li><em>string</em> "contents" - File contents (base64 encoded according
                to the contents_enc64 attribute)</li>
    <li><em>boolean</em> "contents_enc64" -  Identifies base64 encoded content</li>
    <li><em>int</em> "revision" - File Revision</li>
    <li><em>dateTime.iso8601</em> "creation" - Creation Date</li>
    <li><em>dateTime.iso8601</em> "modified" - Last Modified Date</li>
    <li><em>string</em> "owner" - File Owner. Present for files or directories only.</li>
    <li><em>string</em> "group" - File Group. Present for files or directories only.</li>
    <li><em>int</em> "permissions" - File Permissions (Deprecated).
                                  Present for files or directories only.</li>
    <li><em>string</em> "permissions_mode" - File Permissions.
                                      Present for files or directories only.</li>
    <li><em>string</em> "selinux_ctx" - SELinux Context (optional).</li>
    <li><em>boolean</em> "binary" - true/false , Present for files only.</li>
    <li><em>string</em> "sha256" - File's sha256 signature. Present for files only.</li>
    <li><em>string</em> "macro-start-delimiter" - Macro start delimiter for a config file. Present for text files only.</li>
    <li><em>string</em> "macro-end-delimiter" - Macro end delimiter for a config file. Present for text files only.</li>
	</ul>
  
 
</code>
</li></ul>
<p />
Available since API version: 10.12 <p />
<hr />

<h3> <a name="scheduleFileComparisons" href="#top">Method: scheduleFileComparisons</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Schedule a comparison of the latest revision of a file
 against the version deployed on a list of systems.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - label of config channel
 </li>
<li>

    <em>string</em> path - file path
 </li>
<li>

<em>array(long)</em> sids
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> actionId - the action ID of the scheduled action
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="syncSaltFilesOnDisk" href="#top">Method: syncSaltFilesOnDisk</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Synchronize all files on the disk to the current state of the database.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(string)</em> labels - configuration channel labels to synchronize files from
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="update" href="#top">Method: update</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Update a global config channel. Caller must be at least a
 config admin or an organization admin, or have access to a system containing this
 config channel.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label
 </li>
<li>

    <em>string</em> name
 </li>
<li>

    <em>string</em> description
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> configuration channel information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>int</em> "orgId"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "description"</li>
	<li><em>struct</em> "configChannelType"</li>
   

	     <em>struct</em> configuration channel type information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	<li><em>int</em> "priority"</li>
	</ul>
 
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="updateInitSls" href="#top">Method: updateInitSls</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Update the init.sls file for the given state channel. User can only update contents, nothing else.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - the channel label
 </li>
<li>

	     <em>struct</em> pathInfo
	<ul>
    <li><em>string</em> "contents" - contents of the init.sls file</li>
    <li><em>boolean</em> "contents_enc64" - identifies base64 encoded content(default: disabled)</li>
    <li><em>int</em> "revision" - next revision number, auto increment for null</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> configuration revision information
	<ul>
	<li><em>string</em> "type"</li>
	<ul>
	<li>file</li>
	<li>directory</li>
	<li>symlink</li>
	</ul>
    <li><em>string</em> "path" - File Path</li>
    <li><em>string</em> "target_path" - Symbolic link Target File Path.
                              Present for Symbolic links only.</li>
    <li><em>string</em> "channel" - Channel Name</li>
    <li><em>string</em> "contents" - File contents (base64 encoded according
                to the contents_enc64 attribute)</li>
    <li><em>boolean</em> "contents_enc64" -  Identifies base64 encoded content</li>
    <li><em>int</em> "revision" - File Revision</li>
    <li><em>dateTime.iso8601</em> "creation" - Creation Date</li>
    <li><em>dateTime.iso8601</em> "modified" - Last Modified Date</li>
    <li><em>string</em> "owner" - File Owner. Present for files or directories only.</li>
    <li><em>string</em> "group" - File Group. Present for files or directories only.</li>
    <li><em>int</em> "permissions" - File Permissions (Deprecated).
                                  Present for files or directories only.</li>
    <li><em>string</em> "permissions_mode" - File Permissions.
                                      Present for files or directories only.</li>
    <li><em>string</em> "selinux_ctx" - SELinux Context (optional).</li>
    <li><em>boolean</em> "binary" - true/false , Present for files only.</li>
    <li><em>string</em> "sha256" - File's sha256 signature. Present for files only.</li>
    <li><em>string</em> "macro-start-delimiter" - Macro start delimiter for a config file. Present for text files only.</li>
    <li><em>string</em> "macro-end-delimiter" - Macro end delimiter for a config file. Present for text files only.</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
