<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
contentmanagement
</p>
<p>Provides methods to access and modify Content Lifecycle Management related entities
 (Projects, Environments, Filters, Sources).</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#attachFilter"/>attachFilter</a></li>
<li><a href="#attachSource"/>attachSource</a></li>
<li><a href="#attachSource"/>attachSource</a></li>
<li><a href="#buildProject"/>buildProject</a></li>
<li><a href="#buildProject"/>buildProject</a></li>
<li><a href="#createAppStreamFilters"/>createAppStreamFilters</a></li>
<li><a href="#createEnvironment"/>createEnvironment</a></li>
<li><a href="#createFilter"/>createFilter</a></li>
<li><a href="#createProject"/>createProject</a></li>
<li><a href="#detachFilter"/>detachFilter</a></li>
<li><a href="#detachSource"/>detachSource</a></li>
<li><a href="#listFilterCriteria"/>listFilterCriteria</a></li>
<li><a href="#listFilters"/>listFilters</a></li>
<li><a href="#listProjectEnvironments"/>listProjectEnvironments</a></li>
<li><a href="#listProjectFilters"/>listProjectFilters</a></li>
<li><a href="#listProjectSources"/>listProjectSources</a></li>
<li><a href="#listProjects"/>listProjects</a></li>
<li><a href="#lookupEnvironment"/>lookupEnvironment</a></li>
<li><a href="#lookupFilter"/>lookupFilter</a></li>
<li><a href="#lookupProject"/>lookupProject</a></li>
<li><a href="#lookupSource"/>lookupSource</a></li>
<li><a href="#promoteProject"/>promoteProject</a></li>
<li><a href="#removeEnvironment"/>removeEnvironment</a></li>
<li><a href="#removeFilter"/>removeFilter</a></li>
<li><a href="#removeProject"/>removeProject</a></li>
<li><a href="#updateEnvironment"/>updateEnvironment</a></li>
<li><a href="#updateFilter"/>updateFilter</a></li>
<li><a href="#updateProject"/>updateProject</a></li>
</ul>
</div>
<hr />

<h3> <a name="attachFilter" href="#top">Method: attachFilter</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Attach a Filter to a Project


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> projectLabel - Project label
 </li>
<li>

    <em>int</em> filterId - filter ID to attach
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> content filter information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
	<li><em>int</em> "orgId"</li>
	<li><em>entityType</em> "entity type (e.g. 'package')"</li>
	<li><em>rule</em> "rule (e.g. 'deny')"</li>
	     <em>struct</em> criteria
	<ul>
    <li><em>string</em> "matcher" - the matcher type of the filter (e.g. 'contains')</li>
    <li><em>string</em> "field" - the entity field to match (e.g. 'name'</li>
    <li><em>string</em> "value" - the field value to match (e.g. 'kernel')</li>
	</ul>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="attachSource" href="#top">Method: attachSource</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Attach a Source to a Project


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> projectLabel - Content Project label
 </li>
<li>

    <em>string</em> sourceType - Project Source type, e.g. 'software'
 </li>
<li>

    <em>string</em> sourceLabel - Project Source label
 </li>
<li>

    <em>int</em> sourcePosition - Project Source position
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> content project source information
	<ul>
	<li><em>string</em> "contentProjectLabel"</li>
	<li><em>string</em> "type"</li>
	<li><em>string</em> "state"</li>
    <li><em>string</em> "channelLabel" - (if type is SW_CHANNEL) the label of channel associated with the source</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="attachSource" href="#top">Method: attachSource</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Attach a Source to a Project


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> projectLabel - Content Project label
 </li>
<li>

    <em>string</em> sourceType - Project Source type, e.g. 'software'
 </li>
<li>

    <em>string</em> sourceLabel - Project Source label
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> content project source information
	<ul>
	<li><em>string</em> "contentProjectLabel"</li>
	<li><em>string</em> "type"</li>
	<li><em>string</em> "state"</li>
    <li><em>string</em> "channelLabel" - (if type is SW_CHANNEL) the label of channel associated with the source</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="buildProject" href="#top">Method: buildProject</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Build a Project


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> projectLabel - Project label
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="buildProject" href="#top">Method: buildProject</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Build a Project


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> projectLabel - Project label
 </li>
<li>

    <em>string</em> message - log message to be assigned to the build
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="createAppStreamFilters" href="#top">Method: createAppStreamFilters</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create Filters for AppStream Modular Channel and attach them to CLM Project


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> prefix - Filter name prefix
 </li>
<li>

    <em>string</em> channelLabel - Modular Channel label
 </li>
<li>

    <em>string</em> projectLabel - Project label
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
 

	     <em>struct</em> content filter information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
	<li><em>int</em> "orgId"</li>
	<li><em>entityType</em> "entity type (e.g. 'package')"</li>
	<li><em>rule</em> "rule (e.g. 'deny')"</li>
	     <em>struct</em> criteria
	<ul>
    <li><em>string</em> "matcher" - the matcher type of the filter (e.g. 'contains')</li>
    <li><em>string</em> "field" - the entity field to match (e.g. 'name'</li>
    <li><em>string</em> "value" - the field value to match (e.g. 'kernel')</li>
	</ul>
	</ul>
  </li></ul>
 
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="createEnvironment" href="#top">Method: createEnvironment</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create a Content Environment and appends it behind given Content Environment


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> projectLabel - Content Project label
 </li>
<li>

    <em>string</em> predecessorLabel - Predecessor Environment label
 </li>
<li>

    <em>string</em> envLabel - new Content Environment label
 </li>
<li>

    <em>string</em> name - new Content Environment name
 </li>
<li>

    <em>string</em> description - new Content Environment description
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> content environment information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "description"</li>
	<li><em>int</em> "version"</li>
	<li><em>string</em> "status"</li>
    <li><em>dateTime.iso8601</em> "lastBuildDate" - last build/promote date</li>
	<li><em>string</em> "contentProjectLabel"</li>
	<li><em>string</em> "previousEnvironmentLabel"</li>
	<li><em>string</em> "nextEnvironmentLabel"</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="createFilter" href="#top">Method: createFilter</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create a Content Filter
 #paragraph_end()
 #paragraph()
 The following filters are available (you can get the list in machine-readable format using
 the listFilterCriteria() endpoint):
 #paragraph_end()
 #paragraph()
 Package filtering:
 #itemlist()
   #item("by name - field: name; matchers: contains or matches")
   #item("by name, epoch, version, release and architecture - field: nevr or nevra; matcher: equals")
  #itemlist_end()
 #paragraph_end()
 #paragraph()
 Errata/Patch filtering:
 #itemlist()
   #item("by advisory name - field: advisory_name; matcher: equals or matches")
   #item("by type - field: advisory_type (e.g. 'Security Advisory'); matcher: equals")
   #item("by synopsis - field: synopsis; matcher: equals, contains or matches")
   #item("by keyword - field: keyword; matcher: contains")
   #item("by date - field: issue_date; matcher: greater or greatereq; value needs to be in ISO format e.g
   2022-12-10T12:00:00Z")
   #item("by affected package name - field: package_name; matcher: contains_pkg_name or matches_pkg_name")
   #item("by affected package with version - field: package_nevr; matcher: contains_pkg_lt_evr,
   contains_pkg_le_evr, contains_pkg_eq_evr, contains_pkg_ge_evr or contains_pkg_gt_evr")
 #itemlist_end()
 #paragraph_end()
 #paragraph()
 Appstream module/stream filtering:
 #itemlist()
   #item("by module name, stream - field: module_stream; matcher: equals; value: modulaneme:stream")
 #itemlist_end()
 Note: Only 'allow' rule is supported for appstream filters.
 #paragraph_end()
 #paragraph()
 Note: The 'matches' matcher works on Java regular expressions.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> name - Filter name
 </li>
<li>

    <em>string</em> rule - Filter rule ('deny' or 'allow')
 </li>
<li>

    <em>string</em> entityType - Filter entityType ('package' or 'erratum')
 </li>
<li>

	     <em>struct</em> criteria
	<ul>
    <li><em>string</em> "matcher" - The matcher type of the filter (e.g. 'contains')</li>
    <li><em>string</em> "field" - The entity field to match (e.g. 'name'</li>
    <li><em>string</em> "value" - The field value to match (e.g. 'kernel')</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> content filter information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
	<li><em>int</em> "orgId"</li>
	<li><em>entityType</em> "entity type (e.g. 'package')"</li>
	<li><em>rule</em> "rule (e.g. 'deny')"</li>
	     <em>struct</em> criteria
	<ul>
    <li><em>string</em> "matcher" - the matcher type of the filter (e.g. 'contains')</li>
    <li><em>string</em> "field" - the entity field to match (e.g. 'name'</li>
    <li><em>string</em> "value" - the field value to match (e.g. 'kernel')</li>
	</ul>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="createProject" href="#top">Method: createProject</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create Content Project


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> projectLabel - Content Project label
 </li>
<li>

    <em>string</em> name - Content Project name
 </li>
<li>

    <em>string</em> description - Content Project description
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> content project information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "description"</li>
	<li><em>dateTime.iso8601</em> "lastBuildDate"</li>
	<li><em>int</em> "orgId"</li>
	<li><em>string</em> "firstEnvironment"</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="detachFilter" href="#top">Method: detachFilter</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Detach a Filter from a Project


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> projectLabel - Project label
 </li>
<li>

    <em>int</em> filterId - filter ID to detach
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="detachSource" href="#top">Method: detachSource</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Detach a Source from a Project


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> projectLabel - Content Project label
 </li>
<li>

    <em>string</em> sourceType - Project Source type, e.g. 'software'
 </li>
<li>

    <em>string</em> sourceLabel - Project Source label
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listFilterCriteria" href="#top">Method: listFilterCriteria</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List of available filter criteria


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> Filter Criteria
	<ul>
	<li><em>string</em> "type"</li>
	<li><em>string</em> "matcher"</li>
	<li><em>string</em> "field"</li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listFilters" href="#top">Method: listFilters</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List all Content Filters visible to given user


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
 

	     <em>struct</em> content filter information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
	<li><em>int</em> "orgId"</li>
	<li><em>entityType</em> "entity type (e.g. 'package')"</li>
	<li><em>rule</em> "rule (e.g. 'deny')"</li>
	     <em>struct</em> criteria
	<ul>
    <li><em>string</em> "matcher" - the matcher type of the filter (e.g. 'contains')</li>
    <li><em>string</em> "field" - the entity field to match (e.g. 'name'</li>
    <li><em>string</em> "value" - the field value to match (e.g. 'kernel')</li>
	</ul>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listProjectEnvironments" href="#top">Method: listProjectEnvironments</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List Environments in a Content Project with the respect to their ordering


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> projectLabel - Content Project label
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
 

	     <em>struct</em> content environment information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "description"</li>
	<li><em>int</em> "version"</li>
	<li><em>string</em> "status"</li>
    <li><em>dateTime.iso8601</em> "lastBuildDate" - last build/promote date</li>
	<li><em>string</em> "contentProjectLabel"</li>
	<li><em>string</em> "previousEnvironmentLabel"</li>
	<li><em>string</em> "nextEnvironmentLabel"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listProjectFilters" href="#top">Method: listProjectFilters</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List all Filters associated with a Project


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> projectLabel - Project label
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
 

	     <em>struct</em> assigned content filter information
	<ul>
	<li><em>string</em> "state"</li>
   

	     <em>struct</em> content filter information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
	<li><em>int</em> "orgId"</li>
	<li><em>entityType</em> "entity type (e.g. 'package')"</li>
	<li><em>rule</em> "rule (e.g. 'deny')"</li>
	     <em>struct</em> criteria
	<ul>
    <li><em>string</em> "matcher" - the matcher type of the filter (e.g. 'contains')</li>
    <li><em>string</em> "field" - the entity field to match (e.g. 'name'</li>
    <li><em>string</em> "value" - the field value to match (e.g. 'kernel')</li>
	</ul>
	</ul>
 
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listProjectSources" href="#top">Method: listProjectSources</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List Content Project Sources


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> projectLabel - Content Project label
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
 

	     <em>struct</em> content project source information
	<ul>
	<li><em>string</em> "contentProjectLabel"</li>
	<li><em>string</em> "type"</li>
	<li><em>string</em> "state"</li>
    <li><em>string</em> "channelLabel" - (if type is SW_CHANNEL) the label of channel associated with the source</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listProjects" href="#top">Method: listProjects</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List Content Projects visible to user


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
 

	     <em>struct</em> content project information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "description"</li>
	<li><em>dateTime.iso8601</em> "lastBuildDate"</li>
	<li><em>int</em> "orgId"</li>
	<li><em>string</em> "firstEnvironment"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="lookupEnvironment" href="#top">Method: lookupEnvironment</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Look up Content Environment based on Content Project and Content Environment label


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> projectLabel - Content Project label
 </li>
<li>

    <em>string</em> envLabel - Content Environment label
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> content environment information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "description"</li>
	<li><em>int</em> "version"</li>
	<li><em>string</em> "status"</li>
    <li><em>dateTime.iso8601</em> "lastBuildDate" - last build/promote date</li>
	<li><em>string</em> "contentProjectLabel"</li>
	<li><em>string</em> "previousEnvironmentLabel"</li>
	<li><em>string</em> "nextEnvironmentLabel"</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="lookupFilter" href="#top">Method: lookupFilter</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Lookup a Content Filter by ID


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> filterId - Filter ID
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> content filter information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
	<li><em>int</em> "orgId"</li>
	<li><em>entityType</em> "entity type (e.g. 'package')"</li>
	<li><em>rule</em> "rule (e.g. 'deny')"</li>
	     <em>struct</em> criteria
	<ul>
    <li><em>string</em> "matcher" - the matcher type of the filter (e.g. 'contains')</li>
    <li><em>string</em> "field" - the entity field to match (e.g. 'name'</li>
    <li><em>string</em> "value" - the field value to match (e.g. 'kernel')</li>
	</ul>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="lookupProject" href="#top">Method: lookupProject</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Look up Content Project with given label


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> projectLabel - Content Project label
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> content project information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "description"</li>
	<li><em>dateTime.iso8601</em> "lastBuildDate"</li>
	<li><em>int</em> "orgId"</li>
	<li><em>string</em> "firstEnvironment"</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="lookupSource" href="#top">Method: lookupSource</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Look up Content Project Source


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> projectLabel - Content Project label
 </li>
<li>

    <em>string</em> sourceType - Project Source type, e.g. 'software'
 </li>
<li>

    <em>string</em> sourceLabel - Project Source label
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> content project source information
	<ul>
	<li><em>string</em> "contentProjectLabel"</li>
	<li><em>string</em> "type"</li>
	<li><em>string</em> "state"</li>
    <li><em>string</em> "channelLabel" - (if type is SW_CHANNEL) the label of channel associated with the source</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="promoteProject" href="#top">Method: promoteProject</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Promote an Environment in a Project


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> projectLabel - Project label
 </li>
<li>

    <em>string</em> envLabel - Environment label
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="removeEnvironment" href="#top">Method: removeEnvironment</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Remove a Content Environment


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> projectLabel - Content Project label
 </li>
<li>

    <em>string</em> envLabel - Content Environment label
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="removeFilter" href="#top">Method: removeFilter</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Remove a Content Filter


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> filterId - Filter ID
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="removeProject" href="#top">Method: removeProject</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Remove Content Project


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> projectLabel - Content Project label
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="updateEnvironment" href="#top">Method: updateEnvironment</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Update Content Environment with given label


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> projectLabel - Content Project label
 </li>
<li>

    <em>string</em> envLabel - Content Environment label
 </li>
<li>

	     <em>struct</em> props
	<ul>
    <li><em>string</em> "name" - Content Environment name</li>
    <li><em>string</em> "description" - Content Environment description</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> content environment information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "description"</li>
	<li><em>int</em> "version"</li>
	<li><em>string</em> "status"</li>
    <li><em>dateTime.iso8601</em> "lastBuildDate" - last build/promote date</li>
	<li><em>string</em> "contentProjectLabel"</li>
	<li><em>string</em> "previousEnvironmentLabel"</li>
	<li><em>string</em> "nextEnvironmentLabel"</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="updateFilter" href="#top">Method: updateFilter</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Update a Content Filter
 #paragraph_end()
 #paragraph()
 See also: createFilter(), listFilterCriteria()


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> filterId - Filter ID
 </li>
<li>

    <em>string</em> name - New filter name
 </li>
<li>

    <em>string</em> rule - New filter rule ('deny' or 'allow')
 </li>
<li>

	     <em>struct</em> criteria
	<ul>
    <li><em>string</em> "matcher" - The matcher type of the filter (e.g. 'contains')</li>
    <li><em>string</em> "field" - The entity field to match (e.g. 'name'</li>
    <li><em>string</em> "value" - The field value to match (e.g. 'kernel')</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> content filter information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
	<li><em>int</em> "orgId"</li>
	<li><em>entityType</em> "entity type (e.g. 'package')"</li>
	<li><em>rule</em> "rule (e.g. 'deny')"</li>
	     <em>struct</em> criteria
	<ul>
    <li><em>string</em> "matcher" - the matcher type of the filter (e.g. 'contains')</li>
    <li><em>string</em> "field" - the entity field to match (e.g. 'name'</li>
    <li><em>string</em> "value" - the field value to match (e.g. 'kernel')</li>
	</ul>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="updateProject" href="#top">Method: updateProject</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Update Content Project with given label


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> projectLabel - Content Project label
 </li>
<li>

	     <em>struct</em> props
	<ul>
    <li><em>string</em> "name" - Content Project name</li>
    <li><em>string</em> "description" - Content Project description</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> content project information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "description"</li>
	<li><em>dateTime.iso8601</em> "lastBuildDate"</li>
	<li><em>int</em> "orgId"</li>
	<li><em>string</em> "firstEnvironment"</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
