<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
sync.content
</p>
<p>Provides the namespace for the content synchronization methods.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#addChannel"/>addChannel</a></li>
<li><a href="#addChannels"/>addChannels</a></li>
<li><a href="#addCredentials"/>addCredentials</a></li>
<li><a href="#deleteCredentials"/>deleteCredentials</a></li>
<li><a href="#listChannels"/>listChannels</a></li>
<li><a href="#listCredentials"/>listCredentials</a></li>
<li><a href="#listProducts"/>listProducts</a></li>
<li><a href="#synchronizeChannelFamilies"/>synchronizeChannelFamilies</a></li>
<li><a href="#synchronizeChannels"/>synchronizeChannels</a></li>
<li><a href="#synchronizeProducts"/>synchronizeProducts</a></li>
<li><a href="#synchronizeRepositories"/>synchronizeRepositories</a></li>
<li><a href="#synchronizeSubscriptions"/>synchronizeSubscriptions</a></li>
</ul>
</div>
<hr />

<h3> <a name="addChannel" href="#top">Method: addChannel</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Add a new channel to the #product() database


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - Label of the channel to add
 </li>
<li>

    <em>string</em> mirrorUrl - Sync from mirror temporarily
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="addChannels" href="#top">Method: addChannels</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Add a new channel to the #product() database


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> channelLabel - Label of the channel to add
 </li>
<li>

    <em>string</em> mirrorUrl - Sync from mirror temporarily
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(string)</em> enabled channel labels
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="addCredentials" href="#top">Method: addCredentials</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Add organization credentials (mirror credentials) to #product().


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> username - Organization credentials
                                                  (Mirror credentials) username
 </li>
<li>

    <em>string</em> password - Organization credentials
                                                  (Mirror credentials) password
 </li>
<li>

    <em>boolean</em> primary - Make this the primary credentials
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="deleteCredentials" href="#top">Method: deleteCredentials</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Delete organization credentials (mirror credentials) from #product().


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> username - Username of credentials to delete
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listChannels" href="#top">Method: listChannels</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List all accessible channels.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
                       

	     <em>struct</em> channel
	<ul>
    <li><em>string</em> "arch" - architecture of the channel</li>
    <li><em>string</em> "description" - description of the channel</li>
    <li><em>string</em> "family" - channel family label</li>
    <li><em>boolean</em> "is_signed" - channel has signed metadata</li>
    <li><em>string</em> "label" - label of the channel</li>
    <li><em>string</em> "name" - name of the channel</li>
    <li><em>boolean</em> "optional" - channel is optional</li>
    <li><em>string</em> "parent" - the label of the parent channel</li>
    <li><em>string</em> "product_name" - product name</li>
    <li><em>string</em> "product_version" - product version</li>
    <li><em>string</em> "source_url" - repository source URL</li>
    <li><em>string</em> "status" - 'available', 'unavailable' or 'installed'</li>
    <li><em>string</em> "summary" - channel summary</li>
    <li><em>string</em> "update_tag" - update tag</li>
    <li><em>boolean</em> "installer_updates" - is an installer update channel</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listCredentials" href="#top">Method: listCredentials</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List organization credentials (mirror credentials) available in
             #product().


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
                       

	     <em>struct</em> credentials
	<ul>
    <li><em>int</em> "id" - ID of the credentials</li>
    <li><em>string</em> "user" - username</li>
    <li><em>boolean</em> "isPrimary" - primary</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listProducts" href="#top">Method: listProducts</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List all accessible products.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
                       

	     <em>struct</em> product
	<ul>
    <li><em>string</em> "friendly_name" - friendly name of the product</li>
    <li><em>string</em> "arch" - architecture</li>
    <li><em>string</em> "status" - 'available', 'unavailable' or 'installed'</li>
    <li><em>array</em> "channels"
        <ul>
            <li>
       

	     <em>struct</em> channel
	<ul>
    <li><em>string</em> "arch" - architecture of the channel</li>
    <li><em>string</em> "description" - description of the channel</li>
    <li><em>string</em> "family" - channel family label</li>
    <li><em>boolean</em> "is_signed" - channel has signed metadata</li>
    <li><em>string</em> "label" - label of the channel</li>
    <li><em>string</em> "name" - name of the channel</li>
    <li><em>boolean</em> "optional" - channel is optional</li>
    <li><em>string</em> "parent" - the label of the parent channel</li>
    <li><em>string</em> "product_name" - product name</li>
    <li><em>string</em> "product_version" - product version</li>
    <li><em>string</em> "source_url" - repository source URL</li>
    <li><em>string</em> "status" - 'available', 'unavailable' or 'installed'</li>
    <li><em>string</em> "summary" - channel summary</li>
    <li><em>string</em> "update_tag" - update tag</li>
    <li><em>boolean</em> "installer_updates" - is an installer update channel</li>
	</ul>
 
</li></ul>
    <li><em>array</em> "extensions"
        <ul>
            <li>
	     <em>struct</em> extension product
	<ul>
    <li><em>string</em> "friendly_name" - friendly name of extension product</li>
    <li><em>string</em> "arch" - architecture</li>
    <li><em>string</em> "status" - 'available', 'unavailable' or 'installed'</li>
    <li><em>array</em> "channels"
        <ul>
            <li>
           

	     <em>struct</em> channel
	<ul>
    <li><em>string</em> "arch" - architecture of the channel</li>
    <li><em>string</em> "description" - description of the channel</li>
    <li><em>string</em> "family" - channel family label</li>
    <li><em>boolean</em> "is_signed" - channel has signed metadata</li>
    <li><em>string</em> "label" - label of the channel</li>
    <li><em>string</em> "name" - name of the channel</li>
    <li><em>boolean</em> "optional" - channel is optional</li>
    <li><em>string</em> "parent" - the label of the parent channel</li>
    <li><em>string</em> "product_name" - product name</li>
    <li><em>string</em> "product_version" - product version</li>
    <li><em>string</em> "source_url" - repository source URL</li>
    <li><em>string</em> "status" - 'available', 'unavailable' or 'installed'</li>
    <li><em>string</em> "summary" - channel summary</li>
    <li><em>string</em> "update_tag" - update tag</li>
    <li><em>boolean</em> "installer_updates" - is an installer update channel</li>
	</ul>
 
</li></ul>
	</ul>
</li></ul>
    <li><em>boolean</em> "recommended" - recommended</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="synchronizeChannelFamilies" href="#top">Method: synchronizeChannelFamilies</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Synchronize channel families between the Customer Center
             and the #product() database.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="synchronizeChannels" href="#top">Method: synchronizeChannels</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
(Deprecated) Synchronize channels between the Customer Center
             and the #product() database.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> mirrorUrl - Sync from mirror temporarily
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="synchronizeProducts" href="#top">Method: synchronizeProducts</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Synchronize SUSE products between the Customer Center
             and the #product() database.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="synchronizeRepositories" href="#top">Method: synchronizeRepositories</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Synchronize repositories between the Customer Center
             and the #product() database.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> mirrorUrl - Optional mirror url or null
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="synchronizeSubscriptions" href="#top">Method: synchronizeSubscriptions</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Synchronize subscriptions between the Customer Center
             and the #product() database.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
