<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
distchannel
</p>
<p>Provides methods to access and modify distribution channel information</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#listDefaultMaps"/>listDefaultMaps</a></li>
<li><a href="#listMapsForOrg"/>listMapsForOrg</a></li>
<li><a href="#listMapsForOrg"/>listMapsForOrg</a></li>
<li><a href="#setMapForOrg"/>setMapForOrg</a></li>
</ul>
</div>
<hr />

<h3> <a name="listDefaultMaps" href="#top">Method: listDefaultMaps</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Lists the default distribution channel maps


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
      

	     <em>struct</em> distribution channel map
	<ul>
    <li><em>string</em> "os" - operating system</li>
    <li><em>string</em> "release" - OS Relase</li>
    <li><em>string</em> "arch_name" - channel architecture</li>
    <li><em>string</em> "channel_label" - channel label</li>
    <li><em>string</em> "org_specific" - 'Y' organization specific, 'N' default</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listMapsForOrg" href="#top">Method: listMapsForOrg</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Lists distribution channel maps valid for the user's organization


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
      

	     <em>struct</em> distribution channel map
	<ul>
    <li><em>string</em> "os" - operating system</li>
    <li><em>string</em> "release" - OS Relase</li>
    <li><em>string</em> "arch_name" - channel architecture</li>
    <li><em>string</em> "channel_label" - channel label</li>
    <li><em>string</em> "org_specific" - 'Y' organization specific, 'N' default</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listMapsForOrg" href="#top">Method: listMapsForOrg</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Lists distribution channel maps valid for an organization,
 #product() admin rights needed.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> orgId
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
      

	     <em>struct</em> distribution channel map
	<ul>
    <li><em>string</em> "os" - operating system</li>
    <li><em>string</em> "release" - OS Relase</li>
    <li><em>string</em> "arch_name" - channel architecture</li>
    <li><em>string</em> "channel_label" - channel label</li>
    <li><em>string</em> "org_specific" - 'Y' organization specific, 'N' default</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setMapForOrg" href="#top">Method: setMapForOrg</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Sets, overrides (/removes if channelLabel empty)
 a distribution channel map within an organization


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> os
 </li>
<li>

    <em>string</em> release
 </li>
<li>

    <em>string</em> archName
 </li>
<li>

    <em>string</em> channelLabel
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
