<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
formula
</p>
<p>Provides methods to access and modify formulas.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#getCombinedFormulaDataByServerIds"/>getCombinedFormulaDataByServerIds</a></li>
<li><a href="#getCombinedFormulasByServerId"/>getCombinedFormulasByServerId</a></li>
<li><a href="#getFormulasByGroupId"/>getFormulasByGroupId</a></li>
<li><a href="#getFormulasByServerId"/>getFormulasByServerId</a></li>
<li><a href="#getGroupFormulaData"/>getGroupFormulaData</a></li>
<li><a href="#getSystemFormulaData"/>getSystemFormulaData</a></li>
<li><a href="#listFormulas"/>listFormulas</a></li>
<li><a href="#setFormulasOfGroup"/>setFormulasOfGroup</a></li>
<li><a href="#setFormulasOfServer"/>setFormulasOfServer</a></li>
<li><a href="#setGroupFormulaData"/>setGroupFormulaData</a></li>
<li><a href="#setSystemFormulaData"/>setSystemFormulaData</a></li>
</ul>
</div>
<hr />

<h3> <a name="getCombinedFormulaDataByServerIds" href="#top">Method: getCombinedFormulaDataByServerIds</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Return the list of formulas a server and all his groups have.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> formulaName
 </li>
<li>

<em>array(int)</em> sids
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
     

	     <em>struct</em> formula data
	<ul>
	<li><em>int</em> "system_id"</li>
	<li><em>string</em> "minion_id"</li>
    <li><em>struct</em> "formula_values" - saved formula values</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getCombinedFormulasByServerId" href="#top">Method: getCombinedFormulasByServerId</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Return the list of formulas a server and all his groups have.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid - the system ID
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(string)</em> the list of formulas
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getFormulasByGroupId" href="#top">Method: getFormulasByGroupId</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Return the list of formulas a server group has.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> systemGroupId
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(string)</em> the list of formulas
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getFormulasByServerId" href="#top">Method: getFormulasByServerId</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Return the list of formulas directly applied to a server.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid - the system ID
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(string)</em> the list of formulas
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getGroupFormulaData" href="#top">Method: getGroupFormulaData</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get the saved data for the specific formula against specific group


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> groupId
 </li>
<li>

    <em>string</em> formulaName
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>struct</em> the saved formula data
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getSystemFormulaData" href="#top">Method: getSystemFormulaData</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get the saved data for the specific formula against specific server


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid - the system ID
 </li>
<li>

    <em>string</em> formulaName
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>struct</em> the saved formula data
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listFormulas" href="#top">Method: listFormulas</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Return the list of formulas currently installed.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(string)</em> the list of formulas
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setFormulasOfGroup" href="#top">Method: setFormulasOfGroup</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Set the formulas of a server group.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> systemGroupId
 </li>
<li>

<em>array(string)</em> formulas
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setFormulasOfServer" href="#top">Method: setFormulasOfServer</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Set the formulas of a server.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid - the system ID
 </li>
<li>

<em>array(string)</em> formulas
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setGroupFormulaData" href="#top">Method: setGroupFormulaData</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Set the formula form for the specified group.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> groupId
 </li>
<li>

    <em>string</em> formulaName
 </li>
<li>

    <em>struct</em> content - struct containing the values for each field in the form
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setSystemFormulaData" href="#top">Method: setSystemFormulaData</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Set the formula form for the specified server.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> systemId
 </li>
<li>

    <em>string</em> formulaName
 </li>
<li>

    <em>struct</em> content - struct content with the values for each field in the form
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
