<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
kickstart
</p>
<p>Provides methods to create kickstart files</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#cloneProfile"/>cloneProfile</a></li>
<li><a href="#createProfile"/>createProfile</a></li>
<li><a href="#createProfile"/>createProfile</a></li>
<li><a href="#createProfileWithCustomUrl"/>createProfileWithCustomUrl</a></li>
<li><a href="#createProfileWithCustomUrl"/>createProfileWithCustomUrl</a></li>
<li><a href="#deleteProfile"/>deleteProfile</a></li>
<li><a href="#disableProfile"/>disableProfile</a></li>
<li><a href="#findKickstartForIp"/>findKickstartForIp</a></li>
<li><a href="#importFile"/>importFile</a></li>
<li><a href="#importFile"/>importFile</a></li>
<li><a href="#importFile"/>importFile</a></li>
<li><a href="#importRawFile"/>importRawFile</a></li>
<li><a href="#importRawFile"/>importRawFile</a></li>
<li><a href="#isProfileDisabled"/>isProfileDisabled</a></li>
<li><a href="#listAllIpRanges"/>listAllIpRanges</a></li>
<li><a href="#listAutoinstallableChannels"/>listAutoinstallableChannels</a></li>
<li><a href="#listKickstartableChannels"/>listKickstartableChannels</a></li>
<li><a href="#listKickstarts"/>listKickstarts</a></li>
<li><a href="#renameProfile"/>renameProfile</a></li>
</ul>
</div>
<hr />

<h3> <a name="cloneProfile" href="#top">Method: cloneProfile</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Clone a Kickstart Profile


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> ksLabelToClone - Label of the
 kickstart profile to clone
 </li>
<li>

    <em>string</em> newKsLabel - label of the cloned profile
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="createProfile" href="#top">Method: createProfile</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create a kickstart profile.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> profileLabel - Label for the new
 kickstart profile.
 </li>
<li>

    <em>string</em> virtualizationType - none, para_host,
 qemu, xenfv or xenpv.
 </li>
<li>

    <em>string</em> kickstartableTreeLabel - Label of a
 kickstartable tree to associate the new profile with.
 </li>
<li>

    <em>string</em> kickstartHost - Kickstart hostname
 (of a Uyuni server or proxy) used to construct the default download URL for
 the new kickstart profile.
 </li>
<li>

    <em>string</em> rootPassword - Root password.
 </li>
<li>

    <em>string</em> updateType - Should the profile update
 itself to use the newest tree available? Possible values are: none (default)
 or all (includes custom Kickstart Trees).
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="createProfile" href="#top">Method: createProfile</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create a kickstart profile.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> profileLabel - Label for the new
 kickstart profile.
 </li>
<li>

    <em>string</em> virtualizationType - none, para_host,
 qemu, xenfv or xenpv.
 </li>
<li>

    <em>string</em> kickstartableTreeLabel - Label of a
 kickstartable tree to associate the new profile with.
 </li>
<li>

    <em>string</em> kickstartHost - Kickstart hostname
 (of a Uyuni server or proxy) used to construct the default download URL for
 the new kickstart profile.
 </li>
<li>

    <em>string</em> rootPassword - Root password.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="createProfileWithCustomUrl" href="#top">Method: createProfileWithCustomUrl</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create a kickstart profile.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> profileLabel - Label for the new
 kickstart profile.
 </li>
<li>

    <em>string</em> virtualizationType - none, para_host,
 qemu, xenfv or xenpv.
 </li>
<li>

    <em>string</em> kickstartableTreeLabel - Label of a
 kickstartable tree to associate the new profile with.
 </li>
<li>

    <em>boolean</em> downloadUrl - Download URL, or
 'default' to use the kickstart tree's default URL.
 </li>
<li>

    <em>string</em> rootPassword - Root password.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="createProfileWithCustomUrl" href="#top">Method: createProfileWithCustomUrl</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create a kickstart profile.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> profileLabel - Label for the new
 kickstart profile.
 </li>
<li>

    <em>string</em> virtualizationType - none, para_host,
 qemu, xenfv or xenpv.
 </li>
<li>

    <em>string</em> kickstartableTreeLabel - Label of a
 kickstartable tree to associate the new profile with.
 </li>
<li>

    <em>boolean</em> downloadUrl - Download URL, or
 'default' to use the kickstart tree's default URL.
 </li>
<li>

    <em>string</em> rootPassword - Root password.
 </li>
<li>

    <em>string</em> updateType - Should the profile update
 itself to use the newest tree available? Possible values are: none (default)
 or all (includes custom Kickstart Trees).
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="deleteProfile" href="#top">Method: deleteProfile</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Delete a kickstart profile


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> ksLabel - The label of
 the kickstart profile you want to remove
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="disableProfile" href="#top">Method: disableProfile</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Enable/Disable a Kickstart Profile


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> profileLabel - Label for the
 kickstart tree you want to en/disable
 </li>
<li>

    <em>string</em> disabled - true to disable the profile
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="findKickstartForIp" href="#top">Method: findKickstartForIp</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Find an associated kickstart for a given ip address.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> ipAddress - The ip address to
 search for (i.e. 192.168.0.1)
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>string</em> label - label of the kickstart. Empty string if not found
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="importFile" href="#top">Method: importFile</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Import a kickstart profile.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> profileLabel - Label for the new
 kickstart profile.
 </li>
<li>

    <em>string</em> virtualizationType - none, para_host,
 qemu, xenfv or xenpv.
 </li>
<li>

    <em>string</em> kickstartableTreeLabel - Label of a
 kickstartable tree to associate the new profile with.
 </li>
<li>

    <em>string</em> kickstartFileContents - Contents of
 the kickstart file to import.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="importFile" href="#top">Method: importFile</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Import a kickstart profile.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> profileLabel - Label for the new
 kickstart profile.
 </li>
<li>

    <em>string</em> virtualizationType - none, para_host,
 qemu, xenfv or xenpv.
 </li>
<li>

    <em>string</em> kickstartableTreeLabel - Label of a
 kickstartable tree to associate the new profile with.
 </li>
<li>

    <em>string</em> kickstartHost - Kickstart hostname
 (of a Uyuni server or proxy) used to construct the default download URL for
 the new kickstart profile. Using this option signifies that this default
 URL will be used instead of any url/nfs/cdrom/harddrive commands in the
 kickstart file itself.
 </li>
<li>

    <em>string</em> kickstartFileContents - Contents of
 the kickstart file to import.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="importFile" href="#top">Method: importFile</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Import a kickstart profile.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> profileLabel - Label for the new
 kickstart profile.
 </li>
<li>

    <em>string</em> virtualizationType - none, para_host,
 qemu, xenfv or xenpv.
 </li>
<li>

    <em>string</em> kickstartableTreeLabel - Label of a
 kickstartable tree to associate the new profile with.
 </li>
<li>

    <em>string</em> kickstartHost - Kickstart hostname
 (of a Uyuni server or proxy) used to construct the default download URL for
 the new kickstart profile. Using this option signifies that this default
 URL will be used instead of any url/nfs/cdrom/harddrive commands in the
 kickstart file itself.
 </li>
<li>

    <em>string</em> kickstartFileContents - Contents of
 the kickstart file to import.
 </li>
<li>

    <em>string</em> updateType - Should the profile update
 itself to use the newest tree available? Possible values are: none (default)
 or all (includes custom Kickstart Trees).
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="importRawFile" href="#top">Method: importRawFile</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Import a raw kickstart file into #product().


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> profileLabel - Label for the new
 kickstart profile.
 </li>
<li>

    <em>string</em> virtualizationType - none, para_host,
 qemu, xenfv or xenpv.
 </li>
<li>

    <em>string</em> kickstartableTreeLabel - Label of a
 kickstartable tree to associate the new profile with.
 </li>
<li>

    <em>string</em> kickstartFileContents - Contents of
 the kickstart file to import.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="importRawFile" href="#top">Method: importRawFile</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Import a raw kickstart file into #product().


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> profileLabel - Label for the new
 kickstart profile.
 </li>
<li>

    <em>string</em> virtualizationType - none, para_host,
 qemu, xenfv or xenpv.
 </li>
<li>

    <em>string</em> kickstartableTreeLabel - Label of a
 kickstartable tree to associate the new profile with.
 </li>
<li>

    <em>string</em> kickstartFileContents - Contents of
 the kickstart file to import.
 </li>
<li>

    <em>string</em> updateType - Should the profile update
 itself to use the newest tree available? Possible values are: none (default)
 or all (includes custom Kickstart Trees).
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="isProfileDisabled" href="#top">Method: isProfileDisabled</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns whether a kickstart profile is disabled


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> profileLabel - kickstart profile label
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>boolean</em> disabled - true if profile is disabled
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listAllIpRanges" href="#top">Method: listAllIpRanges</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List all Ip Ranges and their associated kickstarts available
 in the user's org.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
 

	     <em>struct</em> kickstart IP range
	<ul>
    <li><em>string</em> "ksLabel" - the kickstart label associated with the IP range</li>
    <li><em>string</em> "max" - the max IP of the range</li>
    <li><em>string</em> "min" - the min IP of the range</li>
	</ul>
  </li></ul>
 
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listAutoinstallableChannels" href="#top">Method: listAutoinstallableChannels</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List autoinstallable channels for the logged in user.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
 

	     <em>struct</em> channel
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "arch_name"</li>
	<li><em>string</em> "arch_label"</li>
	<li><em>string</em> "summary"</li>
	<li><em>string</em> "description"</li>
	<li><em>string</em> "checksum_label"</li>
	<li><em>dateTime.iso8601</em> "last_modified"</li>
	<li><em>string</em> "maintainer_name"</li>
	<li><em>string</em> "maintainer_email"</li>
	<li><em>string</em> "maintainer_phone"</li>
	<li><em>string</em> "support_policy"</li>
	<li><em>string</em> "gpg_key_url"</li>
	<li><em>string</em> "gpg_key_id"</li>
	<li><em>string</em> "gpg_key_fp"</li>
    <li><em>dateTime.iso8601</em> "yumrepo_last_sync" - (optional)</li>
	<li><em>string</em> "end_of_life"</li>
	<li><em>string</em> "parent_channel_label"</li>
	<li><em>string</em> "clone_original"</li>
    <li><em>array</em> "contentSources"
        <ul>
            <li>
	     <em>struct</em> content source
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "sourceUrl"</li>
	<li><em>string</em> "type"</li>
	</ul>
</li></ul>
	</ul>
  </li></ul>
 
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listKickstartableChannels" href="#top">Method: listKickstartableChannels</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List kickstartable channels for the logged in user.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
 

	     <em>struct</em> channel
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "arch_name"</li>
	<li><em>string</em> "arch_label"</li>
	<li><em>string</em> "summary"</li>
	<li><em>string</em> "description"</li>
	<li><em>string</em> "checksum_label"</li>
	<li><em>dateTime.iso8601</em> "last_modified"</li>
	<li><em>string</em> "maintainer_name"</li>
	<li><em>string</em> "maintainer_email"</li>
	<li><em>string</em> "maintainer_phone"</li>
	<li><em>string</em> "support_policy"</li>
	<li><em>string</em> "gpg_key_url"</li>
	<li><em>string</em> "gpg_key_id"</li>
	<li><em>string</em> "gpg_key_fp"</li>
    <li><em>dateTime.iso8601</em> "yumrepo_last_sync" - (optional)</li>
	<li><em>string</em> "end_of_life"</li>
	<li><em>string</em> "parent_channel_label"</li>
	<li><em>string</em> "clone_original"</li>
    <li><em>array</em> "contentSources"
        <ul>
            <li>
	     <em>struct</em> content source
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "sourceUrl"</li>
	<li><em>string</em> "type"</li>
	</ul>
</li></ul>
	</ul>
  </li></ul>
 
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listKickstarts" href="#top">Method: listKickstarts</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Provides a list of kickstart profiles visible to the user's
 org


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
 

	     <em>struct</em> kickstart
	<ul>
	<li><em>string</em> "label"</li>
	<li><em>string</em> "tree_label"</li>
	<li><em>string</em> "name"</li>
	<li><em>boolean</em> "advanced_mode"</li>
	<li><em>boolean</em> "org_default"</li>
	<li><em>boolean</em> "active"</li>
	<li><em>string</em> "update_type"</li>
	</ul>
  </li></ul>
 
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="renameProfile" href="#top">Method: renameProfile</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Rename a kickstart profile in #product().


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> originalLabel - Label for the
 kickstart profile you want to rename
 </li>
<li>

    <em>string</em> newLabel - new label to change to
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
