<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
maintenance
</p>
<p>Provides methods to access and modify Maintenance Schedules related entities</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#assignScheduleToSystems"/>assignScheduleToSystems</a></li>
<li><a href="#createCalendar"/>createCalendar</a></li>
<li><a href="#createCalendarWithUrl"/>createCalendarWithUrl</a></li>
<li><a href="#createSchedule"/>createSchedule</a></li>
<li><a href="#createSchedule"/>createSchedule</a></li>
<li><a href="#deleteCalendar"/>deleteCalendar</a></li>
<li><a href="#deleteSchedule"/>deleteSchedule</a></li>
<li><a href="#getCalendarDetails"/>getCalendarDetails</a></li>
<li><a href="#getScheduleDetails"/>getScheduleDetails</a></li>
<li><a href="#listCalendarLabels"/>listCalendarLabels</a></li>
<li><a href="#listScheduleNames"/>listScheduleNames</a></li>
<li><a href="#listSystemsWithSchedule"/>listSystemsWithSchedule</a></li>
<li><a href="#refreshCalendar"/>refreshCalendar</a></li>
<li><a href="#retractScheduleFromSystems"/>retractScheduleFromSystems</a></li>
<li><a href="#updateCalendar"/>updateCalendar</a></li>
<li><a href="#updateSchedule"/>updateSchedule</a></li>
</ul>
</div>
<hr />

<h3> <a name="assignScheduleToSystems" href="#top">Method: assignScheduleToSystems</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Assign schedule with given name to systems with given IDs.
 Throws a PermissionCheckFailureException when some of the systems are not accessible by the user.
 Throws a InvalidParameterException when some of the systems have pending actions that are not allowed in the
 maintenance mode.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> scheduleName - The schedule name
 </li>
<li>

<em>array(int)</em> sids - system IDs
 </li>
<li>

<em>array(string)</em> rescheduleStrategy - available:
	<ul>
	<li>Cancel - cancel actions which are outside the maintenance windows</li>
	<li>Fail - let assignment fail. No operation will be performed</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(int)</em> number of involved systems
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="createCalendar" href="#top">Method: createCalendar</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create a new maintenance calendar


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - maintenance calendar label
 </li>
<li>

    <em>string</em> ical - ICal calendar data
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
 

	     <em>struct</em> maintenance calendar information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>int</em> "orgId"</li>
	<li><em>string</em> "label"</li>
    <li><em>string</em> "url" - calendar url if present</li>
	<li><em>string</em> "ical"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="createCalendarWithUrl" href="#top">Method: createCalendarWithUrl</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create a new maintenance calendar


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - maintenance calendar label
 </li>
<li>

    <em>string</em> url - download URL for ICal calendar data
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
 

	     <em>struct</em> maintenance calendar information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>int</em> "orgId"</li>
	<li><em>string</em> "label"</li>
    <li><em>string</em> "url" - calendar url if present</li>
	<li><em>string</em> "ical"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="createSchedule" href="#top">Method: createSchedule</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create a new maintenance Schedule


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> name - maintenance schedule name
 </li>
<li>

    <em>string</em> type - schedule type: single, multi
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
 

	     <em>struct</em> maintenance schedule information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>int</em> "orgId"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "type"</li>
   

	     <em>struct</em> maintenance calendar information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>int</em> "orgId"</li>
	<li><em>string</em> "label"</li>
    <li><em>string</em> "url" - calendar url if present</li>
	<li><em>string</em> "ical"</li>
	</ul>
 
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="createSchedule" href="#top">Method: createSchedule</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create a new Maintenance Schedule


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> name - maintenance schedule name
 </li>
<li>

    <em>string</em> type - schedule type: single, multi
 </li>
<li>

    <em>string</em> calendar - maintenance calendar label
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
 

	     <em>struct</em> maintenance schedule information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>int</em> "orgId"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "type"</li>
   

	     <em>struct</em> maintenance calendar information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>int</em> "orgId"</li>
	<li><em>string</em> "label"</li>
    <li><em>string</em> "url" - calendar url if present</li>
	<li><em>string</em> "ical"</li>
	</ul>
 
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="deleteCalendar" href="#top">Method: deleteCalendar</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Remove a maintenance calendar


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - maintenance calendar label
 </li>
<li>

    <em>boolean</em> cancelScheduledActions - cancel actions of affected schedules
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
       

	     <em>struct</em> reschedule information
	<ul>
    <li><em>string</em> "strategy" - selected strategy</li>
	<li><em>string</em> "for_schedule_name"</li>
	<li><em>boolean</em> "status"</li>
	<li><em>string</em> "message"</li>
    <li><em>array</em> "actions"
        <ul>
            <li>
	     <em>struct</em> action information
	<ul>
    <li><em>int</em> "id" - action ID</li>
    <li><em>string</em> "name" - action name</li>
    <li><em>string</em> "type" - action type</li>
    <li><em>string</em> "scheduler" - the user that scheduled the action (optional)</li>
    <li><em>dateTime.iso8601</em> "earliest" - the earliest date and time the action will be performed</li>
    <li><em>int</em> "prerequisite" - ID of the prerequisite action (optional)</li>
    <li><em>array(int)</em> "affected_system_ids" - affected system IDs
    </li>
    <li><em>string</em> "details" - action details string</li>
	</ul>
           </li>
        </ul>
    </li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="deleteSchedule" href="#top">Method: deleteSchedule</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Remove a maintenance schedule


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> name - maintenance schedule name
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getCalendarDetails" href="#top">Method: getCalendarDetails</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Lookup a specific maintenance schedule


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - maintenance calendar label
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
 

	     <em>struct</em> maintenance calendar information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>int</em> "orgId"</li>
	<li><em>string</em> "label"</li>
    <li><em>string</em> "url" - calendar url if present</li>
	<li><em>string</em> "ical"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getScheduleDetails" href="#top">Method: getScheduleDetails</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Lookup a specific maintenance schedule


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> name - maintenance Schedule Name
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
 

	     <em>struct</em> maintenance schedule information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>int</em> "orgId"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "type"</li>
   

	     <em>struct</em> maintenance calendar information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>int</em> "orgId"</li>
	<li><em>string</em> "label"</li>
    <li><em>string</em> "url" - calendar url if present</li>
	<li><em>string</em> "ical"</li>
	</ul>
 
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listCalendarLabels" href="#top">Method: listCalendarLabels</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
List schedule names visible to user


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(string)</em> maintenance calendar labels
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listScheduleNames" href="#top">Method: listScheduleNames</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
List Schedule Names visible to user


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(string)</em> maintenance schedule names
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listSystemsWithSchedule" href="#top">Method: listSystemsWithSchedule</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
List IDs of systems that have given schedule assigned
 Throws a PermissionCheckFailureException when some of the systems are not accessible by the user.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> scheduleName - the schedule name
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(int)</em> system IDs
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="refreshCalendar" href="#top">Method: refreshCalendar</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Refresh maintenance calendar data using the configured URL


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - maintenance calendar label
 </li>
<li>

<em>array(string)</em> rescheduleStrategy - available:
	<ul>
	<li>Cancel - cancel actions which are outside the maintenance windows</li>
	<li>Fail - let update fail. The calendar stay untouched</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
       

	     <em>struct</em> reschedule information
	<ul>
    <li><em>string</em> "strategy" - selected strategy</li>
	<li><em>string</em> "for_schedule_name"</li>
	<li><em>boolean</em> "status"</li>
	<li><em>string</em> "message"</li>
    <li><em>array</em> "actions"
        <ul>
            <li>
	     <em>struct</em> action information
	<ul>
    <li><em>int</em> "id" - action ID</li>
    <li><em>string</em> "name" - action name</li>
    <li><em>string</em> "type" - action type</li>
    <li><em>string</em> "scheduler" - the user that scheduled the action (optional)</li>
    <li><em>dateTime.iso8601</em> "earliest" - the earliest date and time the action will be performed</li>
    <li><em>int</em> "prerequisite" - ID of the prerequisite action (optional)</li>
    <li><em>array(int)</em> "affected_system_ids" - affected system IDs
    </li>
    <li><em>string</em> "details" - action details string</li>
	</ul>
           </li>
        </ul>
    </li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="retractScheduleFromSystems" href="#top">Method: retractScheduleFromSystems</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Retract schedule with given name from systems with given IDs
 Throws a PermissionCheckFailureException when some of the systems are not accessible by the user.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(int)</em> sids - system IDs
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(int)</em> number of involved systems
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="updateCalendar" href="#top">Method: updateCalendar</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Update a maintenance calendar


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - maintenance calendar label
 </li>
<li>

	     <em>struct</em> details - maintenance calendar details
	<ul>
    <li><em>string</em> "ical" - new ical calendar data</li>
    <li><em>string</em> "url" - new calendar URL</li>
	</ul>
 </li>
<li>

<em>array(string)</em> rescheduleStrategy - available:
	<ul>
	<li>Cancel - cancel actions which are outside the maintenance windows</li>
	<li>Fail - let update fail. The calendar stay untouched</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
       

	     <em>struct</em> reschedule information
	<ul>
    <li><em>string</em> "strategy" - selected strategy</li>
	<li><em>string</em> "for_schedule_name"</li>
	<li><em>boolean</em> "status"</li>
	<li><em>string</em> "message"</li>
    <li><em>array</em> "actions"
        <ul>
            <li>
	     <em>struct</em> action information
	<ul>
    <li><em>int</em> "id" - action ID</li>
    <li><em>string</em> "name" - action name</li>
    <li><em>string</em> "type" - action type</li>
    <li><em>string</em> "scheduler" - the user that scheduled the action (optional)</li>
    <li><em>dateTime.iso8601</em> "earliest" - the earliest date and time the action will be performed</li>
    <li><em>int</em> "prerequisite" - ID of the prerequisite action (optional)</li>
    <li><em>array(int)</em> "affected_system_ids" - affected system IDs
    </li>
    <li><em>string</em> "details" - action details string</li>
	</ul>
           </li>
        </ul>
    </li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="updateSchedule" href="#top">Method: updateSchedule</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Update a maintenance schedule


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> name - maintenance schedule name
 </li>
<li>

	     <em>struct</em> details - maintenance schedule details
	<ul>
    <li><em>string</em> "type" - new schedule type</li>
	<ul>
	<li>single</li>
	<li>multi</li>
	</ul>
    <li><em>string</em> "calendar" - new calendar label</li>
	</ul>
 </li>
<li>

<em>array(string)</em> rescheduleStrategy - available:
	<ul>
	<li>Cancel - cancel actions which are outside the maintenance windows</li>
	<li>Fail - let update fail. The calendar stays untouched</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> reschedule information
	<ul>
    <li><em>string</em> "strategy" - selected strategy</li>
	<li><em>string</em> "for_schedule_name"</li>
	<li><em>boolean</em> "status"</li>
	<li><em>string</em> "message"</li>
    <li><em>array</em> "actions"
        <ul>
            <li>
	     <em>struct</em> action information
	<ul>
    <li><em>int</em> "id" - action ID</li>
    <li><em>string</em> "name" - action name</li>
    <li><em>string</em> "type" - action type</li>
    <li><em>string</em> "scheduler" - the user that scheduled the action (optional)</li>
    <li><em>dateTime.iso8601</em> "earliest" - the earliest date and time the action will be performed</li>
    <li><em>int</em> "prerequisite" - ID of the prerequisite action (optional)</li>
    <li><em>array(int)</em> "affected_system_ids" - affected system IDs
    </li>
    <li><em>string</em> "details" - action details string</li>
	</ul>
           </li>
        </ul>
    </li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
