<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
org
</p>
<p>Contains methods to access common organization management
 functions available from the web interface.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#create"/>create</a></li>
<li><a href="#createFirst"/>createFirst</a></li>
<li><a href="#delete"/>delete</a></li>
<li><a href="#getClmSyncPatchesConfig"/>getClmSyncPatchesConfig</a></li>
<li><a href="#getDetails"/>getDetails</a></li>
<li><a href="#getDetails"/>getDetails</a></li>
<li><a href="#getPolicyForScapFileUpload"/>getPolicyForScapFileUpload</a></li>
<li><a href="#getPolicyForScapResultDeletion"/>getPolicyForScapResultDeletion</a></li>
<li><a href="#isContentStagingEnabled"/>isContentStagingEnabled</a></li>
<li><a href="#isErrataEmailNotifsForOrg"/>isErrataEmailNotifsForOrg</a></li>
<li><a href="#isOrgConfigManagedByOrgAdmin"/>isOrgConfigManagedByOrgAdmin</a></li>
<li><a href="#listOrgs"/>listOrgs</a></li>
<li><a href="#listUsers"/>listUsers</a></li>
<li><a href="#migrateSystems"/>migrateSystems</a></li>
<li><a href="#setClmSyncPatchesConfig"/>setClmSyncPatchesConfig</a></li>
<li><a href="#setContentStaging"/>setContentStaging</a></li>
<li><a href="#setErrataEmailNotifsForOrg"/>setErrataEmailNotifsForOrg</a></li>
<li><a href="#setOrgConfigManagedByOrgAdmin"/>setOrgConfigManagedByOrgAdmin</a></li>
<li><a href="#setPolicyForScapFileUpload"/>setPolicyForScapFileUpload</a></li>
<li><a href="#setPolicyForScapResultDeletion"/>setPolicyForScapResultDeletion</a></li>
<li><a href="#transferSystems"/>transferSystems</a></li>
<li><a href="#updateName"/>updateName</a></li>
</ul>
</div>
<hr />

<h3> <a name="create" href="#top">Method: create</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create a new organization and associated administrator account.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> orgName - Organization name. Must meet same
 criteria as in the web UI.
 </li>
<li>

    <em>string</em> adminLogin - New administrator login name.
 </li>
<li>

    <em>string</em> adminPassword - New administrator password.
 </li>
<li>

    <em>string</em> prefix - New administrator's prefix. Must
 match one of the values available in the web UI. (i.e. Dr., Mr., Mrs., Sr., etc.)
 </li>
<li>

    <em>string</em> firstName - New administrator's first name.
 </li>
<li>

    <em>string</em> lastName - New administrator's first name.
 </li>
<li>

    <em>string</em> email - New administrator's e-mail.
 </li>
<li>

    <em>boolean</em> usePamAuth - True if PAM authentication
 should be used for the new administrator account.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> organization info
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
    <li><em>int</em> "active_users" - number of active users in the organization</li>
    <li><em>int</em> "systems" - number of systems in the organization</li>
    <li><em>int</em> "trusts" - number of trusted organizations</li>
    <li><em>int</em> "system_groups" - number of system groups in the organization (optional)</li>
    <li><em>int</em> "activation_keys" - number of activation keys in the organization (optional)</li>
    <li><em>int</em> "kickstart_profiles" - number of kickstart profiles in the organization (optional)</li>
    <li><em>int</em> "configuration_channels" - number of configuration channels in the organization (optional)</li>
    <li><em>boolean</em> "staging_content_enabled" - is staging content enabled in organization (optional)</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="createFirst" href="#top">Method: createFirst</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create first organization and user after initial setup without authentication


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> orgName - Organization name. Must meet same
 criteria as in the web UI.
 </li>
<li>

    <em>string</em> adminLogin - New administrator login name.
 </li>
<li>

    <em>string</em> adminPassword - New administrator password.
 </li>
<li>

    <em>string</em> firstName - New administrator's first name.
 </li>
<li>

    <em>string</em> lastName - New administrator's first name.
 </li>
<li>

    <em>string</em> email - New administrator's e-mail.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> organization info
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
    <li><em>int</em> "active_users" - number of active users in the organization</li>
    <li><em>int</em> "systems" - number of systems in the organization</li>
    <li><em>int</em> "trusts" - number of trusted organizations</li>
    <li><em>int</em> "system_groups" - number of system groups in the organization (optional)</li>
    <li><em>int</em> "activation_keys" - number of activation keys in the organization (optional)</li>
    <li><em>int</em> "kickstart_profiles" - number of kickstart profiles in the organization (optional)</li>
    <li><em>int</em> "configuration_channels" - number of configuration channels in the organization (optional)</li>
    <li><em>boolean</em> "staging_content_enabled" - is staging content enabled in organization (optional)</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="delete" href="#top">Method: delete</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Delete an organization. The default organization
 (i.e. orgId=1) cannot be deleted.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> orgId
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getClmSyncPatchesConfig" href="#top">Method: getClmSyncPatchesConfig</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Reads the content lifecycle management patch synchronization config option.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> orgId
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>boolean</em> status - Get the config option value
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getDetails" href="#top">Method: getDetails</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
The detailed information about an organization given
 the organization ID.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> orgId
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> organization info
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
    <li><em>int</em> "active_users" - number of active users in the organization</li>
    <li><em>int</em> "systems" - number of systems in the organization</li>
    <li><em>int</em> "trusts" - number of trusted organizations</li>
    <li><em>int</em> "system_groups" - number of system groups in the organization (optional)</li>
    <li><em>int</em> "activation_keys" - number of activation keys in the organization (optional)</li>
    <li><em>int</em> "kickstart_profiles" - number of kickstart profiles in the organization (optional)</li>
    <li><em>int</em> "configuration_channels" - number of configuration channels in the organization (optional)</li>
    <li><em>boolean</em> "staging_content_enabled" - is staging content enabled in organization (optional)</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getDetails" href="#top">Method: getDetails</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
The detailed information about an organization given
 the organization name.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> name
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> organization info
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
    <li><em>int</em> "active_users" - number of active users in the organization</li>
    <li><em>int</em> "systems" - number of systems in the organization</li>
    <li><em>int</em> "trusts" - number of trusted organizations</li>
    <li><em>int</em> "system_groups" - number of system groups in the organization (optional)</li>
    <li><em>int</em> "activation_keys" - number of activation keys in the organization (optional)</li>
    <li><em>int</em> "kickstart_profiles" - number of kickstart profiles in the organization (optional)</li>
    <li><em>int</em> "configuration_channels" - number of configuration channels in the organization (optional)</li>
    <li><em>boolean</em> "staging_content_enabled" - is staging content enabled in organization (optional)</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getPolicyForScapFileUpload" href="#top">Method: getPolicyForScapFileUpload</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get the status of SCAP detailed result file upload settings
 for the given organization.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> orgId
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


	     <em>struct</em> scap_upload_info
	<ul>
    <li><em>boolean</em> "enabled" - Aggregation of detailed SCAP results is enabled.</li>
    <li><em>int</em> "size_limit" - Limit (in Bytes) for a single SCAP file upload.</li>
	</ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getPolicyForScapResultDeletion" href="#top">Method: getPolicyForScapResultDeletion</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get the status of SCAP result deletion settings for the given
 organization.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> orgId
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


	     <em>struct</em> scap_deletion_info
	<ul>
    <li><em>boolean</em> "enabled" - Deletion of SCAP results is enabled</li>
    <li><em>int</em> "retention_period" - Period (in days) after which a scan can be deleted (if enabled).</li>
	</ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="isContentStagingEnabled" href="#top">Method: isContentStagingEnabled</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get the status of content staging settings for the given organization.
 Returns true if enabled, false otherwise.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> orgId
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>boolean</em> status - Get the status of content staging settings
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="isErrataEmailNotifsForOrg" href="#top">Method: isErrataEmailNotifsForOrg</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns whether errata e-mail notifications are enabled
 for the organization


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> orgId
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>boolean</em> status - Returns the status of the errata e-mail notification
 setting for the organization
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="isOrgConfigManagedByOrgAdmin" href="#top">Method: isOrgConfigManagedByOrgAdmin</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns whether Organization Administrator is able to manage his
 organization configuration. This may have a high impact on general #product() performance.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> orgId
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>boolean</em> status - Returns the status org admin management setting
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listOrgs" href="#top">Method: listOrgs</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns the list of organizations.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
     

	     <em>struct</em> organization info
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
    <li><em>int</em> "active_users" - number of active users in the organization</li>
    <li><em>int</em> "systems" - number of systems in the organization</li>
    <li><em>int</em> "trusts" - number of trusted organizations</li>
    <li><em>int</em> "system_groups" - number of system groups in the organization (optional)</li>
    <li><em>int</em> "activation_keys" - number of activation keys in the organization (optional)</li>
    <li><em>int</em> "kickstart_profiles" - number of kickstart profiles in the organization (optional)</li>
    <li><em>int</em> "configuration_channels" - number of configuration channels in the organization (optional)</li>
    <li><em>boolean</em> "staging_content_enabled" - is staging content enabled in organization (optional)</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listUsers" href="#top">Method: listUsers</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns the list of users in a given organization.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> orgId
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
     

	     <em>struct</em> user
	<ul>
	<li><em>string</em> "login"</li>
	<li><em>string</em> "login_uc"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "email"</li>
	<li><em>boolean</em> "is_org_admin"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3 class="deprecated"><a name="migrateSystems" href="#top">Method: migrateSystems</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Transfer systems from one organization to another.  If executed by
 a #product() administrator, the systems will be transferred from their current
 organization to the organization specified by the toOrgId.  If executed by
 an organization administrator, the systems must exist in the same organization
 as that administrator and the systems will be transferred to the organization
 specified by the toOrgId. In any scenario, the origination and destination
 organizations must be defined in a trust.

 Note: This method is deprecated and will be removed in a future API version. Please use
 transferSystems instead.

<p/>
Deprecated - being replaced by org.transferSystems(User loggedInUser, Integer toOrgId,
 List(Integer) sids)
<p/>

<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> toOrgId - ID of the organization where the
 system(s) will be transferred to.
 </li>
<li>

<em>array(int)</em> sids
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(int)</em> serverIdTransferred
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setClmSyncPatchesConfig" href="#top">Method: setClmSyncPatchesConfig</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Sets the content lifecycle management patch synchronization config option.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> orgId
 </li>
<li>

    <em>boolean</em> value - The config option value
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setContentStaging" href="#top">Method: setContentStaging</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Set the status of content staging for the given organization.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> orgId
 </li>
<li>

    <em>boolean</em> enable - Use true/false to enable/disable
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setErrataEmailNotifsForOrg" href="#top">Method: setErrataEmailNotifsForOrg</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Dis/enables errata e-mail notifications for the organization


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> orgId
 </li>
<li>

    <em>boolean</em> enable - Use true/false to enable/disable
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setOrgConfigManagedByOrgAdmin" href="#top">Method: setOrgConfigManagedByOrgAdmin</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Sets whether Organization Administrator can manage his organization
 configuration. This may have a high impact on general #product() performance.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> orgId
 </li>
<li>

    <em>boolean</em> enable - Use true/false to enable/disable
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setPolicyForScapFileUpload" href="#top">Method: setPolicyForScapFileUpload</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Set the status of SCAP detailed result file upload settings
 for the given organization.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> orgId
 </li>
<li>

	     <em>struct</em> newSettings
	<ul>
    <li><em>boolean</em> "enabled" - Aggregation of detailed SCAP results is enabled.</li>
    <li><em>int</em> "size_limit" - Limit (in Bytes) for a single SCAP file upload.</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setPolicyForScapResultDeletion" href="#top">Method: setPolicyForScapResultDeletion</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Set the status of SCAP result deletion settins for the given
 organization.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> orgId
 </li>
<li>

	     <em>struct</em> newSettings
	<ul>
    <li><em>boolean</em> "enabled" - Deletion of SCAP results is enabled</li>
    <li><em>int</em> "retention_period" - Period (in days) after which a scan can be deleted (if enabled).</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="transferSystems" href="#top">Method: transferSystems</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Transfer systems from one organization to another.  If executed by
 a #product() administrator, the systems will be transferred from their current
 organization to the organization specified by the toOrgId.  If executed by
 an organization administrator, the systems must exist in the same organization
 as that administrator and the systems will be transferred to the organization
 specified by the toOrgId. In any scenario, the origination and destination
 organizations must be defined in a trust.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> toOrgId - ID of the organization where the
 system(s) will be transferred to.
 </li>
<li>

<em>array(int)</em> sids
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(int)</em> serverIdTransferred
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="updateName" href="#top">Method: updateName</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Updates the name of an organization


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> orgId
 </li>
<li>

    <em>string</em> name - Organization name. Must meet same
 criteria as in the web UI.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> organization info
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
    <li><em>int</em> "active_users" - number of active users in the organization</li>
    <li><em>int</em> "systems" - number of systems in the organization</li>
    <li><em>int</em> "trusts" - number of trusted organizations</li>
    <li><em>int</em> "system_groups" - number of system groups in the organization (optional)</li>
    <li><em>int</em> "activation_keys" - number of activation keys in the organization (optional)</li>
    <li><em>int</em> "kickstart_profiles" - number of kickstart profiles in the organization (optional)</li>
    <li><em>int</em> "configuration_channels" - number of configuration channels in the organization (optional)</li>
    <li><em>boolean</em> "staging_content_enabled" - is staging content enabled in organization (optional)</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
