<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
org.trusts
</p>
<p>Contains methods to access common organization trust information
 available from the web interface.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#addTrust"/>addTrust</a></li>
<li><a href="#getDetails"/>getDetails</a></li>
<li><a href="#listChannelsConsumed"/>listChannelsConsumed</a></li>
<li><a href="#listChannelsProvided"/>listChannelsProvided</a></li>
<li><a href="#listOrgs"/>listOrgs</a></li>
<li><a href="#listSystemsAffected"/>listSystemsAffected</a></li>
<li><a href="#listTrusts"/>listTrusts</a></li>
<li><a href="#removeTrust"/>removeTrust</a></li>
</ul>
</div>
<hr />

<h3> <a name="addTrust" href="#top">Method: addTrust</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Add an organization to the list of trusted organizations.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> orgId
 </li>
<li>

    <em>int</em> trustOrgId
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getDetails" href="#top">Method: getDetails</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
The trust details about an organization given
 the organization's ID.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> orgId - Id of the trusted organization
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


	     <em>struct</em> org trust details
	<ul>
    <li><em>dateTime.iso8601</em> "created" - Date the organization was
          created</li>
    <li><em>dateTime.iso8601</em> "trusted_since" - Date the organization was
          defined as trusted</li>
    <li><em>int</em> "channels_provided" - Number of channels provided by
          the organization.</li>
    <li><em>int</em> "channels_consumed" - Number of channels consumed by
          the organization.</li>
    <li><em>int</em> "systems_migrated_to" - (Deprecated by systems_transferred_to) Number
          of systems transferred to the organization.</li>
    <li><em>int</em> "systems_migrated_from" - (Deprecated by systems_transferred_from) Number
          of systems transferred from the organization.</li>
    <li><em>int</em> "systems_transferred_to" - Number of systems transferred to
          the organization.</li>
    <li><em>int</em> "systems_transferred_from" - Number of systems transferred
          from the organization.</li>
	</ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listChannelsConsumed" href="#top">Method: listChannelsConsumed</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Lists all software channels that the organization given may consume
 from the user's organization.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> orgId - Id of the trusted organization
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> channel info
	<ul>
	<li><em>int</em> "channel_id"</li>
	<li><em>string</em> "channel_name"</li>
	<li><em>int</em> "packages"</li>
	<li><em>int</em> "systems"</li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listChannelsProvided" href="#top">Method: listChannelsProvided</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Lists all software channels that the organization given is providing to
 the user's organization.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> orgId - Id of the trusted organization
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> channel info
	<ul>
	<li><em>int</em> "channel_id"</li>
	<li><em>string</em> "channel_name"</li>
	<li><em>int</em> "packages"</li>
	<li><em>int</em> "systems"</li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listOrgs" href="#top">Method: listOrgs</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List all organanizations trusted by the user's organization.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
         

	     <em>struct</em> trusted organizations
	<ul>
	<li><em>int</em> "org_id"</li>
	<li><em>string</em> "org_name"</li>
	<li><em>int</em> "shared_channels"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listSystemsAffected" href="#top">Method: listSystemsAffected</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get a list of systems within the  trusted organization
   that would be affected if the trust relationship was removed.
   This basically lists systems that are sharing at least (1) package.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> orgId
 </li>
<li>

    <em>string</em> trustOrgId
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
	     <em>struct</em> affected systems
	<ul>
	<li><em>int</em> "systemId"</li>
	<li><em>string</em> "systemName"</li>
	</ul>
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listTrusts" href="#top">Method: listTrusts</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns the list of trusted organizations.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> orgId
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
   

	     <em>struct</em> trusted organizations
	<ul>
	<li><em>int</em> "orgId"</li>
	<li><em>string</em> "orgName"</li>
	<li><em>boolean</em> "trustEnabled"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="removeTrust" href="#top">Method: removeTrust</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Remove an organization to the list of trusted organizations.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> orgId
 </li>
<li>

    <em>int</em> trustOrgId
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
