<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
packages.provider
</p>
<p>Methods to retrieve information about Package Providers associated with
      packages.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#associateKey"/>associateKey</a></li>
<li><a href="#list"/>list</a></li>
<li><a href="#listKeys"/>listKeys</a></li>
</ul>
</div>
<hr />

<h3> <a name="associateKey" href="#top">Method: associateKey</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Associate a package security key and with the package provider.
      If the provider or key doesn't exist, it is created. User executing the
      request must be a #product() administrator.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> providerName - The provider name
 </li>
<li>

    <em>string</em> key - The actual key
 </li>
<li>

    <em>string</em> type - The type of the key. Currently,
 only 'gpg' is supported
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="list" href="#top">Method: list</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
List all Package Providers.
 User executing the request must be a #product() administrator.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
      

	     <em>struct</em> package provider
	<ul>
	<li><em>string</em> "name"</li>
    <li><em>array</em> "keys"
        <ul>
            <li>
      

	     <em>struct</em> package security key
	<ul>
	<li><em>string</em> "key"</li>
	<li><em>string</em> "type"</li>
	</ul>
 
           </li>
        </ul>
    </li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listKeys" href="#top">Method: listKeys</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List all security keys associated with a package provider.
 User executing the request must be a #product() administrator.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> providerName - The provider name
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
      

	     <em>struct</em> package security key
	<ul>
	<li><em>string</em> "key"</li>
	<li><em>string</em> "type"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
