<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
packages.search
</p>
<p>Methods to interface to package search capabilities in search server..</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#advanced"/>advanced</a></li>
<li><a href="#advancedWithActKey"/>advancedWithActKey</a></li>
<li><a href="#advancedWithChannel"/>advancedWithChannel</a></li>
<li><a href="#name"/>name</a></li>
<li><a href="#nameAndDescription"/>nameAndDescription</a></li>
<li><a href="#nameAndSummary"/>nameAndSummary</a></li>
</ul>
</div>
<hr />

<h3> <a name="advanced" href="#top">Method: advanced</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Advanced method to search lucene indexes with a passed in query written
 in Lucene Query Parser syntax.
 Lucene Query Parser syntax is defined at
 
 lucene.apache.org.
 Fields searchable for Packages:
 name, epoch, version, release, arch, description, summary
 Lucene Query Example: "name:kernel AND version:2.6.18 AND -description:devel"


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> luceneQuery - a query written in the form of Lucene QueryParser Syntax
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
      

	     <em>struct</em> package overview
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "summary"</li>
	<li><em>string</em> "description"</li>
	<li><em>string</em> "version"</li>
	<li><em>string</em> "release"</li>
	<li><em>string</em> "arch"</li>
	<li><em>string</em> "epoch"</li>
	<li><em>string</em> "provider"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="advancedWithActKey" href="#top">Method: advancedWithActKey</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Advanced method to search lucene indexes with a passed in query written
 in Lucene Query Parser syntax, additionally this method will limit results to those
 which are associated with a given activation key.
 Lucene Query Parser syntax is defined at
 
 lucene.apache.org.
 Fields searchable for Packages:
 name, epoch, version, release, arch, description, summary
 Lucene Query Example: "name:kernel AND version:2.6.18 AND -description:devel"


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> luceneQuery - a query written in the form of Lucene QueryParser Syntax
 </li>
<li>

    <em>string</em> activationKey - activation key to look for packages in
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
      

	     <em>struct</em> package overview
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "summary"</li>
	<li><em>string</em> "description"</li>
	<li><em>string</em> "version"</li>
	<li><em>string</em> "release"</li>
	<li><em>string</em> "arch"</li>
	<li><em>string</em> "epoch"</li>
	<li><em>string</em> "provider"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="advancedWithChannel" href="#top">Method: advancedWithChannel</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Advanced method to search lucene indexes with a passed in query written
 in Lucene Query Parser syntax, additionally this method will limit results to those
 which are in the passed in channel label.
 Lucene Query Parser syntax is defined at
 
 lucene.apache.org.
 Fields searchable for Packages:
 name, epoch, version, release, arch, description, summary
 Lucene Query Example: "name:kernel AND version:2.6.18 AND -description:devel"


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> luceneQuery - a query written in the form of Lucene QueryParser Syntax
 </li>
<li>

    <em>string</em> channelLabel - the channel Label
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
      

	     <em>struct</em> package overview
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "summary"</li>
	<li><em>string</em> "description"</li>
	<li><em>string</em> "version"</li>
	<li><em>string</em> "release"</li>
	<li><em>string</em> "arch"</li>
	<li><em>string</em> "epoch"</li>
	<li><em>string</em> "provider"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="name" href="#top">Method: name</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Search the lucene package indexes for all packages which
          match the given name.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> name - package name to search for
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
   

	     <em>struct</em> package overview
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "summary"</li>
	<li><em>string</em> "description"</li>
	<li><em>string</em> "version"</li>
	<li><em>string</em> "release"</li>
	<li><em>string</em> "arch"</li>
	<li><em>string</em> "epoch"</li>
	<li><em>string</em> "provider"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="nameAndDescription" href="#top">Method: nameAndDescription</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Search the lucene package indexes for all packages which
          match the given query in name or description


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> query - text to match in package name or description
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
   

	     <em>struct</em> package overview
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "summary"</li>
	<li><em>string</em> "description"</li>
	<li><em>string</em> "version"</li>
	<li><em>string</em> "release"</li>
	<li><em>string</em> "arch"</li>
	<li><em>string</em> "epoch"</li>
	<li><em>string</em> "provider"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="nameAndSummary" href="#top">Method: nameAndSummary</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Search the lucene package indexes for all packages which
          match the given query in name or summary.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> query - text to match in package name or summary
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
   

	     <em>struct</em> package overview
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "summary"</li>
	<li><em>string</em> "description"</li>
	<li><em>string</em> "version"</li>
	<li><em>string</em> "release"</li>
	<li><em>string</em> "arch"</li>
	<li><em>string</em> "epoch"</li>
	<li><em>string</em> "provider"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
