<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
system.provisioning.powermanagement
</p>
<p>Provides methods to access and modify power management for systems.
 Some functions exist in 2 variants. Either with server id or with a name.
 The function with server id is useful when a system exists with a full profile.
 Everybody allowed to manage that system can execute these functions.
 The variant with name expects a cobbler system name prefix. These functions
 enhance the name by adding the org id of the user to limit access to systems
 from the own organization. Additionally Org Admin permissions are required to
 call these functions.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#getDetails"/>getDetails</a></li>
<li><a href="#getDetails"/>getDetails</a></li>
<li><a href="#getStatus"/>getStatus</a></li>
<li><a href="#getStatus"/>getStatus</a></li>
<li><a href="#listTypes"/>listTypes</a></li>
<li><a href="#powerOff"/>powerOff</a></li>
<li><a href="#powerOff"/>powerOff</a></li>
<li><a href="#powerOn"/>powerOn</a></li>
<li><a href="#powerOn"/>powerOn</a></li>
<li><a href="#reboot"/>reboot</a></li>
<li><a href="#reboot"/>reboot</a></li>
<li><a href="#setDetails"/>setDetails</a></li>
<li><a href="#setDetails"/>setDetails</a></li>
</ul>
</div>
<hr />

<h3> <a name="getDetails" href="#top">Method: getDetails</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get current power management settings of the given system


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


	     <em>struct</em> powerManagementParameters
	<ul>
    <li><em>string</em> "powerType" - Power management type</li>
    <li><em>string</em> "powerAddress" - IP address for power management</li>
    <li><em>string</em> "powerUsername" - The Username</li>
    <li><em>string</em> "powerPassword" - The Password</li>
    <li><em>string</em> "powerId" - Identifier</li>
	</ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getDetails" href="#top">Method: getDetails</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get current power management settings of the given system


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> name
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


	     <em>struct</em> powerManagementParameters
	<ul>
    <li><em>string</em> "powerType" - Power management type</li>
    <li><em>string</em> "powerAddress" - IP address for power management</li>
    <li><em>string</em> "powerUsername" - The Username</li>
    <li><em>string</em> "powerPassword" - The Password</li>
    <li><em>string</em> "powerId" - Identifier</li>
	</ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getStatus" href="#top">Method: getStatus</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Execute powermanagement actions


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>boolean</em> status - True when power is on, otherwise False
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getStatus" href="#top">Method: getStatus</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Execute powermanagement actions


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> name
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>boolean</em> status - True when power is on, otherwise False
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listTypes" href="#top">Method: listTypes</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Return a list of available power management types


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(string)</em> power management types
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="powerOff" href="#top">Method: powerOff</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Execute power management action 'powerOff'


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="powerOff" href="#top">Method: powerOff</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Execute power management action 'powerOff'


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> name
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="powerOn" href="#top">Method: powerOn</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Execute power management action 'powerOn'


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="powerOn" href="#top">Method: powerOn</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Execute power management action 'powerOn'


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> name
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="reboot" href="#top">Method: reboot</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Execute power management action 'Reboot'


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="reboot" href="#top">Method: reboot</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Execute power management action 'Reboot'


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> name
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setDetails" href="#top">Method: setDetails</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Get current power management settings of the given system


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

	     <em>struct</em> data
	<ul>
    <li><em>string</em> "powerType" - Power management type</li>
    <li><em>string</em> "powerAddress" - IP address for power management</li>
    <li><em>string</em> "powerUsername" - The Username</li>
    <li><em>string</em> "powerPassword" - The Password</li>
    <li><em>string</em> "powerId" - Identifier</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setDetails" href="#top">Method: setDetails</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Get current power management settings of the given system


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> name
 </li>
<li>

	     <em>struct</em> data
	<ul>
    <li><em>string</em> "powerType" - Power management type</li>
    <li><em>string</em> "powerAddress" - IP address for power management</li>
    <li><em>string</em> "powerUsername" - The Username</li>
    <li><em>string</em> "powerPassword" - The Password</li>
    <li><em>string</em> "powerId" - Identifier</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
