<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
kickstart.profile
</p>
<p>Provides methods to access and modify many aspects of
 a kickstart profile.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#addIpRange"/>addIpRange</a></li>
<li><a href="#addScript"/>addScript</a></li>
<li><a href="#addScript"/>addScript</a></li>
<li><a href="#addScript"/>addScript</a></li>
<li><a href="#compareActivationKeys"/>compareActivationKeys</a></li>
<li><a href="#compareAdvancedOptions"/>compareAdvancedOptions</a></li>
<li><a href="#comparePackages"/>comparePackages</a></li>
<li><a href="#downloadKickstart"/>downloadKickstart</a></li>
<li><a href="#downloadRenderedKickstart"/>downloadRenderedKickstart</a></li>
<li><a href="#getAdvancedOptions"/>getAdvancedOptions</a></li>
<li><a href="#getAvailableRepositories"/>getAvailableRepositories</a></li>
<li><a href="#getCfgPreservation"/>getCfgPreservation</a></li>
<li><a href="#getChildChannels"/>getChildChannels</a></li>
<li><a href="#getCustomOptions"/>getCustomOptions</a></li>
<li><a href="#getKickstartTree"/>getKickstartTree</a></li>
<li><a href="#getRepositories"/>getRepositories</a></li>
<li><a href="#getUpdateType"/>getUpdateType</a></li>
<li><a href="#getVariables"/>getVariables</a></li>
<li><a href="#getVirtualizationType"/>getVirtualizationType</a></li>
<li><a href="#listIpRanges"/>listIpRanges</a></li>
<li><a href="#listScripts"/>listScripts</a></li>
<li><a href="#orderScripts"/>orderScripts</a></li>
<li><a href="#removeIpRange"/>removeIpRange</a></li>
<li><a href="#removeScript"/>removeScript</a></li>
<li><a href="#setAdvancedOptions"/>setAdvancedOptions</a></li>
<li><a href="#setCfgPreservation"/>setCfgPreservation</a></li>
<li><a href="#setChildChannels"/>setChildChannels</a></li>
<li><a href="#setCustomOptions"/>setCustomOptions</a></li>
<li><a href="#setKickstartTree"/>setKickstartTree</a></li>
<li><a href="#setLogging"/>setLogging</a></li>
<li><a href="#setRepositories"/>setRepositories</a></li>
<li><a href="#setUpdateType"/>setUpdateType</a></li>
<li><a href="#setVariables"/>setVariables</a></li>
<li><a href="#setVirtualizationType"/>setVirtualizationType</a></li>
</ul>
</div>
<hr />

<h3> <a name="addIpRange" href="#top">Method: addIpRange</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Add an ip range to a kickstart profile.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> ksLabel - The label of the
 kickstart
 </li>
<li>

    <em>string</em> min - The ip address making up the
 minimum of the range (i.e. 192.168.0.1)
 </li>
<li>

    <em>string</em> max - The ip address making up the
 maximum of the range (i.e. 192.168.0.254)
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="addScript" href="#top">Method: addScript</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Add a pre/post script to a kickstart profile.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> ksLabel - The kickstart label to
 add the script to.
 </li>
<li>

    <em>string</em> name - The kickstart script name.
 </li>
<li>

    <em>string</em> contents - The full script to
 add.
 </li>
<li>

    <em>string</em> interpreter - The path to the
 interpreter to use (i.e. /bin/bash). An empty string will use the
 kickstart default interpreter.
 </li>
<li>

    <em>string</em> type - The type of script (either
 'pre' or 'post').
 </li>
<li>

    <em>boolean</em> chroot - Whether to run the script
 in the chrooted install location (recommended) or not.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> id - the id of the added script
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="addScript" href="#top">Method: addScript</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Add a pre/post script to a kickstart profile.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> ksLabel - The kickstart label to
 add the script to.
 </li>
<li>

    <em>string</em> name - The kickstart script name.
 </li>
<li>

    <em>string</em> contents - The full script to
 add.
 </li>
<li>

    <em>string</em> interpreter - The path to the
 interpreter to use (i.e. /bin/bash). An empty string will use the
 kickstart default interpreter.
 </li>
<li>

    <em>string</em> type - The type of script (either
 'pre' or 'post').
 </li>
<li>

    <em>boolean</em> chroot - Whether to run the script
 in the chrooted install location (recommended) or not.
 </li>
<li>

    <em>boolean</em> template - Enable templating using cobbler.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> id - the id of the added script
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="addScript" href="#top">Method: addScript</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Add a pre/post script to a kickstart profile.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> ksLabel - The kickstart label to
 add the script to.
 </li>
<li>

    <em>string</em> name - The kickstart script name.
 </li>
<li>

    <em>string</em> contents - The full script to
 add.
 </li>
<li>

    <em>string</em> interpreter - The path to the
 interpreter to use (i.e. /bin/bash). An empty string will use the
 kickstart default interpreter.
 </li>
<li>

    <em>string</em> type - The type of script (either
 'pre' or 'post').
 </li>
<li>

    <em>boolean</em> chroot - Whether to run the script
 in the chrooted install location (recommended) or not.
 </li>
<li>

    <em>boolean</em> template - Enable templating using cobbler.
 </li>
<li>

    <em>boolean</em> erroronfail - Whether to throw an
 error if the script fails or not
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> id - the id of the added script
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="compareActivationKeys" href="#top">Method: compareActivationKeys</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Returns a list for each kickstart profile; each list will contain
             activation keys not present on the other profile.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> kickstartLabel1
 </li>
<li>

    <em>string</em> kickstartLabel2
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


	     <em>struct</em> Comparison Info
	<ul>
    <li><em>array</em> "kickstartLabel1" - Actual label of the first kickstart
                 profile is the key into the struct</li>
<em>array</em>
  <ul>
   <li>
              

	     <em>struct</em> activation key
	<ul>
	<li><em>string</em> "key"</li>
	<li><em>string</em> "description"</li>
	<li><em>int</em> "usage_limit"</li>
	<li><em>string</em> "base_channel_label"</li>
    <li><em>array(string)</em> "child_channel_labels" - childChannelLabel
    </li>
    <li><em>array(string)</em> "entitlements" - entitlementLabel
    </li>
    <li><em>array(string)</em> "server_group_ids" - serverGroupId
    </li>
    <li><em>array(string)</em> "package_names" - packageName - (deprecated by packages)
    </li>
    <li><em>array</em> "packages"
        <ul>
            <li>
	     <em>struct</em> package
	<ul>
    <li><em>string</em> "name" - packageName</li>
    <li><em>string</em> "arch" - archLabel - optional</li>
	</ul>
           </li>
        </ul>
    </li>
	<li><em>boolean</em> "universal_default"</li>
	<li><em>boolean</em> "disabled"</li>
    <li><em>string</em> "contact_method" - One of the following:</li>
	<ul>
	<li>default</li>
	<li>ssh-push</li>
	<li>ssh-push-tunnel</li>
	</ul>
	</ul>
 
</li></ul>
    <li><em>array</em> "kickstartLabel2" - Actual label of the second kickstart
                 profile is the key into the struct</li>
<em>array</em>
  <ul>
   <li>
              

	     <em>struct</em> activation key
	<ul>
	<li><em>string</em> "key"</li>
	<li><em>string</em> "description"</li>
	<li><em>int</em> "usage_limit"</li>
	<li><em>string</em> "base_channel_label"</li>
    <li><em>array(string)</em> "child_channel_labels" - childChannelLabel
    </li>
    <li><em>array(string)</em> "entitlements" - entitlementLabel
    </li>
    <li><em>array(string)</em> "server_group_ids" - serverGroupId
    </li>
    <li><em>array(string)</em> "package_names" - packageName - (deprecated by packages)
    </li>
    <li><em>array</em> "packages"
        <ul>
            <li>
	     <em>struct</em> package
	<ul>
    <li><em>string</em> "name" - packageName</li>
    <li><em>string</em> "arch" - archLabel - optional</li>
	</ul>
           </li>
        </ul>
    </li>
	<li><em>boolean</em> "universal_default"</li>
	<li><em>boolean</em> "disabled"</li>
    <li><em>string</em> "contact_method" - One of the following:</li>
	<ul>
	<li>default</li>
	<li>ssh-push</li>
	<li>ssh-push-tunnel</li>
	</ul>
	</ul>
 
</li></ul>
	</ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="compareAdvancedOptions" href="#top">Method: compareAdvancedOptions</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Returns a list for each kickstart profile; each list will contain the
             properties that differ between the profiles and their values for that
             specific profile .


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> kickstartLabel1
 </li>
<li>

    <em>string</em> kickstartLabel2
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


	     <em>struct</em> Comparison Info
	<ul>
    <li><em>array</em> "kickstartLabel1" - Actual label of the first kickstart
                 profile is the key into the struct</li>
<em>array</em>
  <ul>
   <li>
              

	     <em>struct</em> value
	<ul>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "value"</li>
	<li><em>boolean</em> "enabled"</li>
	</ul>
 
</li></ul>
    <li><em>array</em> "kickstartLabel2" - Actual label of the second kickstart
                 profile is the key into the struct</li>
<em>array</em>
  <ul>
   <li>
              

	     <em>struct</em> value
	<ul>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "value"</li>
	<li><em>boolean</em> "enabled"</li>
	</ul>
 
</li></ul>
	</ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="comparePackages" href="#top">Method: comparePackages</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Returns a list for each kickstart profile; each list will contain
             package names not present on the other profile.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> kickstartLabel1
 </li>
<li>

    <em>string</em> kickstartLabel2
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


	     <em>struct</em> Comparison Info
	<ul>
    <li><em>array</em> "kickstartLabel1" - Actual label of the first kickstart
                 profile is the key into the struct</li>
<em>array(string)</em> package name
    <li><em>array</em> "kickstartLabel2" - Actual label of the second kickstart
                 profile is the key into the struct</li>
<em>array(string)</em> package name
	</ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="downloadKickstart" href="#top">Method: downloadKickstart</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Download the full contents of a kickstart file.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> ksLabel - The label of the
 kickstart to download.
 </li>
<li>

    <em>string</em> host - The host to use when
 referring to the Uyuni server. Usually this should be the FQDN,
 but could be the ip address or shortname as well.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>string</em> ks - The contents of the kickstart file. Note: if
 an activation key is not associated with the kickstart file, registration
 will not occur in the generated %post section. If one is
 associated, it will be used for registration
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="downloadRenderedKickstart" href="#top">Method: downloadRenderedKickstart</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Downloads the Cobbler-rendered Kickstart file.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> ksLabel - The label of the
 kickstart to download.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>string</em> ks - The contents of the kickstart file
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getAdvancedOptions" href="#top">Method: getAdvancedOptions</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get advanced options for a kickstart profile.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> ksLabel - Label of kickstart
 profile to be changed.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
 

	     <em>struct</em> option
	<ul>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "arguments"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getAvailableRepositories" href="#top">Method: getAvailableRepositories</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Lists available OS repositories to associate with the provided
 kickstart profile.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> ksLabel
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(string)</em> repositoryLabel
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getCfgPreservation" href="#top">Method: getCfgPreservation</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get ks.cfg preservation option for a kickstart profile.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> ksLabel - Label of kickstart
 profile to be changed.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>boolean</em> preserve - The value of the option.
      True means that ks.cfg will be copied to /root, false means that it will not
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getChildChannels" href="#top">Method: getChildChannels</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get the child channels for a kickstart profile.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> ksLabel - Label of kickstart
 profile.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(string)</em> channelLabel
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getCustomOptions" href="#top">Method: getCustomOptions</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get custom options for a kickstart profile.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> ksLabel
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
 

	     <em>struct</em> option
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "arguments"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getKickstartTree" href="#top">Method: getKickstartTree</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get the kickstart tree for a kickstart profile.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> ksLabel - Label of kickstart
 profile to be changed.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>string</em> kstreeLabel - Label of the kickstart tree.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getRepositories" href="#top">Method: getRepositories</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Lists all OS repositories associated with provided kickstart profile.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> ksLabel
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(string)</em> repositoryLabel
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getUpdateType" href="#top">Method: getUpdateType</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get the update type for a kickstart profile.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> ksLabel - Label of kickstart
 profile.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>string</em> update_type - Update type for this Kickstart Profile.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getVariables" href="#top">Method: getVariables</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns a list of variables
                      associated with the specified kickstart profile


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> ksLabel
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


	     <em>struct</em> kickstart variable
	<ul>
	<li><em>string</em> "key"</li>
	<li><em>string or int</em> "value"</li>
	</ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getVirtualizationType" href="#top">Method: getVirtualizationType</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
For given kickstart profile label returns label of
 virtualization type it's using


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> ksLabel
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>string</em> virtLabel - Label of virtualization type.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listIpRanges" href="#top">Method: listIpRanges</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List all ip ranges for a kickstart profile.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> ksLabel - The label of the
 kickstart
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
 

	     <em>struct</em> kickstart IP range
	<ul>
    <li><em>string</em> "ksLabel" - the kickstart label associated with the IP range</li>
    <li><em>string</em> "max" - the max IP of the range</li>
    <li><em>string</em> "min" - the min IP of the range</li>
	</ul>
  </li></ul>
 
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listScripts" href="#top">Method: listScripts</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List the pre and post scripts for a kickstart profile
 in the order they will run during the kickstart.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> ksLabel - The label of the
 kickstart
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
 

	     <em>struct</em> kickstart script
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "contents"</li>
    <li><em>string</em> "script_type" - the type of script ('pre' or 'post')</li>
    <li><em>string</em> "interpreter" - the scripting language interpreter to use
                      for this script.  An empty string indicates the default kickstart
                      shell.</li>
    <li><em>boolean</em> "chroot" - true if the script will be executed within the
                  chroot environment</li>
    <li><em>boolean</em> "erroronfail" - true if the script will throw an error if
                  it fails</li>
    <li><em>boolean</em> "template" - true if templating using cobbler is enabled</li>
    <li><em>boolean</em> "beforeRegistration" - true if script will run before the
                  server registers and performs server actions</li>
	</ul>
  </li></ul>
 
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="orderScripts" href="#top">Method: orderScripts</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Change the order that kickstart scripts will run for
 this kickstart profile. Scripts will run in the order they appear
 in the array. There are three arrays, one for all pre scripts, one
 for the post scripts that run before registration and server
 actions happen, and one for post scripts that run after registration
 and server actions. All scripts must be included in one of these
 lists, as appropriate.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> ksLabel - The label of the
 kickstart
 </li>
<li>

<em>array(int)</em> preScripts - IDs of the ordered pre scripts
 </li>
<li>

<em>array(int)</em> postScriptsBeforeRegistration - IDs of the ordered post scripts that will run
              before registration
 </li>
<li>

<em>array(int)</em> postScriptsAfterRegistration - IDs of the ordered post scripts that will run
              after registration
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="removeIpRange" href="#top">Method: removeIpRange</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Remove an ip range from a kickstart profile.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> ksLabel - The kickstart label of
 the ip range you want to remove
 </li>
<li>

    <em>string</em> ipAddress - An Ip Address that
 falls within the range that you are wanting to remove. The min or max of
 the range will work.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> status - 1 on successful removal, 0 if range wasn't found
 for the specified kickstart, exception otherwise
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="removeScript" href="#top">Method: removeScript</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Remove a script from a kickstart profile.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> ksLabel - The kickstart from which
 to remove the script from.
 </li>
<li>

    <em>int</em> scriptId - The id of the script to
 remove.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setAdvancedOptions" href="#top">Method: setAdvancedOptions</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Set advanced options for a kickstart profile.
 'md5_crypt_rootpw' is not supported anymore.
 If 'sha256_crypt_rootpw' is set to 'True', 'root_pw' is taken as plaintext and
 will sha256 encrypted on server side, otherwise a hash encoded password
 (according to the auth option) is expected


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> ksLabel
 </li>
<li>

<em>array</em> options
  <ul>
   <li>
	     <em>struct</em> advanced options
	<ul>
    <li><em>string</em> "name" - Name of the advanced option.
              Valid Option names: autostep, interactive, install, upgrade, text,
              network, cdrom, harddrive, nfs, url, lang, langsupport keyboard,
              mouse, device, deviceprobe, zerombr, clearpart, bootloader,
              timezone, auth, rootpw, selinux, reboot, firewall, xconfig, skipx,
              key, ignoredisk, autopart, cmdline, firstboot, graphical, iscsi,
              iscsiname, logging, monitor, multipath, poweroff, halt, services,
              shutdown, user, vnc, zfcp, driverdisk, sha256_crypt_rootpw</li>
    <li><em>string</em> "arguments" - Arguments of the option</li>
	</ul>
</li></ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setCfgPreservation" href="#top">Method: setCfgPreservation</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Set ks.cfg preservation option for a kickstart profile.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> ksLabel - Label of kickstart
 profile to be changed.
 </li>
<li>

    <em>boolean</em> preserve - whether or not
      ks.cfg and all %include fragments will be copied to /root.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setChildChannels" href="#top">Method: setChildChannels</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Set the child channels for a kickstart profile.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> ksLabel - Label of kickstart
 profile to be changed.
 </li>
<li>

<em>array(string)</em> channelLabels - List of labels of child channels
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setCustomOptions" href="#top">Method: setCustomOptions</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Set custom options for a kickstart profile.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> ksLabel
 </li>
<li>

<em>array(string)</em> options
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setKickstartTree" href="#top">Method: setKickstartTree</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Set the kickstart tree for a kickstart profile.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> ksLabel - Label of kickstart
 profile to be changed.
 </li>
<li>

    <em>string</em> kstreeLabel - Label of new
 kickstart tree.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setLogging" href="#top">Method: setLogging</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Set logging options for a kickstart profile.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> ksLabel - Label of kickstart
 profile to be changed.
 </li>
<li>

    <em>boolean</em> pre - whether or not to log
      the pre section of a kickstart to /root/ks-pre.log
 </li>
<li>

    <em>boolean</em> post - whether or not to log
      the post section of a kickstart to /root/ks-post.log
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setRepositories" href="#top">Method: setRepositories</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Associates OS repository to a kickstart profile.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> ksLabel
 </li>
<li>

<em>array(string)</em> repoLabels
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setUpdateType" href="#top">Method: setUpdateType</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Set the update typefor a kickstart profile.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> ksLabel - Label of kickstart
 profile to be changed.
 </li>
<li>

    <em>string</em> updateType - The new update type
 to set. Possible values are 'all' and 'none'.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setVariables" href="#top">Method: setVariables</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Associates list of kickstart variables
                              with the specified kickstart profile


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> ksLabel
 </li>
<li>

	     <em>struct</em> variables
	<ul>
	<li><em>string</em> "key"</li>
	<li><em>string or int</em> "value"</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setVirtualizationType" href="#top">Method: setVirtualizationType</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
For given kickstart profile label sets its virtualization type.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> ksLabel
 </li>
<li>

    <em>string</em> typeLabel - One of the following: 'none',
 'qemu', 'para_host', 'xenpv', 'xenfv'
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
