<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
proxy
</p>
<p>Provides methods to activate/deactivate a proxy
 server.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#activateProxy"/>activateProxy</a></li>
<li><a href="#containerConfig"/>containerConfig</a></li>
<li><a href="#containerConfig"/>containerConfig</a></li>
<li><a href="#createMonitoringScout"/>createMonitoringScout</a></li>
<li><a href="#deactivateProxy"/>deactivateProxy</a></li>
<li><a href="#isProxy"/>isProxy</a></li>
<li><a href="#listAvailableProxyChannels"/>listAvailableProxyChannels</a></li>
<li><a href="#listProxies"/>listProxies</a></li>
<li><a href="#listProxyClients"/>listProxyClients</a></li>
</ul>
</div>
<hr />

<h3> <a name="activateProxy" href="#top">Method: activateProxy</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Activates the proxy identified by the given client
 certificate i.e. systemid file.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> clientcert - client certificate file
 </li>
<li>

    <em>string</em> version - Version of proxy to be
 registered.
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="containerConfig" href="#top">Method: containerConfig</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Compute and download the configuration for proxy containers


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> proxyName
 </li>
<li>

    <em>int</em> proxyPort
 </li>
<li>

    <em>string</em> server
 </li>
<li>

    <em>int</em> maxCache
 </li>
<li>

    <em>string</em> email
 </li>
<li>

    <em>string</em> rootCA
 </li>
<li>

<em>array(string)</em> intermediateCAs - intermediate CAs used to sign the SSL certificate in PEM format
 </li>
<li>

    <em>string</em> proxyCrt
 </li>
<li>

    <em>string</em> proxyKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(byte)</em> binary object - package file
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="containerConfig" href="#top">Method: containerConfig</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Compute and download the configuration for proxy containers


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> proxyName
 </li>
<li>

    <em>int</em> proxyPort
 </li>
<li>

    <em>string</em> server
 </li>
<li>

    <em>int</em> maxCache
 </li>
<li>

    <em>string</em> email
 </li>
<li>

    <em>string</em> caCrt
 </li>
<li>

    <em>string</em> caKey
 </li>
<li>

    <em>string</em> caPassword
 </li>
<li>

<em>array(string)</em> cnames - Proxy alternate cnames to set in the SSL certificate
 </li>
<li>

    <em>string</em> country
 </li>
<li>

    <em>string</em> state
 </li>
<li>

    <em>string</em> city
 </li>
<li>

    <em>string</em> org
 </li>
<li>

    <em>string</em> orgUnit
 </li>
<li>

    <em>string</em> sslEmail
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(byte)</em> binary object - package file
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="createMonitoringScout" href="#top">Method: createMonitoringScout</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create Monitoring Scout for proxy.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> clientcert - client certificate file
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>string</em> 
 
</code>
</li></ul>
<p />
Available since API version: 10.7 <p />
<hr />

<h3> <a name="deactivateProxy" href="#top">Method: deactivateProxy</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Deactivates the proxy identified by the given client
 certificate i.e. systemid file.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> clientcert - client certificate file
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="isProxy" href="#top">Method: isProxy</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Test, if the system identified by the given client
 certificate i.e. systemid file, is proxy.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> clientcert - client certificate file
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listAvailableProxyChannels" href="#top">Method: listAvailableProxyChannels</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List available version of proxy channel for system
 identified by the given client certificate i.e. systemid file.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> clientcert - client certificate file
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(string)</em> version
 
</code>
</li></ul>
<p />
Available since API version: 10.5 <p />
<hr />

<h3> <a name="listProxies" href="#top">Method: listProxies</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List the proxies within the user's organization.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
   

	     <em>struct</em> system
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
    <li><em>dateTime.iso8601</em> "last_checkin" - last time server
             successfully checked in</li>
    <li><em>dateTime.iso8601</em> "created" - server registration time</li>
    <li><em>dateTime.iso8601</em> "last_boot" - last server boot time</li>
    <li><em>int</em> "extra_pkg_count" - number of packages not belonging
             to any assigned channel</li>
    <li><em>int</em> "outdated_pkg_count" - number of out-of-date packages</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listProxyClients" href="#top">Method: listProxyClients</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List the clients directly connected to a given Proxy.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> proxyId
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(int)</em> clientId
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
