<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
recurring.highstate
</p>
<p>Provides methods to handle recurring highstates for minions, system groups and organizations.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#create"/>create</a></li>
<li><a href="#update"/>update</a></li>
</ul>
</div>
<hr />

<h3> <a name="create" href="#top">Method: create</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create a new recurring highstate action.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

	     <em>struct</em> actionProps
	<ul>
    <li><em>string</em> "entity_type" - the type of the target entity. One of the following:</li>
	<ul>
	<li>minion</li>
	<li>group</li>
	<li>org</li>
	</ul>
    <li><em>int</em> "entity_id" - the ID of the target entity</li>
    <li><em>string</em> "name" - the name of the recurring action</li>
    <li><em>string</em> "cron_expr" - the execution frequency of the action as a cron expression</li>
    <li><em>boolean</em> "test" - whether the action should be executed in test mode (optional)</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> id - the ID of the newly created recurring action
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="update" href="#top">Method: update</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Update the properties of a recurring highstate action.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

	     <em>struct</em> actionProps
	<ul>
    <li><em>int</em> "id" - the ID of the action to update</li>
    <li><em>string</em> "name" - the name of the action (optional)</li>
    <li><em>string</em> "cron_expr" - the execution frequency of the action (optional)</li>
    <li><em>boolean</em> "test" - whether the action should be executed in test mode (optional)</li>
    <li><em>boolean</em> "active" - whether the action should be active (optional)</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> id - the ID of the updated recurring action
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
