<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
saltkey
</p>
<p>Provides methods to manage salt keys</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#accept"/>accept</a></li>
<li><a href="#acceptedList"/>acceptedList</a></li>
<li><a href="#delete"/>delete</a></li>
<li><a href="#deniedList"/>deniedList</a></li>
<li><a href="#pendingList"/>pendingList</a></li>
<li><a href="#reject"/>reject</a></li>
<li><a href="#rejectedList"/>rejectedList</a></li>
</ul>
</div>
<hr />

<h3> <a name="accept" href="#top">Method: accept</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Accept a minion key


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> minionId
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="acceptedList" href="#top">Method: acceptedList</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
List accepted salt keys


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(string)</em> Accepted salt key list
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="delete" href="#top">Method: delete</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Delete a minion key


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> minionId
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="deniedList" href="#top">Method: deniedList</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
List of denied salt keys


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(string)</em> Denied salt key list
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="pendingList" href="#top">Method: pendingList</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
List pending salt keys


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(string)</em> Pending salt key list
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="reject" href="#top">Method: reject</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Reject a minion key


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> minionId
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="rejectedList" href="#top">Method: rejectedList</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
List of rejected salt keys


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(string)</em> Rejected salt key list
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
