<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
schedule
</p>
<p>Methods to retrieve information about scheduled actions.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#archiveActions"/>archiveActions</a></li>
<li><a href="#cancelActions"/>cancelActions</a></li>
<li><a href="#deleteActions"/>deleteActions</a></li>
<li><a href="#failSystemAction"/>failSystemAction</a></li>
<li><a href="#failSystemAction"/>failSystemAction</a></li>
<li><a href="#listAllActions"/>listAllActions</a></li>
<li><a href="#listAllArchivedActions"/>listAllArchivedActions</a></li>
<li><a href="#listAllCompletedActions"/>listAllCompletedActions</a></li>
<li><a href="#listArchivedActions"/>listArchivedActions</a></li>
<li><a href="#listCompletedActions"/>listCompletedActions</a></li>
<li><a href="#listCompletedSystems"/>listCompletedSystems</a></li>
<li><a href="#listFailedActions"/>listFailedActions</a></li>
<li><a href="#listFailedSystems"/>listFailedSystems</a></li>
<li><a href="#listInProgressActions"/>listInProgressActions</a></li>
<li><a href="#listInProgressSystems"/>listInProgressSystems</a></li>
<li><a href="#rescheduleActions"/>rescheduleActions</a></li>
</ul>
</div>
<hr />

<h3> <a name="archiveActions" href="#top">Method: archiveActions</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Archive all actions in the given list.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(int)</em> actionIds
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="cancelActions" href="#top">Method: cancelActions</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Cancel all actions in given list. If an invalid action is provided,
 none of the actions given will be canceled.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(int)</em> actionIds
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="deleteActions" href="#top">Method: deleteActions</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Delete all archived actions in the given list.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(int)</em> actionIds
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="failSystemAction" href="#top">Method: failSystemAction</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Fail specific event on specified system


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>int</em> actionId
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="failSystemAction" href="#top">Method: failSystemAction</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Fail specific event on specified system


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> sid
 </li>
<li>

    <em>int</em> actionId
 </li>
<li>

    <em>string</em> message
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listAllActions" href="#top">Method: listAllActions</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns a list of all actions.  This includes completed, in progress,
 failed and archived actions.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
   

	     <em>struct</em> action
	<ul>
    <li><em>int</em> "id" - action ID</li>
    <li><em>string</em> "name" - action name</li>
    <li><em>string</em> "type" - action type</li>
    <li><em>string</em> "scheduler" - the user that scheduled the action (optional)</li>
    <li><em>dateTime.iso8601</em> "earliest" - the earliest date and time the action
   will be performed</li>
    <li><em>int</em> "prerequisite" - ID of the prerequisite action (optional)</li>
    <li><em>int</em> "completedSystems" - number of systems that completed the action</li>
    <li><em>int</em> "failedSystems" - number of systems that failed the action</li>
    <li><em>int</em> "inProgressSystems" - number of systems that are in progress</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listAllArchivedActions" href="#top">Method: listAllArchivedActions</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns a list of actions that have been archived.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
   

	     <em>struct</em> action
	<ul>
    <li><em>int</em> "id" - action ID</li>
    <li><em>string</em> "name" - action name</li>
    <li><em>string</em> "type" - action type</li>
    <li><em>string</em> "scheduler" - the user that scheduled the action (optional)</li>
    <li><em>dateTime.iso8601</em> "earliest" - the earliest date and time the action
   will be performed</li>
    <li><em>int</em> "prerequisite" - ID of the prerequisite action (optional)</li>
    <li><em>int</em> "completedSystems" - number of systems that completed the action</li>
    <li><em>int</em> "failedSystems" - number of systems that failed the action</li>
    <li><em>int</em> "inProgressSystems" - number of systems that are in progress</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listAllCompletedActions" href="#top">Method: listAllCompletedActions</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns a list of actions that have been completed.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
   

	     <em>struct</em> action
	<ul>
    <li><em>int</em> "id" - action ID</li>
    <li><em>string</em> "name" - action name</li>
    <li><em>string</em> "type" - action type</li>
    <li><em>string</em> "scheduler" - the user that scheduled the action (optional)</li>
    <li><em>dateTime.iso8601</em> "earliest" - the earliest date and time the action
   will be performed</li>
    <li><em>int</em> "prerequisite" - ID of the prerequisite action (optional)</li>
    <li><em>int</em> "completedSystems" - number of systems that completed the action</li>
    <li><em>int</em> "failedSystems" - number of systems that failed the action</li>
    <li><em>int</em> "inProgressSystems" - number of systems that are in progress</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listArchivedActions" href="#top">Method: listArchivedActions</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns a list of actions that have been archived.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
   

	     <em>struct</em> action
	<ul>
    <li><em>int</em> "id" - action ID</li>
    <li><em>string</em> "name" - action name</li>
    <li><em>string</em> "type" - action type</li>
    <li><em>string</em> "scheduler" - the user that scheduled the action (optional)</li>
    <li><em>dateTime.iso8601</em> "earliest" - the earliest date and time the action
   will be performed</li>
    <li><em>int</em> "prerequisite" - ID of the prerequisite action (optional)</li>
    <li><em>int</em> "completedSystems" - number of systems that completed the action</li>
    <li><em>int</em> "failedSystems" - number of systems that failed the action</li>
    <li><em>int</em> "inProgressSystems" - number of systems that are in progress</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listCompletedActions" href="#top">Method: listCompletedActions</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns a list of actions that have completed successfully.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
   

	     <em>struct</em> action
	<ul>
    <li><em>int</em> "id" - action ID</li>
    <li><em>string</em> "name" - action name</li>
    <li><em>string</em> "type" - action type</li>
    <li><em>string</em> "scheduler" - the user that scheduled the action (optional)</li>
    <li><em>dateTime.iso8601</em> "earliest" - the earliest date and time the action
   will be performed</li>
    <li><em>int</em> "prerequisite" - ID of the prerequisite action (optional)</li>
    <li><em>int</em> "completedSystems" - number of systems that completed the action</li>
    <li><em>int</em> "failedSystems" - number of systems that failed the action</li>
    <li><em>int</em> "inProgressSystems" - number of systems that are in progress</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listCompletedSystems" href="#top">Method: listCompletedSystems</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns a list of systems that have completed a specific action.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> actionId
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
   

	     <em>struct</em> system
	<ul>
	<li><em>int</em> "server_id"</li>
    <li><em>string</em> "server_name" - server name</li>
    <li><em>string</em> "base_channel" - base channel used by the server</li>
    <li><em>dateTime.iso8601</em> "timestamp" - the time the action was completed</li>
    <li><em>string</em> "message" - optional message containing details
   on the execution of the action.  For example, if the action failed,
   this will contain the failure text.</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listFailedActions" href="#top">Method: listFailedActions</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns a list of actions that have failed.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
   

	     <em>struct</em> action
	<ul>
    <li><em>int</em> "id" - action ID</li>
    <li><em>string</em> "name" - action name</li>
    <li><em>string</em> "type" - action type</li>
    <li><em>string</em> "scheduler" - the user that scheduled the action (optional)</li>
    <li><em>dateTime.iso8601</em> "earliest" - the earliest date and time the action
   will be performed</li>
    <li><em>int</em> "prerequisite" - ID of the prerequisite action (optional)</li>
    <li><em>int</em> "completedSystems" - number of systems that completed the action</li>
    <li><em>int</em> "failedSystems" - number of systems that failed the action</li>
    <li><em>int</em> "inProgressSystems" - number of systems that are in progress</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listFailedSystems" href="#top">Method: listFailedSystems</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns a list of systems that have failed a specific action.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> actionId
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
   

	     <em>struct</em> system
	<ul>
	<li><em>int</em> "server_id"</li>
    <li><em>string</em> "server_name" - server name</li>
    <li><em>string</em> "base_channel" - base channel used by the server</li>
    <li><em>dateTime.iso8601</em> "timestamp" - the time the action was completed</li>
    <li><em>string</em> "message" - optional message containing details
   on the execution of the action.  For example, if the action failed,
   this will contain the failure text.</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listInProgressActions" href="#top">Method: listInProgressActions</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns a list of actions that are in progress.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
   

	     <em>struct</em> action
	<ul>
    <li><em>int</em> "id" - action ID</li>
    <li><em>string</em> "name" - action name</li>
    <li><em>string</em> "type" - action type</li>
    <li><em>string</em> "scheduler" - the user that scheduled the action (optional)</li>
    <li><em>dateTime.iso8601</em> "earliest" - the earliest date and time the action
   will be performed</li>
    <li><em>int</em> "prerequisite" - ID of the prerequisite action (optional)</li>
    <li><em>int</em> "completedSystems" - number of systems that completed the action</li>
    <li><em>int</em> "failedSystems" - number of systems that failed the action</li>
    <li><em>int</em> "inProgressSystems" - number of systems that are in progress</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listInProgressSystems" href="#top">Method: listInProgressSystems</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Returns a list of systems that have a specific action in progress.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> actionId
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
   

	     <em>struct</em> system
	<ul>
	<li><em>int</em> "server_id"</li>
    <li><em>string</em> "server_name" - server name</li>
    <li><em>string</em> "base_channel" - base channel used by the server</li>
    <li><em>dateTime.iso8601</em> "timestamp" - the time the action was completed</li>
    <li><em>string</em> "message" - optional message containing details
   on the execution of the action.  For example, if the action failed,
   this will contain the failure text.</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="rescheduleActions" href="#top">Method: rescheduleActions</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Reschedule all actions in the given list.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

<em>array(int)</em> actionIds
 </li>
<li>

    <em>boolean</em> onlyFailed - True to only reschedule failed actions, False to reschedule all
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
