<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
sync.slave
</p>
<p>Contains methods to set up information about allowed-"slaves", for use
 on the "master" side of ISS</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#create"/>create</a></li>
<li><a href="#delete"/>delete</a></li>
<li><a href="#getAllowedOrgs"/>getAllowedOrgs</a></li>
<li><a href="#getSlave"/>getSlave</a></li>
<li><a href="#getSlaveByName"/>getSlaveByName</a></li>
<li><a href="#getSlaves"/>getSlaves</a></li>
<li><a href="#setAllowedOrgs"/>setAllowedOrgs</a></li>
<li><a href="#update"/>update</a></li>
</ul>
</div>
<hr />

<h3> <a name="create" href="#top">Method: create</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create a new Slave, known to this Master.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> slaveFqdn - Slave's fully-qualified domain name
 </li>
<li>

    <em>boolean</em> isEnabled - Let this slave talk to us?
 </li>
<li>

    <em>boolean</em> allowAllOrgs - Export all our orgs to this slave?
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> IssSlave info
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "slave"</li>
	<li><em>boolean</em> "enabled"</li>
	<li><em>boolean</em> "allowAllOrgs"</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="delete" href="#top">Method: delete</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Remove the specified Slave


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> slaveId - ID of the Slave to remove
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getAllowedOrgs" href="#top">Method: getAllowedOrgs</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get all orgs this Master is willing to export to the specified Slave


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> slaveId - Id of the desired Slave
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(int)</em> ids of allowed organizations
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getSlave" href="#top">Method: getSlave</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Find a Slave by specifying its ID


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> slaveId - ID of the desired Slave
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> IssSlave info
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "slave"</li>
	<li><em>boolean</em> "enabled"</li>
	<li><em>boolean</em> "allowAllOrgs"</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getSlaveByName" href="#top">Method: getSlaveByName</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Find a Slave by specifying its Fully-Qualified Domain Name


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> slaveFqdn - Domain-name of the desired Slave
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> IssSlave info
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "slave"</li>
	<li><em>boolean</em> "enabled"</li>
	<li><em>boolean</em> "allowAllOrgs"</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getSlaves" href="#top">Method: getSlaves</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get all the Slaves this Master knows about


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
          

	     <em>struct</em> IssSlave info
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "slave"</li>
	<li><em>boolean</em> "enabled"</li>
	<li><em>boolean</em> "allowAllOrgs"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setAllowedOrgs" href="#top">Method: setAllowedOrgs</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Set the orgs this Master is willing to export to the specified Slave


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> slaveId - ID of the desired Slave
 </li>
<li>

<em>array(int)</em> orgIds - List of org-ids we're willing to export
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="update" href="#top">Method: update</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Updates attributes of the specified Slave


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> slaveId - ID of the Slave to update
 </li>
<li>

    <em>string</em> slaveFqdn - Slave's fully-qualified domain name
 </li>
<li>

    <em>boolean</em> isEnabled - Let this slave talk to us?
 </li>
<li>

    <em>boolean</em> allowAllOrgs - Export all our orgs to this Slave?
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> IssSlave info
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "slave"</li>
	<li><em>boolean</em> "enabled"</li>
	<li><em>boolean</em> "allowAllOrgs"</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
