<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
kickstart.snippet
</p>
<p>Provides methods to create kickstart files</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#createOrUpdate"/>createOrUpdate</a></li>
<li><a href="#delete"/>delete</a></li>
<li><a href="#listAll"/>listAll</a></li>
<li><a href="#listCustom"/>listCustom</a></li>
<li><a href="#listDefault"/>listDefault</a></li>
</ul>
</div>
<hr />

<h3> <a name="createOrUpdate" href="#top">Method: createOrUpdate</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Will create a snippet with the given name and contents if it
      doesn't exist. If it does exist, the existing snippet will be updated.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> name
 </li>
<li>

    <em>string</em> contents
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> snippet
	<ul>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "contents"</li>
    <li><em>string</em> "fragment" - the string to include in a kickstart
                          file that will generate this snippet</li>
    <li><em>string</em> "file" - the local path to the file containing this snippet</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="delete" href="#top">Method: delete</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Delete the specified snippet.
      If the snippet is not found, 0 is returned.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> name
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listAll" href="#top">Method: listAll</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List all cobbler snippets for the logged in user


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
            

	     <em>struct</em> snippet
	<ul>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "contents"</li>
    <li><em>string</em> "fragment" - the string to include in a kickstart
                          file that will generate this snippet</li>
    <li><em>string</em> "file" - the local path to the file containing this snippet</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listCustom" href="#top">Method: listCustom</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List only custom snippets for the logged in user.
    These snipppets are editable.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
            

	     <em>struct</em> snippet
	<ul>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "contents"</li>
    <li><em>string</em> "fragment" - the string to include in a kickstart
                          file that will generate this snippet</li>
    <li><em>string</em> "file" - the local path to the file containing this snippet</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listDefault" href="#top">Method: listDefault</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List only pre-made default snippets for the logged in user.
    These snipppets are not editable.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
            

	     <em>struct</em> snippet
	<ul>
	<li><em>string</em> "name"</li>
	<li><em>string</em> "contents"</li>
    <li><em>string</em> "fragment" - the string to include in a kickstart
                          file that will generate this snippet</li>
    <li><em>string</em> "file" - the local path to the file containing this snippet</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
