<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
kickstart.profile.software
</p>
<p>Provides methods to access and modify the software list
 associated with a kickstart profile.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#appendToSoftwareList"/>appendToSoftwareList</a></li>
<li><a href="#getSoftwareDetails"/>getSoftwareDetails</a></li>
<li><a href="#getSoftwareList"/>getSoftwareList</a></li>
<li><a href="#setSoftwareDetails"/>setSoftwareDetails</a></li>
<li><a href="#setSoftwareList"/>setSoftwareList</a></li>
<li><a href="#setSoftwareList"/>setSoftwareList</a></li>
</ul>
</div>
<hr />

<h3> <a name="appendToSoftwareList" href="#top">Method: appendToSoftwareList</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Append the list of software packages to a kickstart profile.
 Duplicate packages will be ignored.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> ksLabel - the label of the kickstart profile
 </li>
<li>

<em>array(string)</em> packageList - the list of package names to be added to the profile
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getSoftwareDetails" href="#top">Method: getSoftwareDetails</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Gets kickstart profile software details.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> ksLabel - the label of the kickstart profile
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


	     <em>struct</em> kickstart packages info
	<ul>
    <li><em>string</em> "noBase" - install @Base package group</li>
    <li><em>string</em> "ignoreMissing" - ignore missing packages</li>
	</ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getSoftwareList" href="#top">Method: getSoftwareList</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get a list of a kickstart profile's software packages.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> ksLabel - the label of the kickstart profile
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(string)</em> the list of the kickstart profile's software packages
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setSoftwareDetails" href="#top">Method: setSoftwareDetails</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Sets kickstart profile software details.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> ksLabel - the label of the kickstart profile
 </li>
<li>

	     <em>struct</em> params - kickstart packages info
	<ul>
    <li><em>string</em> "noBase" - install @Base package group</li>
    <li><em>string</em> "ignoreMissing" - ignore missing packages</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setSoftwareList" href="#top">Method: setSoftwareList</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Set the list of software packages for a kickstart profile.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> ksLabel - the label of the kickstart profile
 </li>
<li>

<em>array(string)</em> packageList - the list of package names to be set on the profile
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="setSoftwareList" href="#top">Method: setSoftwareList</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Set the list of software packages for a kickstart profile.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> ksLabel - the label of the kickstart profile
 </li>
<li>

<em>array(string)</em> packageList - a list of package names to be set on the profile
 </li>
<li>

    <em>boolean</em> ignoreMissing - ignore missing packages if true
 </li>
<li>

    <em>boolean</em> noBase - don't install @Base package group if true
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
