<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
virtualhostmanager
</p>
<p>Provides the namespace for the Virtual Host Manager methods.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#create"/>create</a></li>
<li><a href="#delete"/>delete</a></li>
<li><a href="#getDetail"/>getDetail</a></li>
<li><a href="#getModuleParameters"/>getModuleParameters</a></li>
<li><a href="#listAvailableVirtualHostGathererModules"/>listAvailableVirtualHostGathererModules</a></li>
<li><a href="#listVirtualHostManagers"/>listVirtualHostManagers</a></li>
</ul>
</div>
<hr />

<h3> <a name="create" href="#top">Method: create</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Creates a Virtual Host Manager from given arguments


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - Virtual Host Manager label
 </li>
<li>

    <em>string</em> moduleName - the name of the Gatherer module
 </li>
<li>

    <em>parameters</em> parameters - additional parameters (credentials, parameters for virtual-host-gatherer)
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="delete" href="#top">Method: delete</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Deletes a Virtual Host Manager with a given label


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - Virtual Host Manager label
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    int - 1 on success, exception thrown otherwise.
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getDetail" href="#top">Method: getDetail</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Gets details of a Virtual Host Manager with a given label


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> label - Virtual Host Manager label
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> virtual host manager
	<ul>
	<li><em>string</em> "label"</li>
	<li><em>int</em> "org_id"</li>
	<li><em>string</em> "gatherer_module"</li>
	<li><em>struct</em> "configs"</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="getModuleParameters" href="#top">Method: getModuleParameters</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Get a list of parameters for a virtual-host-gatherer module.
 It returns a map of parameters with their typical default values.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> moduleName - The name of the module
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>map</em> module_params - module parameters
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listAvailableVirtualHostGathererModules" href="#top">Method: listAvailableVirtualHostGathererModules</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
List all available modules from virtual-host-gatherer


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array(string)</em> moduleName
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listVirtualHostManagers" href="#top">Method: listVirtualHostManagers</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Lists Virtual Host Managers visible to a user


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
         

	     <em>struct</em> virtual host manager
	<ul>
	<li><em>string</em> "label"</li>
	<li><em>int</em> "org_id"</li>
	<li><em>string</em> "gatherer_module"</li>
	<li><em>struct</em> "configs"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
